#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xe59b23f7, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x7f4bcd84, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xafe6b062, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x5c6ebfe0, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x0a201f7e, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xb1326d78, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x64e0f18e, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x9e9c21d8, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x6d8fcbc6, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x4ce49490, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x88ab85c3, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xfc2e7dbd, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x97336b2a, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xc9b4eceb, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x11bb246e, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xc982cb70, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x0cd8c775, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x96d2d0bd, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x8018f63f, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x5d48fc05, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xd9b261e4, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x84c60391, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xb5cc1dbf, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xf967926d, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xca1d72cd, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xa3e7b306, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x5223bfa7, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x34ce2532, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x5c759576, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x09df6405, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x3ad4c0f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x24765d5e, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xd3135067, "kthread_create_worker" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfb578fc5, "memset" },
	{ 0xa3d73554, "_dev_info" },
	{ 0xdb891229, "sched_set_fifo" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xed2179bb, "kthread_destroy_worker" },
	{ 0xc71ff68e, "crypto_register_aead" },
	{ 0x33134a56, "crypto_unregister_aead" },
	{ 0x405c2e5e, "crypto_register_ahash" },
	{ 0x944b03b7, "crypto_unregister_ahash" },
	{ 0x106d8d06, "crypto_register_akcipher" },
	{ 0x61f77208, "crypto_unregister_akcipher" },
	{ 0x9e86e00e, "crypto_register_kpp" },
	{ 0xa82d9150, "crypto_unregister_kpp" },
	{ 0x2a62ca20, "crypto_register_skcipher" },
	{ 0x3b48105f, "crypto_unregister_skcipher" },
	{ 0x6c8e8d94, "crypto_enqueue_request" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd9a1cab2, "crypto_dequeue_request" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb262de2, "crypto_enqueue_request_head" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "158C7FFEDA40E7C22A24121");
