#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x9359fa59, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x83cf8ac2, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x33f64664, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0xcc816e56, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xdd6890aa, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x9230a97d, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0xc36f6315, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xd779cdd2, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0xcd0bbd6f, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0xfab62f89, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xe5d158ee, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0xc589e20f, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x35346c0f, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0xf52d5a50, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x6d8aa9c7, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x59a9b87b, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x6ca34765, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xc6d58d4b, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0xaf83ea2b, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0xefa2f68e, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x68d8dce7, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0xbf789bd1, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xe0b67c45, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x96af0514, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x6b53e216, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x63a477fb, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0x23961837, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0xb9f7d1c4, "");
SYMBOL_CRC(drm_dp_downstream_id, 0x39a2f5f8, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x721ec84a, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x675987aa, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x27420988, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x15f60b51, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0x5ebc9f52, "");
SYMBOL_CRC(drm_dp_aux_init, 0x5bd7bc09, "");
SYMBOL_CRC(drm_dp_aux_register, 0x5f94f39b, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xb1038123, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x3982bcf2, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x398c3a10, "");
SYMBOL_CRC(drm_dp_read_desc, 0x918ec84d, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x07832c1e, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x92a7aa45, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x9c2c3c19, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x3325695d, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xfc532b05, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x6327492c, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0xfed208b9, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xe3de4000, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x6f491ca2, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x901728c0, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xb5ec4623, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0x36591645, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x084973ac, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x4e6f0a40, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0x21b260f1, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0xf1e3a91a, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x5938a505, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x04855119, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x7357d86a, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x3b22f90f, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x1b2346b2, "");
SYMBOL_CRC(drm_edp_backlight_init, 0xc6adc203, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x59c8e9a6, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x7b1a5506, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x4dfa6f10, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0x59f82ea0, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x7231eba6, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x7e517671, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x85ab6215, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x2ebadc34, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0xa5bf7b3e, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x77ab6cb6, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x6545106d, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xc2eb2052, "");
SYMBOL_CRC(drm_dp_remove_payload, 0x06914ad5, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x2cd35f0a, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0x6a8b91e9, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xabb9184c, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xf04b5dd1, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xac0b9215, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0x9d7d9df1, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x592f6d1d, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xe1884f9d, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x64a8bdbf, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x708cb513, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0x772db9bb, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x3d3c3f50, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x675627bf, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x078fb96b, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x25544249, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x1e61baea, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xc837cc9d, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x78fd6bca, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x7ef38ae3, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xc082e2cc, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0x27f4e972, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0xdd4c3b21, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x3951fff7, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0xddd41fc4, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x5c380717, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xa01cde4e, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x2350e855, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xc5b1cffd, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x262649fa, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0x73a555d0, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x7739ac7a, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0x2366f717, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x4f52d444, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0xc8897b78, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0xb2cb4e14, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0x962bf28d, "");
SYMBOL_CRC(drm_scdc_read, 0xb88e2aab, "");
SYMBOL_CRC(drm_scdc_write, 0x91081de7, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0xc072306c, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0xde012f38, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x52523f22, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x0c208e50, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x56bb515b, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xfd146d81, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0x16701cb1, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x243b74aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4905bab3, "drm_crtc_add_crc_entry" },
	{ 0x3e1c6c9, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9ae1ea3a, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x39760641, "drm_connector_register" },
	{ 0x13f1532a, "cec_transmit_attempt_done_ts" },
	{ 0x460a1388, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0xeed5a6a7, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x35241cba, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x38d31968, "class_destroy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc2a5f01b, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xe2dad1bc, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf6651243, "cec_s_phys_addr_from_edid" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xd391868a, "drm_connector_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd9aa20be, "drm_mode_object_put" },
	{ 0xa495dbcf, "dev_driver_string" },
	{ 0x65d64dec, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0xb94d3154, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa59d3dff, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe144b680, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x496591cf, "drm_dev_printk" },
	{ 0x208a7433, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x41e8de0a, "drm_atomic_get_crtc_state" },
	{ 0xfb954107, "drm_crtc_wait_one_vblank" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x77e4cfdc, "drm_modeset_lock" },
	{ 0x6033cd5b, "drm_modeset_unlock" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x6bc1abf7, "device_create" },
	{ 0xe85b9af, "class_create" },
	{ 0x18dfe9cd, "drm_modeset_lock_single_interruptible" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x3ccf420, "fixed_size_llseek" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x49e0fcee, "drm_crtc_commit_wait" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x1f6c2156, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x864ce3b0, "cec_unregister_adapter" },
	{ 0xba6bcfbe, "drm_object_attach_property" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0x9e1d6341, "drm_atomic_get_old_private_obj_state" },
	{ 0x464b019, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa81c1345, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xad4cc738, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc44f9c0b, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x8d321470, "drm_kms_helper_hotplug_event" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe1c501bd, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6caf3567, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb8d41077, "_copy_from_iter" },
	{ 0xf6356c62, "i2c_transfer" },
	{ 0xf3484cad, "drm_display_mode_from_cea_vic" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xcc1e2f6e, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf58697f7, "cec_fill_conn_info_from_drm" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x86727f2c, "drm_sysfs_connector_property_event" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x91b07377, "cec_received_msg_ts" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0x9ca64a01, "_dev_printk" },
	{ 0x2c279b40, "iov_iter_revert" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x82f05c0, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x741acfb, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x2a2c28ee, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6670af0d, "cec_register_adapter" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper,i2c-core,backlight");


MODULE_INFO(srcversion, "90ABF39FFD9818D921A9336");
