#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xf6315b84, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x361d1955, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xb0564e00, "");
SYMBOL_CRC(rdma_res_to_id, 0xb8edd8ad, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x02b1ef81, "");
SYMBOL_CRC(rdma_create_user_id, 0xc708a33c, "");
SYMBOL_CRC(rdma_create_qp, 0xed4a9845, "");
SYMBOL_CRC(rdma_destroy_qp, 0xc10a95ab, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x75d4fea9, "");
SYMBOL_CRC(rdma_destroy_id, 0xa6cc7aee, "");
SYMBOL_CRC(rdma_get_service_id, 0xec56be4c, "");
SYMBOL_CRC(rdma_read_gids, 0xdb55ee21, "");
SYMBOL_CRC(rdma_set_service_type, 0x3815b976, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x1057107c, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xe38e928e, "");
SYMBOL_CRC(rdma_set_ib_path, 0xfbf71395, "");
SYMBOL_CRC(rdma_resolve_route, 0x7aa6887b, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x70f61d99, "");
SYMBOL_CRC(rdma_set_afonly, 0x204d9786, "");
SYMBOL_CRC(rdma_listen, 0xb2d16a3c, "");
SYMBOL_CRC(rdma_resolve_addr, 0x6a63a083, "");
SYMBOL_CRC(rdma_bind_addr, 0xc10a23d7, "");
SYMBOL_CRC(rdma_connect_locked, 0x9ac8a639, "");
SYMBOL_CRC(rdma_connect, 0x78044be8, "");
SYMBOL_CRC(rdma_connect_ece, 0xa929e27f, "");
SYMBOL_CRC(rdma_accept, 0x3b1b9c67, "");
SYMBOL_CRC(rdma_accept_ece, 0x633d41a1, "");
SYMBOL_CRC(rdma_lock_handler, 0xd83dc336, "");
SYMBOL_CRC(rdma_unlock_handler, 0x2bb689e4, "");
SYMBOL_CRC(rdma_notify, 0x998dc8c2, "");
SYMBOL_CRC(rdma_reject, 0xa9dc9f09, "");
SYMBOL_CRC(rdma_disconnect, 0x00fcf61e, "");
SYMBOL_CRC(rdma_join_multicast, 0x107f175c, "");
SYMBOL_CRC(rdma_leave_multicast, 0xba231e49, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ebc1e1, "ib_send_cm_sidr_req" },
	{ 0xe914e41e, "strcpy" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd91d2ad4, "iw_create_cm_id" },
	{ 0xee02c560, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x93b24b29, "ib_unregister_client" },
	{ 0xaec428a, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xec24566a, "ib_send_cm_sidr_rep" },
	{ 0x79c4b31b, "bpf_trace_run4" },
	{ 0x1d7bbb6d, "config_group_init" },
	{ 0x7dff8986, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xda2c2be7, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0x7b8ca75d, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8bcd6d66, "rdma_query_gid" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x31a68585, "rt6_lookup" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x671375bb, "rdma_translate_ip" },
	{ 0xbafa42c, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x74331b43, "rdma_dev_access_netns" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x25166dba, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5f24fac6, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf615347c, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc8706d58, "register_pernet_subsys" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0xc3ff85ee, "ip_mc_inc_group" },
	{ 0x23336196, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xd5fd9fb6, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7a677295, "iw_cm_connect" },
	{ 0x4b12cd06, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xa282c0af, "rdma_addr_cancel" },
	{ 0xb4d121a4, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x8a9ab33d, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x26ffb879, "ib_register_client" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x381387d1, "ib_sa_path_rec_get" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe28bc995, "ib_create_cm_id" },
	{ 0xbe55b671, "__ip_mc_dec_group" },
	{ 0x118ffb15, "vlan_dev_real_dev" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0xb7d8a48f, "ib_init_ah_from_mcmember" },
	{ 0xd10deeed, "rdma_destroy_ah_attr" },
	{ 0x3a2cc1de, "ib_set_client_data" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x33e89b6, "init_net" },
	{ 0x98f2f3e4, "ib_get_cached_pkey" },
	{ 0xe44f0b81, "configfs_register_subsystem" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x1058a795, "configfs_remove_default_groups" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x35672d4a, "rdma_put_gid_attr" },
	{ 0xf05a1dbb, "config_group_init_type_name" },
	{ 0x775a6149, "dev_get_by_index" },
	{ 0x12d26774, "iw_destroy_cm_id" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x519bb45, "ib_send_cm_rep" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x743ac4a7, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xf2b22fcb, "bpf_trace_run1" },
	{ 0xabe22e99, "ib_destroy_qp_user" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3fd88855, "unregister_pernet_subsys" },
	{ 0x947d11bc, "ib_cm_init_qp_attr" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x93928c59, "ib_send_cm_drep" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9fb5de7, "rdma_restrack_set_name" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7bd74fb3, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xbffe763a, "ib_get_cached_port_state" },
	{ 0x72dfb835, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3d633ef6, "rdma_restrack_del" },
	{ 0xde10daec, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x560d1c93, "bpf_trace_run3" },
	{ 0xe58ed68a, "__put_net" },
	{ 0x847d75f1, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb034cba2, "iw_cm_accept" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2169f11f, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x382a6a96, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x24163a31, "iw_cm_init_qp_attr" },
	{ 0xb2275f59, "dst_release" },
	{ 0x2ac48f01, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5573d8ce, "ib_send_cm_dreq" },
	{ 0x1741e6be, "ib_send_cm_req" },
	{ 0x4643d0, "ib_create_qp_kernel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf363a423, "ib_sa_join_multicast" },
	{ 0xbdf55798, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xda83a156, "rdma_get_gid_attr" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xbe8cdd4c, "rdma_restrack_new" },
	{ 0xaffc253b, "__fib_lookup" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xde5321c9, "iw_cm_listen" },
	{ 0x4a00f73a, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x1be2d14, "rdma_copy_src_l2_addr" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xc0ba06c5, "rdma_resolve_ip" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "3FA75D30E04992D116E2E22");
