#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0x002174c2, "");
SYMBOL_CRC(dm_snap_cow, 0x87812455, "");
SYMBOL_CRC(dm_exception_store_type_register, 0xc65ef83c, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0xd0fd8491, "");
SYMBOL_CRC(dm_exception_store_create, 0x193184c5, "");
SYMBOL_CRC(dm_exception_store_destroy, 0x387bbc97, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x779c8348, "bio_associate_blkg" },
	{ 0x173d6578, "dm_internal_resume_fast" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x460a1388, "param_ops_uint" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x13b139a0, "dm_per_bio_data" },
	{ 0x71f7f04d, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf03e3e17, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x26c5c5b1, "mempool_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x3b07d3e9, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x981dd375, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x299769, "dm_accept_partial_bio" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x69aa70a6, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x7cfedaed, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe3c2221, "bio_endio" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x8378f299, "dm_suspended" },
	{ 0xbd55e91e, "submit_bio_noacct" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xe0b7b4a0, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x2aed9018, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa7fe06e3, "dm_unregister_target" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c48b5ec, "dm_set_target_max_io_len" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x4481c90d, "dm_kcopyd_zero" },
	{ 0xfb578fc5, "memset" },
	{ 0x3e3361d0, "dm_table_event" },
	{ 0xf08c7c7b, "dm_internal_suspend_fast" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x5e24a9d9, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd1e2d9e9, "dm_kcopyd_copy" },
	{ 0xd2b3d870, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x43e4f556, "dm_table_get_mode" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0xd297e51e, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x655fd514, "dm_table_get_md" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xe90cbf72, "dm_io" },
	{ 0x14637b14, "dm_get_device" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa97b8eac, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xb6a38f6f, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xabf9fde5, "kmem_cache_destroy" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "dm-bufio");


MODULE_INFO(srcversion, "B3EB90C2562211959B78F1B");
