#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x3248ed52, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x7c62daed, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x16c1fb30, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x34cd34bb, "");
SYMBOL_CRC(mpt_halt_firmware, 0xdb8317c6, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x8779d628, "");
SYMBOL_CRC(mpt_attach, 0x91cf444a, "");
SYMBOL_CRC(mpt_detach, 0x9618e32a, "");
SYMBOL_CRC(mpt_resume, 0xdd897655, "");
SYMBOL_CRC(mpt_suspend, 0x10c43c07, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x1046b872, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xe6a60140, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xd3adf70e, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x91e64f65, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x2135cc8d, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x2311a559, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xfae357a6, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xc69eaead, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x694398ca, "");
SYMBOL_CRC(mpt_verify_adapter, 0x657ccd1c, "");
SYMBOL_CRC(mpt_GetIocState, 0x4eeeaf9c, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x600dab48, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x0ccaa4e4, "");
SYMBOL_CRC(mpt_config, 0x4b3f58d5, "");
SYMBOL_CRC(mpt_findImVolumes, 0xb4260ae1, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x90378492, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x90975e07, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x9cdd3d29, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x8caa3440, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0x970ce1f9, "pci_stop_and_remove_bus_device_locked" },
	{ 0x3831e859, "dma_alloc_attrs" },
	{ 0xdc83da8a, "dma_free_attrs" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x81b8777f, "pci_select_bars" },
	{ 0x6dd66c4c, "pci_enable_device_mem" },
	{ 0x6a706d27, "pci_request_selected_regions" },
	{ 0x2d55e3c3, "dma_get_required_mask" },
	{ 0xead08f0b, "dma_set_mask" },
	{ 0x55e4746c, "pci_release_selected_regions" },
	{ 0xf612167d, "pci_disable_device" },
	{ 0x3f36f6c3, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x95dae11c, "pci_get_slot" },
	{ 0xfd72d1a4, "pci_dev_put" },
	{ 0x883c2301, "remove_proc_entry" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xf1e046cc, "panic" },
	{ 0xa6257a2f, "complete" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x6c6a068a, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb7b5f4e, "seq_putc" },
	{ 0x99c4d127, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe11c47ce, "pci_save_state" },
	{ 0x1ed071bf, "pci_set_power_state" },
	{ 0x79c92f9, "pci_disable_msi" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa8333681, "proc_mkdir" },
	{ 0x22a5007d, "proc_create_single_data" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc540649b, "pci_read_config_word" },
	{ 0xedb5ec27, "pci_write_config_word" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc03953, "iounmap" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf44df084, "pci_set_master" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x63b46386, "pci_enable_msi" },
	{ 0xe64b4f32, "pci_enable_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xddb41733, "kthread_create_on_node" },
	{ 0xed5f91b3, "wake_up_process" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xae92cfc4, "pci_read_config_byte" },
	{ 0x58fe67ff, "pci_write_config_byte" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd9f240, "pci_enable_wake" },
	{ 0xd3e42d1a, "pci_restore_state" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0xda74ad9f, "param_get_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdd64e639, "strscpy" },
	{ 0x122c3a7e, "_printk" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");
