#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x1dfdae9d, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x51a7fe7b, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x306460fd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xd1b4af0, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6f022426, "gro_cells_init" },
	{ 0x9de23ce8, "dev_addr_mod" },
	{ 0x69acdf38, "memcpy" },
	{ 0x16ca0a5b, "eth_type_trans" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x223af750, "gro_cells_receive" },
	{ 0xe6e6368, "__dev_get_by_index" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3c052e09, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x725f69e9, "register_netdevice" },
	{ 0xbc44c2d7, "netdev_upper_dev_link" },
	{ 0x3e15ade7, "netdev_upper_dev_unlink" },
	{ 0xfadd8eb3, "unregister_netdevice_queue" },
	{ 0x47e3279d, "metadata_dst_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x48677fff, "netif_stacked_transfer_operstate" },
	{ 0xba9177d1, "linkwatch_fire_event" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x5d9e189b, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a2b06, "skb_push" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0x8494c05b, "crypto_aead_encrypt" },
	{ 0xdd7e8a79, "skb_copy_expand" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe6898cae, "skb_trim" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe7149090, "__pskb_pull_tail" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf45882fc, "netdev_rx_handler_unregister" },
	{ 0x491e64ef, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd9364252, "netif_carrier_off" },
	{ 0x489bddc3, "dev_mc_unsync" },
	{ 0xdb90b23c, "dev_uc_unsync" },
	{ 0xf2f7e3da, "dev_uc_del" },
	{ 0x3e2ceeb1, "dev_uc_add" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1f94b6a9, "netif_carrier_on" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c7cc31f, "genlmsg_put" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa3a65b3d, "rtnl_link_register" },
	{ 0x5a61c3c7, "genl_register_family" },
	{ 0x71c024b5, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfb578fc5, "memset" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xb64b0add, "crypto_destroy_tfm" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2f510fd7, "crypto_alloc_aead" },
	{ 0x22a512e3, "crypto_aead_setkey" },
	{ 0x37329330, "crypto_aead_setauthsize" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0xe82eed5d, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xb2863578, "skb_pull" },
	{ 0x8df34cc9, "___pskb_trim" },
	{ 0x7e3267ec, "ether_setup" },
	{ 0xb2275f59, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xea6db5e7, "dev_mc_sync" },
	{ 0x179c3224, "dev_uc_sync" },
	{ 0xd1d4717c, "dev_set_allmulti" },
	{ 0xd3f21e70, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xff2618ea, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb685f84, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb85fd09, "skb_to_sgvec" },
	{ 0x59c27cd1, "crypto_aead_decrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x245c2edf, "skb_clone" },
	{ 0xec0434b0, "consume_skb" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0xb368c588, "skb_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0107B8268BE63BEB458C663");
