#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x29a9f1f7, "netif_set_real_num_tx_queues" },
	{ 0x58b1f068, "netif_set_real_num_rx_queues" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa9e3bab9, "eth_prepare_mac_addr_change" },
	{ 0xeb27b998, "eth_commit_mac_addr_change" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xf6f4aa4f, "netif_tx_lock" },
	{ 0x6d413311, "netif_device_detach" },
	{ 0xc38f1081, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9743986c, "__put_devmap_managed_page_refs" },
	{ 0xa8c6015b, "__folio_put" },
	{ 0x7ce7e2f9, "dump_page" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc4ffaf75, "__napi_alloc_skb" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0x285f0611, "skb_add_rx_frag" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xada18dcb, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x56202f58, "__skb_flow_dissect" },
	{ 0xe7149090, "__pskb_pull_tail" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x7806c9d0, "netif_napi_add_weight" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x28dbbccd, "virtqueue_enable_cb_delayed" },
	{ 0xbaad2c8a, "virtqueue_add_outbuf" },
	{ 0xa788f14f, "virtqueue_kick_prepare" },
	{ 0xd5e32e2d, "virtqueue_notify" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xce88b43c, "xdp_do_redirect" },
	{ 0x69f9a55d, "xdp_master_redirect" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x95585dcf, "bpf_warn_invalid_xdp_action" },
	{ 0xd7c80acc, "__tracepoint_xdp_exception" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x847d2cd0, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe85ac573, "__dynamic_netdev_dbg" },
	{ 0xa01a1035, "xdp_return_frame_rx_napi" },
	{ 0x19635cef, "virtqueue_set_dma_premapped" },
	{ 0xe9732396, "virtqueue_dma_unmap_single_attrs" },
	{ 0xe6769d1f, "virtqueue_dma_sync_single_range_for_cpu" },
	{ 0xe92829ef, "alloc_etherdev_mqs" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9de23ce8, "dev_addr_mod" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x725f69e9, "register_netdevice" },
	{ 0x3886e735, "net_failover_destroy" },
	{ 0x37b50735, "virtio_reset_device" },
	{ 0x6750b4a, "free_netdev" },
	{ 0x4d75771e, "unregister_netdev" },
	{ 0x3cc46b05, "net_failover_create" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x61bedf40, "skb_page_frag_refill" },
	{ 0x67eadfb0, "virtqueue_dma_map_single_attrs" },
	{ 0x21b8d3f2, "virtqueue_dma_mapping_error" },
	{ 0xfa6ea12b, "virtqueue_dma_need_sync" },
	{ 0x18b207b1, "virtqueue_get_buf_ctx" },
	{ 0x9b4477b5, "alloc_pages" },
	{ 0xc329d2c6, "__free_pages" },
	{ 0x4d386e5c, "bpf_prog_add" },
	{ 0x1c3d430, "bpf_prog_sub" },
	{ 0xe2f13923, "napi_enable" },
	{ 0x63bcf3aa, "bpf_prog_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfe505e11, "xdp_features_clear_redirect_target" },
	{ 0xa9ffd605, "netdev_printk" },
	{ 0x566cac5b, "xdp_features_set_redirect_target" },
	{ 0xd654cb4, "netdev_warn" },
	{ 0x217d2727, "virtqueue_add_inbuf" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb85fd09, "skb_to_sgvec" },
	{ 0xeaa9ecab, "softnet_data" },
	{ 0xa1809bf6, "skb_clone_tx_timestamp" },
	{ 0x61bcd924, "skb_tstamp_tx" },
	{ 0x526a1a09, "dev_kfree_skb_any_reason" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9cd5705, "virtqueue_detach_unused_buf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x330ab30d, "virtqueue_add_inbuf_ctx" },
	{ 0xe293a3a7, "xdp_rxq_info_reg_mem_model" },
	{ 0xfb1aeaf3, "__xdp_rxq_info_reg" },
	{ 0xe009fe11, "netif_device_attach" },
	{ 0xfee979b1, "virtqueue_resize" },
	{ 0xc63a477d, "skb_coalesce_rx_frag" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0x16ca0a5b, "eth_type_trans" },
	{ 0x9c4f01a9, "napi_gro_receive" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x2e742140, "passthru_features_check" },
	{ 0xc949008c, "eth_validate_addr" },
	{ 0x8a501259, "ethtool_op_get_link" },
	{ 0x666ce5f8, "ethtool_op_get_ts_info" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0x24b24d8d, "__SCK__tp_func_xdp_exception" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfe93b482, "napi_consume_skb" },
	{ 0xb8dc1df4, "virtqueue_get_buf" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc427beca, "xdp_return_frame" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xebbeeb9f, "virtqueue_disable_cb" },
	{ 0xc3309ef, "virtqueue_enable_cb_prepare" },
	{ 0x7abe412d, "napi_complete_done" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x367f8af0, "virtqueue_poll" },
	{ 0x6ce143f8, "netif_tx_wake_queue" },
	{ 0x7c7e5929, "napi_schedule_prep" },
	{ 0x9cfcee, "__napi_schedule" },
	{ 0xa024456d, "virtqueue_get_vring_size" },
	{ 0xec0434b0, "consume_skb" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x28d7948c, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a7468e3, "__cpuhp_state_add_instance" },
	{ 0xecb61f56, "__cpuhp_state_remove_instance" },
	{ 0x6e7738bf, "ethtool_virtdev_set_link_ksettings" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x25b039c8, "netdev_err" },
	{ 0x6046858, "__cpuhp_setup_state" },
	{ 0xae795aee, "__cpuhp_remove_state" },
	{ 0xb98bf4a4, "register_virtio_driver" },
	{ 0x6ee5b332, "unregister_virtio_driver" },
	{ 0x9be64d15, "build_skb" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x994c149c, "napi_disable" },
	{ 0x7465c72a, "xdp_rxq_info_unreg" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe16054dc, "__netif_set_xps_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x28ac6c2e, "virtio_check_driver_offered_feature" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x56dc6c5, "virtqueue_add_sgs" },
	{ 0xf3f7f0e8, "virtqueue_kick" },
	{ 0x44035570, "virtqueue_is_broken" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x1f94b6a9, "netif_carrier_on" },
	{ 0xd9364252, "netif_carrier_off" },
	{ 0x891facc8, "netif_tx_stop_all_queues" },
	{ 0xd0325ae1, "netdev_notify_peers" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "net_failover");

MODULE_ALIAS("virtio:d00000001v*");

MODULE_INFO(srcversion, "5A0F487A6DFD07480A5CE07");
