#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x395f10c0, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x5701f44d, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xa00aeff6, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x52f091ef, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x8e8568ad, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x9badee4f, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x366596b1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xd72d0897, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x2a1b60f4, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x4d0d1a8d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0xb645e43c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xadc2c425, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x060b1f00, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x9706a636, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x75df42dc, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x89c5a7e1, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0x966d08f6, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x00187119, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x4062c1fa, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x9d9521e4, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0xeb77d230, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x792ba702, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x73955562, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0x1e7df366, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x0889590e, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x874ee17c, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x0483ad9d, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x220b1563, "_gpl");
SYMBOL_CRC(mt76_rx, 0xcfde13e8, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0xb34df058, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x4a6cfe58, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0xac247fc5, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xd4000d07, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xd97ee264, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x32052555, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x48801c03, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xeb0a1a83, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0xb190f84e, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x4bfe3603, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0x666d3127, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0x1c4fa57d, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x738a477e, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x3ff4e859, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xf34ba206, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x35b4bc91, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xbf004400, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x5fdb91a5, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x0cfe9034, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x93a1f58e, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x04501f9a, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0x22110250, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x013f14fc, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xe4b532a0, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x645befa4, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0x64a65f6c, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x86f13048, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0x7924cdec, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x8e58eab9, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0xf9ec1953, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x9fe6fba3, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xf29c718c, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x76ebac3a, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xb3fe4c21, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x721955d8, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xed0faba9, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xaef4d965, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xadd986ed, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x83d42686, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xd093a12d, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x60fa0497, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x442ebb10, "_gpl");
SYMBOL_CRC(mt76_tx, 0x58f67098, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x965f34ec, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x0a852c4a, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x528219a6, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xa94dc49f, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xd41af20a, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0x3a95fccf, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x7c93407b, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x7191748d, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0xadfa74ad, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x97865fb8, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x6ec10358, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x22e274ef, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x70e32830, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0xff10331a, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x86cc7528, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x3070c31c, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0xea266815, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0xf5d73c18, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xf7d569fa, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0x89e42722, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x0bb01687, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x406beb42, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa48262d8, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x16a613c5, "pcie_capability_read_word" },
	{ 0xf0d1a5a0, "__skb_pad" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9a450f33, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1de42804, "__ieee80211_schedule_txq" },
	{ 0x99d62aec, "debugfs_attr_write" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc50c6473, "page_pool_alloc_frag" },
	{ 0xec0434b0, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7806c9d0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x713b8e28, "dmam_alloc_attrs" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x57c6f65c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe2e992c, "ieee80211_free_hw" },
	{ 0xd118ff0c, "dma_unmap_page_attrs" },
	{ 0x584d9eae, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x445a5ee1, "dma_sync_single_for_device" },
	{ 0x285f0611, "skb_add_rx_frag" },
	{ 0x3ec4d5cf, "ieee80211_tx_status_ext" },
	{ 0x64fa6fd6, "debugfs_create_blob" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0x4bffc5d0, "page_pool_destroy" },
	{ 0xb1e39543, "ieee80211_register_hw" },
	{ 0xe8ca76b1, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6487b1d7, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x45f6a4fa, "ieee80211_sta_eosp" },
	{ 0x4ed57064, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x28d7948c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x9e107121, "kthread_park" },
	{ 0x529657, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xed5f91b3, "wake_up_process" },
	{ 0xa495dbcf, "dev_driver_string" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd3d8195, "dma_map_page_attrs" },
	{ 0x7abe412d, "napi_complete_done" },
	{ 0x75fe7d65, "ieee80211_get_tx_rates" },
	{ 0x81b41632, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xc2b5c71d, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4a4f04c, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x38068b64, "pci_disable_link_state" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x9c4f01a9, "napi_gro_receive" },
	{ 0x51e7df75, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe9824d61, "dev_set_threaded" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x56ec1f9e, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaff53cb2, "ieee80211_queue_delayed_work" },
	{ 0xfd621e73, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8107fbaf, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xb0fadf1b, "simple_attr_release" },
	{ 0xb727c231, "ieee80211_calc_rx_airtime" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9266eb16, "ieee80211_find_sta_by_ifaddr" },
	{ 0x31323ca, "ieee80211_next_txq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xddc4d835, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a2b06, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe2f13923, "napi_enable" },
	{ 0xeeb7cf26, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x85c97938, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc68044e8, "kthread_stop" },
	{ 0x9c153469, "ieee80211_free_txskb" },
	{ 0x615888d7, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb554ffaa, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x1d092fb1, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x25ad7fcd, "ieee80211_rx_list" },
	{ 0x351a6d63, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xd2a7215c, "page_pool_create" },
	{ 0x9344b36a, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x16023896, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xddb41733, "kthread_create_on_node" },
	{ 0xd9de1753, "cfg80211_reg_can_beacon" },
	{ 0x560d1c93, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x800eb3b0, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1967b93c, "ieee80211_unregister_hw" },
	{ 0xef51468b, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xcc1e2f6e, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x9b759ac3, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe12907b6, "debugfs_create_u8" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb50ee6c6, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xd4116827, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CA042EA8D1A93A4795925C8");
