#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x70bcc4cc, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x00b8921a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18d5435, "bio_integrity_prep" },
	{ 0x212a127, "__blk_alloc_disk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x225a3b68, "blk_queue_logical_block_size" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0x81e7a596, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbdc8af09, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x7bdb8ead, "debugfs_create_u16" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x16518b1f, "to_nd_region" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x36269562, "nd_btt_arena_is_valid" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x35ff1ede, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa495dbcf, "dev_driver_string" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x1b4e1819, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9df7a5a0, "debugfs_create_x64" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf03c0fd8, "blk_queue_flag_set" },
	{ 0xf946677d, "nd_dev_to_uuid" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x8f4b8042, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe3c2221, "bio_endio" },
	{ 0x20b60435, "nd_region_release_lane" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xdb67827f, "set_capacity" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xae517d32, "del_gendisk" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xa5d39b1a, "to_nd_btt" },
	{ 0x1bf2dd82, "nd_region_acquire_lane" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x16023896, "debugfs_create_u32" },
	{ 0x91d895be, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5d2baf2a, "debugfs_create_x32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7c60188, "nvdimm_namespace_capacity" },
	{ 0x3b6a91b7, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4aa8a708, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9ab84131, "badblocks_check" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xb6d60145, "nd_btt_version" },
	{ 0x6f0572ca, "blk_queue_max_hw_sectors" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BAD3DECE6CEE9A046ABB0A3");
