#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1bdaafe1, "cxgbi_tagmask_set" },
	{ 0xfb578fc5, "memset" },
	{ 0x53f1a2e0, "cxgbi_ddp_ppm_setup" },
	{ 0x3d9dc3ea, "cxgbi_device_register" },
	{ 0x33250d13, "cxgbi_hbas_add" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xae60c095, "t3_l2t_send_slow" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3f9d3545, "cxgbi_sock_skb_entail" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3d738cc, "skb_copy_bits" },
	{ 0x3b1ad4a6, "cxgbi_conn_pdu_ready" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8df34cc9, "___pskb_trim" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0x21ad45f0, "cxgb3_queue_tid_release" },
	{ 0xc74499f6, "cxgbi_sock_fail_act_open" },
	{ 0x37a0cba, "kfree" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x72499f66, "cxgbi_sock_free_cpl_skbs" },
	{ 0x97b7680b, "cxgbi_sock_closed" },
	{ 0x1310a072, "cxgb3_insert_tid" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x93bd143f, "cxgbi_sock_established" },
	{ 0x451961d2, "cxgbi_conn_tx_open" },
	{ 0xa83dc5f2, "cxgb3_free_atid" },
	{ 0xd4f15c3d, "t3_l2t_get" },
	{ 0x40147271, "cxgb3_alloc_atid" },
	{ 0xebf1ec61, "ip6_mtu" },
	{ 0xfb9e0a7f, "cxgbi_sock_select_mss" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x633ae45a, "t3_l2e_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0x42706dc1, "ipv4_mtu" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x670e1d39, "cxgb3_remove_tid" },
	{ 0x26317d03, "cxgbi_sock_purge_wr_queue" },
	{ 0xde535266, "cxgbi_create_session" },
	{ 0x2c9543, "cxgbi_destroy_session" },
	{ 0x400affbe, "cxgbi_create_conn" },
	{ 0xf1f68fcd, "iscsi_conn_unbind" },
	{ 0xc67fc3de, "cxgbi_bind_conn" },
	{ 0xa97d3dc6, "iscsi_conn_start" },
	{ 0xcc8d5049, "iscsi_conn_stop" },
	{ 0x19372618, "iscsi_tcp_conn_teardown" },
	{ 0xcfc7754c, "cxgbi_set_conn_param" },
	{ 0xb33e9f13, "cxgbi_get_ep_param" },
	{ 0x9882a1a7, "iscsi_conn_get_param" },
	{ 0x1094ce11, "iscsi_session_get_param" },
	{ 0x932b268c, "cxgbi_get_host_param" },
	{ 0x9ce017b6, "cxgbi_set_host_param" },
	{ 0x8fad21b4, "iscsi_conn_send_pdu" },
	{ 0xe836ec3, "cxgbi_get_conn_stats" },
	{ 0x6364cfb, "iscsi_tcp_task_init" },
	{ 0x7aad0266, "iscsi_tcp_task_xmit" },
	{ 0x1ecc241d, "cxgbi_cleanup_task" },
	{ 0x15505d8d, "cxgbi_conn_alloc_pdu" },
	{ 0x99bebd69, "cxgbi_conn_xmit_pdu" },
	{ 0x2e9ced84, "cxgbi_conn_init_pdu" },
	{ 0x1dc4567, "cxgbi_parse_pdu_itt" },
	{ 0x724bb3e7, "iscsi_session_recovery_timedout" },
	{ 0xe413988f, "cxgbi_ep_connect" },
	{ 0x81ecd3ed, "cxgbi_ep_poll" },
	{ 0xe318c8c3, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0x45697d5b, "iscsi_queuecommand" },
	{ 0xde1f3ee2, "iscsi_eh_abort" },
	{ 0xb8aba88f, "iscsi_eh_device_reset" },
	{ 0xbfd9326, "iscsi_eh_recover_target" },
	{ 0xccd07d6f, "iscsi_target_alloc" },
	{ 0x634ad583, "scsi_change_queue_depth" },
	{ 0x92f9fa3b, "iscsi_eh_cmd_timed_out" },
	{ 0x460a1388, "param_ops_uint" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x1e478e74, "cxgbi_sock_rcv_wr_ack" },
	{ 0xacd670d, "__kfree_skb" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6db6273b, "cxgbi_device_find_by_lldev" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5375f783, "cxgbi_device_unregister" },
	{ 0x48401926, "cxgb3_ofld_send" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4d35b061, "cxgbi_device_portmap_create" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x273b12b1, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0x13564a92, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4e5e2665, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x774f4e3d, "cxgbi_sock_rcv_peer_close" },
	{ 0x19f48ef4, "cxgbi_iscsi_init" },
	{ 0xa7686087, "cxgb3_register_client" },
	{ 0x2912ed43, "cxgb3_unregister_client" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0x34a13465, "cxgbi_iscsi_cleanup" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "libcxgb,libcxgbi,cxgb3,libiscsi,libiscsi_tcp");


MODULE_INFO(srcversion, "7D71BC3F2E1D505069033E1");
