#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x4d35b061, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x34f6f8c7, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x3d9dc3ea, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x5375f783, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x6db6273b, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x2d1b782b, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xfe435c6c, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x3196c929, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x33250d13, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x72499f66, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x93bd143f, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x97b7680b, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xc74499f6, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x273b12b1, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x4e5e2665, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x774f4e3d, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x13564a92, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x1e478e74, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xfb9e0a7f, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x3f9d3545, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x26317d03, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x4b70ae1e, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x53f1a2e0, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x01dc4567, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x451961d2, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x3b1ad4a6, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x15505d8d, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x2e9ced84, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x99bebd69, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x1ecc241d, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x0e836ec3, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xcfc7754c, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xb33e9f13, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x400affbe, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xc67fc3de, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xde535266, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x002c9543, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x9ce017b6, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x932b268c, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xe413988f, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x81ecd3ed, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0xe318c8c3, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x19f48ef4, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x34a13465, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x122c3a7e, "_printk" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x118ffb15, "vlan_dev_real_dev" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa2491a74, "iscsi_host_remove" },
	{ 0xfd72d1a4, "pci_dev_put" },
	{ 0x8d9e5c6f, "iscsi_host_free" },
	{ 0x92ae0c85, "pci_dev_get" },
	{ 0xba1ebe5b, "iscsi_host_add" },
	{ 0xc4a4a50c, "iscsi_host_alloc" },
	{ 0x530dfdb9, "scsi_host_put" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcefdbfc, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3d37a606, "iscsi_conn_queue_xmit" },
	{ 0x6a35aaca, "cxgbi_ppm_ppods_reserve" },
	{ 0xb44fb84, "dma_map_sg_attrs" },
	{ 0x9f6d6bd, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x1fa91ff, "cxgbi_ppm_ppod_release" },
	{ 0x5513501e, "dma_unmap_sg_attrs" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xacd670d, "__kfree_skb" },
	{ 0xfb578fc5, "memset" },
	{ 0x1e7e80a, "iscsi_tcp_cleanup_task" },
	{ 0x37a0cba, "kfree" },
	{ 0x77c2470c, "iscsi_tcp_set_max_r2t" },
	{ 0xe25c37e7, "iscsi_set_param" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xa540c9b9, "iscsi_tcp_conn_setup" },
	{ 0x68116ae1, "iscsi_session_setup" },
	{ 0x23f3b26f, "iscsi_tcp_r2tpool_alloc" },
	{ 0x89171cc3, "iscsi_session_teardown" },
	{ 0xd4efca42, "iscsi_tcp_r2tpool_free" },
	{ 0x53fcfd3b, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x9ca64a01, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618c4ef0, "iscsi_host_get_param" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf25e605d, "iscsi_unregister_transport" },
	{ 0x9b4477b5, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xf243addc, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x920654b, "iscsi_register_transport" },
	{ 0x33e89b6, "init_net" },
	{ 0xb2115752, "ip6_route_output_flags" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xca865631, "iscsi_lookup_endpoint" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x49f8e34, "iscsi_conn_bind" },
	{ 0xc3e9dc94, "iscsi_put_endpoint" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6e009b85, "iscsi_tcp_hdr_recv_prep" },
	{ 0xfac4a14, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xcb1f026f, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6f73be53, "make_kuid" },
	{ 0x4efdbd45, "ip_route_output_flow" },
	{ 0xb2275f59, "dst_release" },
	{ 0xc725ea4c, "__ip_dev_find" },
	{ 0xfadf5a9a, "neigh_destroy" },
	{ 0x1781fa42, "iscsi_itt_to_ctask" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5d4a3957, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9743986c, "__put_devmap_managed_page_refs" },
	{ 0xa8c6015b, "__folio_put" },
	{ 0x7ce7e2f9, "dump_page" },
	{ 0x7cfedaed, "module_put" },
	{ 0xe223e3b6, "ipv6_dev_get_saddr" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x372402b7, "iscsi_destroy_endpoint" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0x4a9ea77f, "iscsi_create_endpoint" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x460a1388, "param_ops_uint" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,libcxgb,libiscsi_tcp");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");
