#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x86c0b472, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x5f49cce7, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xf397c450, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xa106d91b, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xcae82a89, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x6e009b85, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x01e7e80a, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x0fac4a14, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xcb1f026f, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x06364cfb, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x7aad0266, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xa540c9b9, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x19372618, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x23f3b26f, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xd4efca42, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x77c2470c, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x59207749, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x46f0d8da, "iscsi_dbg_trace" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x9ca64a01, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x36bcb50e, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1781fa42, "iscsi_itt_to_ctask" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8a747cf, "iscsi_get_task" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7a7f8471, "iscsi_update_cmdsn" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf6c5c92c, "iscsi_put_task" },
	{ 0xb92c3122, "iscsi_requeue_task" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27b43e5a, "iscsi_prep_data_out_pdu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf243addc, "iscsi_conn_failure" },
	{ 0x9da025d7, "iscsi_conn_setup" },
	{ 0x26c4f63c, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x45c649a2, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4da09f5c, "iscsi_complete_pdu" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x7972b45, "iscsi_verify_itt" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x217cb042, "__iscsi_complete_pdu" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7ce7e2f9, "dump_page" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb255f85e, "crypto_ahash_final" },
	{ 0xff1e07db, "skb_prepare_seq_read" },
	{ 0x33975156, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xead052fa, "skb_abort_seq_read" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0x43a90094, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");
