#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x3c2b33de, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x48393a64, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x5e7c4aec, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x24887776, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xb6ee0ddb, "");
SYMBOL_CRC(sdw_show_ping_status, 0x2c366eb7, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x25b90139, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x20fa5578, "");
SYMBOL_CRC(sdw_write_no_pm, 0xe94dbb28, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x65c0e06b, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xf1972736, "");
SYMBOL_CRC(sdw_read_no_pm, 0x6cda24c7, "");
SYMBOL_CRC(sdw_update_no_pm, 0xa525b576, "");
SYMBOL_CRC(sdw_update, 0x13a28b99, "");
SYMBOL_CRC(sdw_nread, 0xe9807539, "");
SYMBOL_CRC(sdw_nwrite, 0x2dfbf0d0, "");
SYMBOL_CRC(sdw_read, 0xdb2d2b3b, "");
SYMBOL_CRC(sdw_write, 0x6161c568, "");
SYMBOL_CRC(sdw_compare_devid, 0x1721de5e, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xd3c05bcb, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xd86de751, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xcc77682f, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xe269dd82, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x4f73aa80, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xfe4c6b7c, "");
SYMBOL_CRC(sdw_slave_add, 0x3a230819, "");
SYMBOL_CRC(sdw_master_read_prop, 0x8abcd432, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x73b25cf5, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x35c84f0f, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x101821f6, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x74817eb9, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x989a010b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x2f201680, "device_property_present" },
	{ 0xcaaad538, "devm_device_add_groups" },
	{ 0x804ee67, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe2df9c59, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xfe9cd3be, "device_unregister" },
	{ 0x6a7e55bd, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92872e0f, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xdb27872e, "seq_lseek" },
	{ 0x4bcdf9da, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf53d01e3, "devm_device_add_group" },
	{ 0x65dce8c7, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x85ffbe43, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6ca78bbb, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x29366a19, "put_device" },
	{ 0x4e669d87, "pm_runtime_enable" },
	{ 0x1c9f5fa3, "device_property_read_u32_array" },
	{ 0xef926622, "fwnode_property_read_u32_array" },
	{ 0x3371b158, "dev_pm_domain_detach" },
	{ 0xf189aaf8, "pm_generic_runtime_suspend" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x6afe73b6, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x56a1cf26, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x74271529, "device_register" },
	{ 0xbe307dd3, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0xb4d4af6c, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2302d3a, "devm_kasprintf" },
	{ 0x2a9633c6, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe0802e8d, "fwnode_property_present" },
	{ 0xbe051091, "debugfs_create_file" },
	{ 0x2480aad4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xff8ed5d5, "device_get_named_child_node" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0x9578c92, "irq_create_mapping_affinity" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4cc2a43a, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xbcfdc92e, "acpi_dev_for_each_child" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xae20c1c1, "__pm_runtime_suspend" },
	{ 0x1a375e64, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x26eccb9c, "__pm_runtime_use_autosuspend" },
	{ 0x374514c6, "single_open" },
	{ 0x9c45a083, "__pm_runtime_disable" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0xac6647ad, "driver_register" },
	{ 0xda34ee0f, "__pm_runtime_idle" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x5cf384e, "bus_register" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0666F09C6D217B5B73A6775");
