#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x529e7b49, "ufshcd_uic_hibern8_exit" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xf44df084, "pci_set_master" },
	{ 0x6479910e, "pcim_iomap_regions" },
	{ 0x443688ce, "pcim_iomap_table" },
	{ 0x82d61e54, "ufshcd_alloc_host" },
	{ 0x2cb35b69, "ufshcd_init" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7fa6e9bc, "pm_runtime_allow" },
	{ 0xc4ca682, "pcim_enable_device" },
	{ 0x804ee67, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xb3239519, "devm_gpiod_get_optional" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x56c25248, "gpiod_set_value_cansleep" },
	{ 0x192b9310, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0x5d2baf2a, "debugfs_create_x32" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x4703530, "ufshcd_config_pwr_mode" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2480aad4, "__pm_runtime_resume" },
	{ 0xda34ee0f, "__pm_runtime_idle" },
	{ 0xe88defca, "ufshcd_suspend_prepare" },
	{ 0xdd9b863d, "ufshcd_resume_complete" },
	{ 0x7f1fcd48, "ufshcd_system_suspend" },
	{ 0xfb29f9fa, "ufshcd_runtime_suspend" },
	{ 0xe358e986, "ufshcd_runtime_resume" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x6b185ccb, "ufshcd_dme_get_attr" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xabf87346, "ufshcd_dme_set_attr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x449c95f3, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x978cf201, "__pci_register_driver" },
	{ 0x6b2d8595, "ufshcd_system_resume" },
	{ 0x202324b4, "pm_runtime_forbid" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x2cced2e7, "ufshcd_remove" },
	{ 0x91473ce8, "ufshcd_dealloc_host" },
	{ 0x8e5f29d9, "pci_unregister_driver" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "ufshcd-core");

MODULE_ALIAS("pci:v00001B36d00000013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000144Dd0000C00Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DFAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B41sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098FAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000051FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007E47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A847sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007747sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B8A80F2AEC2405FA3489501");
