#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x59f4c9a7, "dquot_commit" },
	{ 0x89e35737, "truncate_inode_pages" },
	{ 0xcdb5d0f5, "bh_uptodate_or_lock" },
	{ 0xd694297b, "inode_init_owner" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf662c5bc, "setattr_prepare" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x760a0f4f, "yield" },
	{ 0xbc09b5e4, "clear_nlink" },
	{ 0x91f63c5d, "generic_block_bmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd2614a08, "d_instantiate" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27ac9b50, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x71d4357c, "clear_inode" },
	{ 0xe5118702, "dquot_set_dqinfo" },
	{ 0xd287c9, "dquot_commit_info" },
	{ 0x2c389ec2, "grab_cache_page_write_begin" },
	{ 0xee4873e5, "dquot_disable" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xdf533bbd, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x46ba43fe, "dquot_free_inode" },
	{ 0xe823838, "folio_unlock" },
	{ 0x3af3a920, "set_blocksize" },
	{ 0x59266e84, "lookup_one_len" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x199b6775, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7ce7e2f9, "dump_page" },
	{ 0xaf57122a, "dquot_get_state" },
	{ 0x3b8b3cfa, "init_special_inode" },
	{ 0x81102f8e, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xebb1aa63, "mark_buffer_dirty" },
	{ 0x843414fa, "__find_get_block" },
	{ 0xb4d6b51b, "__block_write_begin" },
	{ 0xac3ad66e, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4c25f05, "__blockdev_direct_IO" },
	{ 0xb00df999, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0x19f8061b, "__bforget" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x7e5d52cd, "sb_set_blocksize" },
	{ 0xd0125403, "write_dirty_buffer" },
	{ 0xb27c8661, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfd24b924, "d_splice_alias" },
	{ 0x398ddf0c, "current_time" },
	{ 0xbe17975d, "folio_zero_new_buffers" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7c96efa3, "ihold" },
	{ 0x7fc14abb, "page_get_link" },
	{ 0x9f415b18, "inode_dio_wait" },
	{ 0x4db18ee7, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf262851a, "read_cache_page" },
	{ 0x6107f8f1, "iput" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x9743986c, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x5fc5abe2, "iter_file_splice_write" },
	{ 0x3ca41e96, "filemap_release_folio" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3ab0371c, "remove_proc_subtree" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdee7dd39, "generic_file_write_iter" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x4a0b959b, "register_filesystem" },
	{ 0xb6a42101, "dquot_transfer" },
	{ 0x981dd375, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x56db9cc6, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xb81f479c, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd0769e0a, "make_vfsuid" },
	{ 0xd6ea8830, "inode_get_bytes" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3cc8755, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe86bba8c, "inode_newsize_ok" },
	{ 0xc8d47a8, "kill_block_super" },
	{ 0x11a165b4, "mnt_want_write_file" },
	{ 0x1c602e14, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x24084404, "dquot_quota_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x17766c24, "generic_cont_expand_simple" },
	{ 0x6f73be53, "make_kuid" },
	{ 0x867f64ef, "try_to_free_buffers" },
	{ 0x9ca9b77c, "create_empty_buffers" },
	{ 0x11a026ab, "truncate_inode_pages_final" },
	{ 0xf7c18a01, "generic_file_mmap" },
	{ 0xcb32bfd8, "sync_mapping_buffers" },
	{ 0xd77f24da, "dquot_initialize" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf16621a0, "dquot_quota_on" },
	{ 0x1dda2c3b, "blkdev_put" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x178cedcb, "xattr_full_name" },
	{ 0xe29c2339, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe31a0c73, "mnt_drop_write_file" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd7874c6f, "inode_init_once" },
	{ 0x353b8fd3, "file_write_and_wait_range" },
	{ 0x506dfb0e, "mark_buffer_async_write" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x167628b3, "seq_escape_mem" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x257d0fd5, "dquot_set_dqblk" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x442e8ccc, "__brelse" },
	{ 0x590362e3, "posix_acl_create" },
	{ 0x72541f0f, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x27d902c5, "shrink_dcache_sb" },
	{ 0xce807a25, "up_write" },
	{ 0xd8498dad, "generic_file_read_iter" },
	{ 0x83c9db78, "unlock_page" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xfc5ac2, "set_cached_acl" },
	{ 0xee6062f3, "blkdev_get_by_dev" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc8678cb7, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4d3d13fc, "__bh_read_batch" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x34370197, "dquot_resume" },
	{ 0xd5503642, "setattr_copy" },
	{ 0xf0c4f005, "proc_mkdir_data" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf33506b3, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x72a59e81, "set_nlink" },
	{ 0xe0b7b4a0, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x518f06b7, "security_inode_init_security" },
	{ 0xeb7b5f4e, "seq_putc" },
	{ 0x13f85118, "blkdev_get_by_path" },
	{ 0xb6883b57, "from_kgid" },
	{ 0xed761dab, "__sync_dirty_buffer" },
	{ 0xad53d5bd, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb7af3e9, "d_obtain_alias" },
	{ 0x374f2f19, "posix_acl_chmod" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf52d797e, "__bread_gfp" },
	{ 0x8b30cbbc, "block_dirty_folio" },
	{ 0x72484a7, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xa8333681, "proc_mkdir" },
	{ 0x7bee24de, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf3d80ffe, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcadbe624, "make_kgid" },
	{ 0x408fda52, "d_delete" },
	{ 0x62f3f9c7, "end_page_writeback" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xad28eddf, "truncate_setsize" },
	{ 0xead0e9ef, "insert_inode_locked4" },
	{ 0xf58e1e1b, "dquot_get_dqblk" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x23a0762f, "block_read_full_folio" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4db67c52, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4f317d7e, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0x51a6d30b, "unlock_buffer" },
	{ 0x5fdf4797, "igrab" },
	{ 0xa8b2ddc7, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x243bb613, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x790f8f26, "d_instantiate_new" },
	{ 0xb01e172d, "__dquot_free_space" },
	{ 0xc258c5ce, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3afcfc7f, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc9a37870, "mpage_readahead" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0xcc827177, "init_user_ns" },
	{ 0x785620ce, "simple_rename_timestamp" },
	{ 0x88df063b, "inode_set_ctime_current" },
	{ 0xbc149311, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa8c6015b, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x883c2301, "remove_proc_entry" },
	{ 0x89c2eb21, "dquot_quota_off" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0x9309fa22, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc210453b, "__lock_buffer" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x67512b, "posix_acl_update_mode" },
	{ 0xc900df33, "__folio_lock" },
	{ 0xc74c724b, "dquot_quota_on_mount" },
	{ 0x7eb72f26, "filemap_dirty_folio" },
	{ 0x2aa5eb92, "pagecache_get_page" },
	{ 0xd297e51e, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7a6850, "is_bad_inode" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xcc1e2f6e, "seq_puts" },
	{ 0xf492b7ca, "dquot_mark_dquot_dirty" },
	{ 0x40fb95d9, "dquot_get_next_id" },
	{ 0x72fc7900, "dquot_file_open" },
	{ 0x8136a3e0, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x22a5007d, "proc_create_single_data" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x129eee40, "iget5_locked" },
	{ 0x6cd275eb, "d_set_d_op" },
	{ 0x87629b16, "dquot_acquire" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x349cba85, "strchr" },
	{ 0x29d51c30, "kmem_cache_alloc_lru" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x3e854097, "dquot_writeback_dquots" },
	{ 0x2a02e78b, "__mark_inode_dirty" },
	{ 0x76a9ba31, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd61e7db4, "make_bad_inode" },
	{ 0x53b954a2, "up_read" },
	{ 0xa6ec7fb0, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x6f46a177, "dquot_destroy" },
	{ 0xfe3c5f4e, "dquot_alloc" },
	{ 0xabf9fde5, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "94EA7D47ABF30BFEA08A7F4");
