#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x085f8b47, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x22248c64, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xb2144907, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xf1eb17ff, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xc3cdd06e, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xb268cb71, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x0716e5ab, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xbbedbacd, "");
SYMBOL_CRC(ip_vs_conn_put, 0xf5a5555d, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x7417cc0d, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xa8c40bc2, "");
SYMBOL_CRC(register_ip_vs_app, 0x47aab959, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x44d0b0ed, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x7137744f, "");
SYMBOL_CRC(ip_vs_proto_get, 0x0f7ff8d3, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xb1136ea0, "");
SYMBOL_CRC(register_ip_vs_pe, 0x4549a397, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x973f3bdc, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xab75c393, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdeb2065, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x514ba69, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0x86e240cd, "__ip_select_ident" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xee02c560, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xb29acace, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3d738cc, "skb_copy_bits" },
	{ 0x595330a7, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xec0434b0, "consume_skb" },
	{ 0x4907285f, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5c151333, "mod_timer_pending" },
	{ 0x32ebc4c4, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9b0754b4, "nf_register_sockopt" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x627a8c8a, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x3cf89633, "kernel_bind" },
	{ 0xd81d26d, "set_user_nice" },
	{ 0x2c7cc31f, "genlmsg_put" },
	{ 0x26e878e0, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x9df688a2, "ip6_output" },
	{ 0x3e821a9c, "ip6_route_me_harder" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5133defe, "__module_get" },
	{ 0x4efdbd45, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x981dd375, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb9fd7482, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x590dc2cf, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x2c296640, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ef5f9ea, "pskb_expand_head" },
	{ 0xc8706d58, "register_pernet_subsys" },
	{ 0xed5f91b3, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xc6175f4b, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x681fa09a, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2a2f0c58, "nf_register_net_hooks" },
	{ 0xb2115752, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x69aa70a6, "kmem_cache_alloc" },
	{ 0x8bca63ad, "ipv6_sock_mc_join" },
	{ 0x7cfedaed, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe223e3b6, "ipv6_dev_get_saddr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3b6916fa, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x33e89b6, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xebf1ec61, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x8f113419, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x24b04ba3, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x97926661, "nf_conntrack_alter_reply" },
	{ 0x41aa321f, "ip_route_me_harder" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a2b06, "skb_push" },
	{ 0xe0b7b4a0, "kmem_cache_free" },
	{ 0xa709e37b, "set_cpus_allowed_ptr" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xeb7b5f4e, "seq_putc" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xa511992b, "nf_ct_expect_alloc" },
	{ 0xf1560b68, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xeb6a5e36, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf2768560, "ip_mc_join_group" },
	{ 0x42bb1b54, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0xcbf3bbb7, "nf_unregister_net_hooks" },
	{ 0x39935d39, "inet_select_addr" },
	{ 0xe27811f4, "unregister_pernet_device" },
	{ 0x65fecd54, "lock_sock_nested" },
	{ 0xc727181f, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xc68044e8, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x791531ae, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3fd88855, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x10dbe6a4, "kernel_connect" },
	{ 0x6eb77063, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xa7b8f877, "ip_defrag" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe7149090, "__pskb_pull_tail" },
	{ 0x71f31b07, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe6898cae, "skb_trim" },
	{ 0xeeb143e1, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xddb41733, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x8f2e65af, "nf_ct_deliver_cached_events" },
	{ 0xf06bae2e, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xace1b999, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x85cec00a, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x42706dc1, "ipv4_mtu" },
	{ 0x1da43dfd, "skb_set_owner_w" },
	{ 0x1e29a60, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x3f2f6bb4, "sock_create_kern" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xcc827177, "init_user_ns" },
	{ 0xdd02b5cd, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x883c2301, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0xfd136d93, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x2794a39d, "proc_create_net_single" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x2ca498c1, "ipv4_update_pmtu" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x20918ae6, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb2275f59, "dst_release" },
	{ 0x7d945b1b, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xcc1e2f6e, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x9578bd6b, "ip_local_out" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xff2618ea, "genl_unregister_family" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x77e8df6f, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5a61c3c7, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x886fdeac, "kernel_sendmsg" },
	{ 0xc1157c67, "nf_ct_netns_put" },
	{ 0x15d0f4f9, "register_pernet_device" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xabf9fde5, "kmem_cache_destroy" },
	{ 0x6fd95666, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "B47FFCF2C7590083D7EA02A");
