#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x46e132a8, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x9d4d66a3, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xe52dc81f, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fd01ef6, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa394d359, "sock_queue_rcv_skb_reason" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf0d1a5a0, "__skb_pad" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x79c4b31b, "bpf_trace_run4" },
	{ 0x3d738cc, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xec0434b0, "consume_skb" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x3cf89633, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe4d06f7d, "__tracepoint_sk_data_ready" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5133defe, "__module_get" },
	{ 0x7425902a, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf5313b4c, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x355039ea, "sk_error_report" },
	{ 0x904334be, "skb_queue_purge_reason" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3c16cc7a, "proto_unregister" },
	{ 0x6b32cdba, "sock_register" },
	{ 0xed16aeab, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x35a74c34, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cfedaed, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4329326, "sock_no_shutdown" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x33e89b6, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xdd632651, "__SCK__tp_func_sk_data_ready" },
	{ 0x690f9f5c, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x247635d7, "sk_free" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0xda7a795b, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a2b06, "skb_push" },
	{ 0x2aa90f42, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x65fecd54, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5c4c593c, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x710c8c3e, "sk_alloc" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x2a3576b8, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x10a732ab, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x869475a0, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x560d1c93, "bpf_trace_run3" },
	{ 0x1da43dfd, "skb_set_owner_w" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3f2f6bb4, "sock_create_kern" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x1086d249, "skb_recv_datagram" },
	{ 0xd1bd21a0, "sock_alloc_send_pskb" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb8d41077, "_copy_from_iter" },
	{ 0x7d945b1b, "sock_release" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x680f0a74, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2c279b40, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x886fdeac, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x61d9c2e8, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x6fd95666, "release_sock" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "36E2B937314F0DA85B55EFD");
