#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xdd46035e, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xcd3816a1, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xb4ae397f, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x81e2c311, "");
SYMBOL_CRC(gss_mech_put, 0xb8c630b7, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x1b5b0bb9, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xfc91630e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7290ffbe, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0x15d4fc6d, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x79caa9ec, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x79c4b31b, "bpf_trace_run4" },
	{ 0xdd0f7d2f, "xdr_stream_decode_opaque_auth" },
	{ 0x460a1388, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb226599e, "xdr_write_pages" },
	{ 0x50fc6598, "rpc_shutdown_client" },
	{ 0xc62af4b0, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9859baef, "xdr_inline_decode" },
	{ 0x82d4a669, "cache_create_net" },
	{ 0x7ce7e2f9, "dump_page" },
	{ 0x8b77a44a, "rpcauth_destroy_credcache" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x850ee574, "bpf_trace_run6" },
	{ 0x6f992c4f, "rpc_net_ns" },
	{ 0x2d42baaf, "read_bytes_from_xdr_buf" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6ef75f09, "rpc_wake_up" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe94456a4, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x9743986c, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd8bc846c, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xbafa42c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x10becd33, "xdr_truncate_decode" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xfefc8923, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0x67660234, "__xdr_commit_encode" },
	{ 0x5133defe, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xef56991c, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f096d07, "__put_cred" },
	{ 0xc8706d58, "register_pernet_subsys" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x19927d82, "cache_purge" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9c4eee42, "rpc_release_client" },
	{ 0x1771f722, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf3dcf2c7, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc4f73216, "svc_auth_register" },
	{ 0x363089cf, "xdr_stream_encode_opaque_auth" },
	{ 0x6f73be53, "make_kuid" },
	{ 0x2df1dbf5, "rpc_destroy_pipe_data" },
	{ 0xc329d2c6, "__free_pages" },
	{ 0x9665f66e, "rpc_pipe_generic_upcall" },
	{ 0x7cfedaed, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x320aeb88, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x5fc8698d, "sunrpc_cache_unhash" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x31b3708a, "rpcauth_lookup_credcache" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x39d0a420, "rpcauth_init_credcache" },
	{ 0x3402cc99, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xa0307327, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0xba2c3879, "rpc_call_null" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaa8078d2, "rpc_sleep_on_timeout" },
	{ 0x93274aff, "rpc_create" },
	{ 0xf2b22fcb, "bpf_trace_run1" },
	{ 0xdd59ef7c, "rpc_call_sync" },
	{ 0x7bee24de, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3fd88855, "unregister_pernet_subsys" },
	{ 0x10b44938, "rpc_queue_upcall" },
	{ 0x2f0aec56, "xdr_encode_word" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf0b71b3c, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x837e6b91, "svcauth_unix_set_client" },
	{ 0x3e85bde0, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xcadbe624, "make_kgid" },
	{ 0xff6b1ca, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x49426bcf, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x31b1fddc, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x560d1c93, "bpf_trace_run3" },
	{ 0xe58ed68a, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb0d9fb60, "rpc_mkpipe_dentry" },
	{ 0xb2654496, "rpc_mkpipe_data" },
	{ 0x5f25e8f5, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe15ab1f1, "cache_register_net" },
	{ 0xcc827177, "init_user_ns" },
	{ 0x9b4477b5, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3aab7bf6, "xdr_inline_pages" },
	{ 0xa8c6015b, "__folio_put" },
	{ 0x883c2301, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x2826f814, "rpc_init_wait_queue" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x37cd4d77, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8a95ce6b, "rpc_unlink" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x80e89482, "rpcauth_wrap_req_encode" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x406727ab, "from_kuid_munged" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xf45844d1, "rpcauth_init_cred" },
	{ 0xc24c2769, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf17cf566, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x783c8e2a, "rpc_init_pipe_dir_object" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7faf010, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xa1beb027, "sunrpc_cache_update" },
	{ 0xb831bb89, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1a1822, "rpc_destroy_wait_queue" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x74c6f5d6, "auth_domain_put" },
	{ 0xba32f06e, "rpcauth_unwrap_resp_decode" },
	{ 0xed2ac273, "rpcauth_register" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D3213DC345F5419BC550B8B");
