#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x66371092, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x1675e7b6, "_gpl");
SYMBOL_CRC(tls_get_record, 0xf6cc94f2, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x00bd6f6c, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xc391cbba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88cb0c25, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x181a7b26, "tcp_bpf_sendmsg_redir" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3ec7774d, "tcp_read_sock" },
	{ 0x79c4b31b, "bpf_trace_run4" },
	{ 0x3d738cc, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x38f9b196, "sk_page_frag_refill" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69c63d8, "tcp_sendmsg_locked" },
	{ 0xec0434b0, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7ce7e2f9, "dump_page" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x2ceceb4f, "sk_psock_msg_verdict" },
	{ 0x850ee574, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x768a0c8c, "iov_iter_get_pages2" },
	{ 0x8df34cc9, "___pskb_trim" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x9743986c, "__put_devmap_managed_page_refs" },
	{ 0x561721f8, "clean_acked_data_enable" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x50b8b13d, "skb_splice_bits" },
	{ 0x2f510fd7, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe4d06f7d, "__tracepoint_sk_data_ready" },
	{ 0x37329330, "crypto_aead_setauthsize" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x59c27cd1, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x82f5fe04, "sk_stream_error" },
	{ 0xc76c1fbf, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x533cb3ef, "sk_msg_memcopy_from_iter" },
	{ 0x355039ea, "sk_error_report" },
	{ 0xc8706d58, "register_pernet_subsys" },
	{ 0xf22f0942, "put_cmsg" },
	{ 0xc1ae2161, "__sk_flush_backlog" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0xb64b0add, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x62773843, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x6976ce27, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6b624504, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xf35df855, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xefaa34a4, "tcp_recv_skb" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x22a512e3, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8494c05b, "crypto_aead_encrypt" },
	{ 0xdd632651, "__SCK__tp_func_sk_data_ready" },
	{ 0x27167438, "bpf_trace_run5" },
	{ 0x247635d7, "sk_free" },
	{ 0xc784222, "skb_store_bits" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x45e5d754, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x21026910, "sk_stream_wait_memory" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xeb6a5e36, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6dc83975, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x65fecd54, "lock_sock_nested" },
	{ 0x132c5c84, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x5c4c593c, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf2b22fcb, "bpf_trace_run1" },
	{ 0x41a28e33, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x3fd88855, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe6d4a38e, "sock_efree" },
	{ 0xff50cfb1, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x9d5101a7, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5fc181ac, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xc4488eba, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0xe6898cae, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x2ea8b59c, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x24dac8d7, "tcp_register_ulp" },
	{ 0x560d1c93, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x2e9b5c90, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x61bedf40, "skb_page_frag_refill" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe0c9b208, "sk_msg_free_nocharge" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9b4477b5, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa8c6015b, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x883c2301, "remove_proc_entry" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0x2794a39d, "proc_create_net_single" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x245c2edf, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb2275f59, "dst_release" },
	{ 0xb8d41077, "_copy_from_iter" },
	{ 0x1ea6adab, "skb_copy_header" },
	{ 0xd1c88fce, "sk_msg_trim" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x1df5a494, "netdev_sk_get_lowest_dev" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe5ab5569, "sk_msg_alloc" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xbd3035f2, "_copy_from_iter_nocache" },
	{ 0x648685f2, "tcp_rate_check_app_limited" },
	{ 0xe11f2b65, "tcp_poll" },
	{ 0x2c279b40, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd20d7c2e, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb85fd09, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0x73909cb5, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x7aacf289, "tcp_read_done" },
	{ 0x6fd95666, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1FCA2FCFBD6EDCEF93846FF");
