#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x1c5311b5, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xe00755a5, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x3059f353, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x737b9e33, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x2029ef74, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x75dc8110, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x4dd96fd3, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x3f391dea, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x7fbe39e0, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x3ab01ea8, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0xcae0fadf, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xc872e0df, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xefc769fc, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x5d032a0f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x595215f7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x71a758c5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x5ecf53ec, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xa4778206, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x4608af52, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x2735b8c5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x2edfb6b5, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x23fee9b3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x66747755, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xf46f2be9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x7a232bee, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x11aeede4, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x228210c6, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x07c7cef2, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x8e2b5568, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x1c60d4d0, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x91fbb71b, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0xa0df73fd, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x14702f8b, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0xad0946d2, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xd35e0595, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xcfb8e8a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x71ecbcc9, "vsock_enqueue_accept" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9ae1ea3a, "_copy_to_iter" },
	{ 0x8b99ebf6, "vsock_insert_connected" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0xec0434b0, "consume_skb" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x4c6838b3, "vsock_remove_sock" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x405332a1, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x97e10105, "bpf_trace_run8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x355039ea, "sk_error_report" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5ff864c, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xb2863578, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x247635d7, "sk_free" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7989728c, "__skb_recv_datagram" },
	{ 0x65fecd54, "lock_sock_nested" },
	{ 0x421abb5f, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x8546fc05, "vsock_find_connected_socket" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe6d4a38e, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x66d51e19, "bpf_trace_run10" },
	{ 0xd41500bb, "vsock_core_get_transport" },
	{ 0xf2eb39ce, "vsock_stream_has_space" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb8d41077, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x86385262, "vsock_create_connected" },
	{ 0x3758253, "vsock_assign_transport" },
	{ 0x2c279b40, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x6fd95666, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb4fef81b, "vsock_data_ready" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "5A8AFCC033977F72CEAE6BF");
