#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_ump_endpoint_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive_ump_val, "_gpl", "");
KSYMTAB_FUNC(snd_ump_receive, "_gpl", "");
KSYMTAB_FUNC(snd_ump_transmit, "_gpl", "");
KSYMTAB_FUNC(snd_ump_block_new, "_gpl", "");
KSYMTAB_FUNC(snd_ump_switch_protocol, "_gpl", "");
KSYMTAB_FUNC(snd_ump_parse_endpoint, "_gpl", "");
KSYMTAB_FUNC(snd_ump_attach_legacy_rawmidi, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_from_ump, "_gpl", "");
KSYMTAB_FUNC(snd_ump_convert_to_ump, "_gpl", "");

SYMBOL_CRC(snd_ump_endpoint_new, 0x992b122e, "_gpl");
SYMBOL_CRC(snd_ump_receive_ump_val, 0x80c46681, "_gpl");
SYMBOL_CRC(snd_ump_receive, 0x6e957f1c, "_gpl");
SYMBOL_CRC(snd_ump_transmit, 0x9b402f40, "_gpl");
SYMBOL_CRC(snd_ump_block_new, 0x13715d7b, "_gpl");
SYMBOL_CRC(snd_ump_switch_protocol, 0x42f8123a, "_gpl");
SYMBOL_CRC(snd_ump_parse_endpoint, 0xa3786bd4, "_gpl");
SYMBOL_CRC(snd_ump_attach_legacy_rawmidi, 0x0f64ca0a, "_gpl");
SYMBOL_CRC(snd_ump_convert_from_ump, 0x5b39d06f, "_gpl");
SYMBOL_CRC(snd_ump_convert_to_ump, 0x6e16cfb9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x23221265, "snd_rawmidi_receive" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4c785d0f, "snd_rawmidi_transmit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb2e61fbc, "snd_seq_device_new" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb1c015f6, "snd_rawmidi_kernel_write" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbccc2dbd, "snd_rawmidi_new" },
	{ 0x60dc8a70, "snd_rawmidi_kernel_open" },
	{ 0x9937ff80, "snd_rawmidi_set_ops" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x56fa6abd, "snd_rawmidi_kernel_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x39e65faf, "snd_rawmidi_init" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x170f3601, "snd_device_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xd4bba54b, "snd_rawmidi_free" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd-seq-device,snd");


MODULE_INFO(srcversion, "DB96DBCE51EDB366F8FD6C3");
