#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0xbf16b0d4, "");
SYMBOL_CRC(fw_iso_resources_init, 0xefd56064, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0x030cc58f, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0x014851c7, "");
SYMBOL_CRC(fw_iso_resources_update, 0xa989d799, "");
SYMBOL_CRC(fw_iso_resources_free, 0x305efb7f, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x7b4993ee, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0xdbb9d83b, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x71a58437, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x5ee6d8fb, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x9d6cc3c0, "");
SYMBOL_CRC(fcp_avc_transaction, 0xb264599d, "");
SYMBOL_CRC(fcp_bus_reset, 0x66ec6544, "");
SYMBOL_CRC(cmp_connection_init, 0x26575ba6, "");
SYMBOL_CRC(cmp_connection_check_used, 0x60e739f1, "");
SYMBOL_CRC(cmp_connection_destroy, 0x91aa2974, "");
SYMBOL_CRC(cmp_connection_reserve, 0x5447d423, "");
SYMBOL_CRC(cmp_connection_release, 0xb98b55cf, "");
SYMBOL_CRC(cmp_connection_establish, 0xdcc3af52, "");
SYMBOL_CRC(cmp_connection_update, 0xe339ab89, "");
SYMBOL_CRC(cmp_connection_break, 0xe6da3607, "");
SYMBOL_CRC(amdtp_stream_init, 0x7860e606, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x8a0c8da4, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0xefe7b3ed, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x14e3020b, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x09941191, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xf68df52b, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0x4b052ebd, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0x89a53385, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0x9605486b, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0xdf904cfb, "");
SYMBOL_CRC(amdtp_domain_init, 0x6b4ea7bf, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x2852ef7c, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x6199e94e, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x3002eaa9, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0x593477bb, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0x12e10058, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0x8e8a76b8, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x55ba1f48, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0x08a01cd8, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0x917e8633, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x0de1339b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4cbcc38, "fw_iso_context_destroy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0x47222357, "fw_run_transaction" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x23221265, "snd_rawmidi_receive" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb5c781f5, "fw_iso_buffer_init" },
	{ 0x4c785d0f, "snd_rawmidi_transmit" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf88b9837, "snd_pcm_hw_constraint_minmax" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdb7202b, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x25a9fc44, "fw_core_remove_address_handler" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2435cf1c, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5c946fcd, "fw_core_add_address_handler" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf6cdfa10, "snd_pcm_hw_rule_add" },
	{ 0x46e30135, "fw_iso_context_queue" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x60361869, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xd4919a51, "fw_iso_buffer_destroy" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb3a85327, "fw_iso_resource_manage" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcaee100d, "bpf_trace_run9" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1d285bad, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7b0f653a, "current_work" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x7d29812f, "snd_pcm_stop_xrun" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x1a4b48ac, "snd_pcm_hw_constraint_msbits" },
	{ 0xefcc3252, "snd_pcm_period_elapsed" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xec190f62, "fw_iso_context_flush_completions" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-rawmidi,snd-pcm");


MODULE_INFO(srcversion, "7C93D8006085971F696EFA7");
