#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cs35l41_regmap_i2c, "_gpl", "");
KSYMTAB_DATA(cs35l41_regmap_spi, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_unlock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_test_key_lock, "_gpl", "");
KSYMTAB_FUNC(cs35l41_otp_unpack, "_gpl", "");
KSYMTAB_FUNC(cs35l41_register_errata_patch, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_channels, "_gpl", "");
KSYMTAB_FUNC(cs35l41_init_boost, "_gpl", "");
KSYMTAB_FUNC(cs35l41_safe_reset, "_gpl", "");
KSYMTAB_FUNC(cs35l41_global_enable, "_gpl", "");
KSYMTAB_FUNC(cs35l41_mdsync_up, "_gpl", "");
KSYMTAB_FUNC(cs35l41_gpio_config, "_gpl", "");
KSYMTAB_FUNC(cs35l41_configure_cs_dsp, "_gpl", "");
KSYMTAB_FUNC(cs35l41_set_cspl_mbox_cmd, "_gpl", "");
KSYMTAB_FUNC(cs35l41_write_fs_errata, "_gpl", "");
KSYMTAB_FUNC(cs35l41_enter_hibernate, "_gpl", "");
KSYMTAB_FUNC(cs35l41_exit_hibernate, "_gpl", "");

SYMBOL_CRC(cs35l41_regmap_i2c, 0x6a7bca62, "_gpl");
SYMBOL_CRC(cs35l41_regmap_spi, 0xdc2eccbd, "_gpl");
SYMBOL_CRC(cs35l41_test_key_unlock, 0x157be5fd, "_gpl");
SYMBOL_CRC(cs35l41_test_key_lock, 0x66cece7b, "_gpl");
SYMBOL_CRC(cs35l41_otp_unpack, 0x930fa254, "_gpl");
SYMBOL_CRC(cs35l41_register_errata_patch, 0xb3de699b, "_gpl");
SYMBOL_CRC(cs35l41_set_channels, 0xc56fc1bb, "_gpl");
SYMBOL_CRC(cs35l41_init_boost, 0x9844eb31, "_gpl");
SYMBOL_CRC(cs35l41_safe_reset, 0x389e86c7, "_gpl");
SYMBOL_CRC(cs35l41_global_enable, 0xf1d499e1, "_gpl");
SYMBOL_CRC(cs35l41_mdsync_up, 0x36c475ff, "_gpl");
SYMBOL_CRC(cs35l41_gpio_config, 0xe92ff6ad, "_gpl");
SYMBOL_CRC(cs35l41_configure_cs_dsp, 0x60f528f3, "_gpl");
SYMBOL_CRC(cs35l41_set_cspl_mbox_cmd, 0xd3250c9a, "_gpl");
SYMBOL_CRC(cs35l41_write_fs_errata, 0x064372a5, "_gpl");
SYMBOL_CRC(cs35l41_enter_hibernate, 0xb4526a81, "_gpl");
SYMBOL_CRC(cs35l41_exit_hibernate, 0xc9c48cd1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdadbb0d8, "regmap_write" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x971e46c5, "regmap_read" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x28c14f9e, "regmap_bulk_read" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x3b23586a, "regmap_update_bits_base" },
	{ 0xc1b8a50e, "regmap_multi_reg_write" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xb9bd98ef, "regmap_register_patch" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D0FA6F4A304D0FDC531ED94");
