#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rt5682_supply_names, "_gpl", "");
KSYMTAB_FUNC(rt5682_apply_patch_list, "_gpl", "");
KSYMTAB_DATA(rt5682_reg, "_gpl", "");
KSYMTAB_FUNC(rt5682_volatile_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_readable_register, "_gpl", "");
KSYMTAB_FUNC(rt5682_reset, "_gpl", "");
KSYMTAB_FUNC(rt5682_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5682_jack_detect_handler, "_gpl", "");
KSYMTAB_FUNC(rt5682_register_dai_clks, "_gpl", "");
KSYMTAB_DATA(rt5682_aif1_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_aif2_dai_ops, "_gpl", "");
KSYMTAB_DATA(rt5682_soc_component_dev, "_gpl", "");
KSYMTAB_FUNC(rt5682_parse_dt, "_gpl", "");
KSYMTAB_FUNC(rt5682_get_ldo1, "_gpl", "");
KSYMTAB_FUNC(rt5682_calibrate, "_gpl", "");

SYMBOL_CRC(rt5682_supply_names, 0x0d18594a, "_gpl");
SYMBOL_CRC(rt5682_apply_patch_list, 0x518db55f, "_gpl");
SYMBOL_CRC(rt5682_reg, 0xb897de56, "_gpl");
SYMBOL_CRC(rt5682_volatile_register, 0xc12080d2, "_gpl");
SYMBOL_CRC(rt5682_readable_register, 0x6cff8656, "_gpl");
SYMBOL_CRC(rt5682_reset, 0x73e389aa, "_gpl");
SYMBOL_CRC(rt5682_sel_asrc_clk_src, 0xf9e4c9c2, "_gpl");
SYMBOL_CRC(rt5682_jack_detect_handler, 0xea6315c7, "_gpl");
SYMBOL_CRC(rt5682_register_dai_clks, 0x1455ef58, "_gpl");
SYMBOL_CRC(rt5682_aif1_dai_ops, 0x5f32a896, "_gpl");
SYMBOL_CRC(rt5682_aif2_dai_ops, 0xb4051395, "_gpl");
SYMBOL_CRC(rt5682_soc_component_dev, 0xdc420cee, "_gpl");
SYMBOL_CRC(rt5682_parse_dt, 0x2454640a, "_gpl");
SYMBOL_CRC(rt5682_get_ldo1, 0xd9290b15, "_gpl");
SYMBOL_CRC(rt5682_calibrate, 0xe381f581, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x29c4f91e, "snd_soc_dapm_put_enum_double" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2f201680, "device_property_present" },
	{ 0xef9ae52e, "devm_clk_hw_register_clkdev" },
	{ 0x5ad56d9a, "regcache_cache_only" },
	{ 0x72badddc, "regcache_sync" },
	{ 0xdadbb0d8, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc00d9a15, "snd_soc_jack_report" },
	{ 0x58fa7653, "snd_soc_component_read" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1fe1f55c, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa222c19f, "snd_soc_dapm_disable_pin" },
	{ 0x2e09618a, "devm_clk_hw_register" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2ff43eaa, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd1799514, "clk_hw_get_name" },
	{ 0xb3239519, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x4f83457d, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x667deea1, "snd_soc_component_write" },
	{ 0x438c3dc0, "snd_soc_dapm_sync" },
	{ 0x987d7fe0, "__clk_get_hw" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x1c9f5fa3, "device_property_read_u32_array" },
	{ 0x708eaf67, "snd_soc_info_volsw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x1f16bde9, "snd_soc_dapm_put_volsw" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb3fb39a6, "device_property_read_string_array" },
	{ 0x5130dfdf, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xff828dda, "snd_soc_dapm_get_pin_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9aa2b54e, "snd_soc_info_enum_double" },
	{ 0x6c232231, "snd_soc_get_volsw" },
	{ 0x971e46c5, "regmap_read" },
	{ 0xb50acc0f, "snd_soc_put_volsw" },
	{ 0x5cd260cb, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xc834d503, "clk_hw_get_parent" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x3b23586a, "regmap_update_bits_base" },
	{ 0xc1b8a50e, "regmap_multi_reg_write" },
	{ 0xef378a9a, "snd_soc_dapm_get_volsw" },
	{ 0x1a39596c, "snd_soc_dapm_get_enum_double" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");


MODULE_INFO(srcversion, "FC6B14E24C06BF5557FF439");
