#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tasdevice_dev_read, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_write, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_bulk_write, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_bulk_read, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dev_update_bits, "_gpl", "");
KSYMTAB_FUNC(tasdevice_kzalloc, "_gpl", "");
KSYMTAB_FUNC(tas2781_reset, "_gpl", "");
KSYMTAB_FUNC(tascodec_init, "_gpl", "");
KSYMTAB_FUNC(tasdevice_init, "_gpl", "");
KSYMTAB_FUNC(tasdevice_dsp_remove, "_gpl", "");
KSYMTAB_FUNC(tasdevice_remove, "_gpl", "");
KSYMTAB_FUNC(tasdevice_save_calibration, "_gpl", "");
KSYMTAB_FUNC(tasdevice_apply_calibration, "_gpl", "");
KSYMTAB_FUNC(tasdevice_amp_putvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_amp_getvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_digital_putvol, "_gpl", "");
KSYMTAB_FUNC(tasdevice_digital_getvol, "_gpl", "");

SYMBOL_CRC(tasdevice_dev_read, 0x61b377ef, "_gpl");
SYMBOL_CRC(tasdevice_dev_write, 0xa7e16860, "_gpl");
SYMBOL_CRC(tasdevice_dev_bulk_write, 0xba61e4c9, "_gpl");
SYMBOL_CRC(tasdevice_dev_bulk_read, 0x61af9a90, "_gpl");
SYMBOL_CRC(tasdevice_dev_update_bits, 0xf0115007, "_gpl");
SYMBOL_CRC(tasdevice_kzalloc, 0x93f15cfd, "_gpl");
SYMBOL_CRC(tas2781_reset, 0x70a48f96, "_gpl");
SYMBOL_CRC(tascodec_init, 0x0dcd79a7, "_gpl");
SYMBOL_CRC(tasdevice_init, 0x89f15a27, "_gpl");
SYMBOL_CRC(tasdevice_dsp_remove, 0xd60d28da, "_gpl");
SYMBOL_CRC(tasdevice_remove, 0xb8734a37, "_gpl");
SYMBOL_CRC(tasdevice_save_calibration, 0x0eef05c2, "_gpl");
SYMBOL_CRC(tasdevice_apply_calibration, 0xfa44317b, "_gpl");
SYMBOL_CRC(tasdevice_amp_putvol, 0x558a8c66, "_gpl");
SYMBOL_CRC(tasdevice_amp_getvol, 0x5a3f6edf, "_gpl");
SYMBOL_CRC(tasdevice_digital_putvol, 0xde454d6d, "_gpl");
SYMBOL_CRC(tasdevice_digital_getvol, 0xd1f0afd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdadbb0d8, "regmap_write" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x56c25248, "gpiod_set_value_cansleep" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb3d98fd5, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x87cf6368, "request_firmware_nowait" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x971e46c5, "regmap_read" },
	{ 0x52fe840, "regmap_bulk_write" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x28c14f9e, "regmap_bulk_read" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x3b23586a, "regmap_update_bits_base" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c,crc8");


MODULE_INFO(srcversion, "31AD70E4939924163D0BA22");
