#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skl_dsp_set_dma_control, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_create_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_delete_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_pipeline_state, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_save_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_restore_pipeline, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_dx, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_init_instance, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_bind_unbind, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_load_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_unload_modules, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_get_large_config, "_gpl", "");
KSYMTAB_FUNC(skl_sst_ipc_load_library, "_gpl", "");
KSYMTAB_FUNC(skl_ipc_set_d0ix, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_get_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_put_core, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_wake, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_sleep, "_gpl", "");
KSYMTAB_FUNC(skl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(is_skl_dsp_running, "_gpl", "");
KSYMTAB_FUNC(cnl_dsp_free, "_gpl", "");
KSYMTAB_FUNC(skl_clear_module_cnt, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(skl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(skl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(bxt_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_init, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_init_fw, "_gpl", "");
KSYMTAB_FUNC(cnl_sst_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_instance_id_map, "_gpl", "");
KSYMTAB_FUNC(skl_get_pvt_id, "_gpl", "");
KSYMTAB_FUNC(skl_put_pvt_id, "_gpl", "");

SYMBOL_CRC(skl_dsp_set_dma_control, 0xc58d5b0d, "_gpl");
SYMBOL_CRC(skl_ipc_create_pipeline, 0x6f514c24, "_gpl");
SYMBOL_CRC(skl_ipc_delete_pipeline, 0xf4f5f009, "_gpl");
SYMBOL_CRC(skl_ipc_set_pipeline_state, 0x93cb2da6, "_gpl");
SYMBOL_CRC(skl_ipc_save_pipeline, 0xfb959359, "_gpl");
SYMBOL_CRC(skl_ipc_restore_pipeline, 0x858c1c78, "_gpl");
SYMBOL_CRC(skl_ipc_set_dx, 0xd72e603e, "_gpl");
SYMBOL_CRC(skl_ipc_init_instance, 0x7d136ec9, "_gpl");
SYMBOL_CRC(skl_ipc_bind_unbind, 0xbfaa319f, "_gpl");
SYMBOL_CRC(skl_ipc_load_modules, 0xb563f852, "_gpl");
SYMBOL_CRC(skl_ipc_unload_modules, 0xcb3785a9, "_gpl");
SYMBOL_CRC(skl_ipc_set_large_config, 0x14162eff, "_gpl");
SYMBOL_CRC(skl_ipc_get_large_config, 0x720ed401, "_gpl");
SYMBOL_CRC(skl_sst_ipc_load_library, 0xce218c4c, "_gpl");
SYMBOL_CRC(skl_ipc_set_d0ix, 0x05980f3a, "_gpl");
SYMBOL_CRC(skl_dsp_get_core, 0x4c2559e8, "_gpl");
SYMBOL_CRC(skl_dsp_put_core, 0x17acc033, "_gpl");
SYMBOL_CRC(skl_dsp_wake, 0x83e0249a, "_gpl");
SYMBOL_CRC(skl_dsp_sleep, 0x5056f1e0, "_gpl");
SYMBOL_CRC(skl_dsp_free, 0x8a37b25f, "_gpl");
SYMBOL_CRC(is_skl_dsp_running, 0xa45e93bc, "_gpl");
SYMBOL_CRC(cnl_dsp_free, 0x2a0438e5, "_gpl");
SYMBOL_CRC(skl_clear_module_cnt, 0xe0cc5b09, "_gpl");
SYMBOL_CRC(skl_sst_dsp_init, 0x2c73f9a6, "_gpl");
SYMBOL_CRC(skl_sst_init_fw, 0xf4065805, "_gpl");
SYMBOL_CRC(skl_sst_dsp_cleanup, 0x60bd92cf, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_init, 0xfac95c55, "_gpl");
SYMBOL_CRC(bxt_sst_init_fw, 0x31b0dcf8, "_gpl");
SYMBOL_CRC(bxt_sst_dsp_cleanup, 0xab1cd0e8, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_init, 0xc9c6f22f, "_gpl");
SYMBOL_CRC(cnl_sst_init_fw, 0x350c8ec3, "_gpl");
SYMBOL_CRC(cnl_sst_dsp_cleanup, 0xac13703b, "_gpl");
SYMBOL_CRC(skl_get_pvt_instance_id_map, 0x7dbef8f1, "_gpl");
SYMBOL_CRC(skl_get_pvt_id, 0xc87be3e9, "_gpl");
SYMBOL_CRC(skl_put_pvt_id, 0xa56fb197, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfe04340b, "platform_device_put" },
	{ 0xe11c47ce, "pci_save_state" },
	{ 0xb024e1, "snd_hdac_ext_bus_link_power_down_all" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5a4e244, "sst_dsp_register_poll" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x8c63ce28, "snd_dma_alloc_dir_pages" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xe64b4f32, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7a844f62, "snd_hdac_bus_send_cmd" },
	{ 0x4cede85, "sysfs_create_file_ns" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xf1a66c3, "snd_hdac_stream_set_spib" },
	{ 0xe3514205, "snd_hdac_bus_enter_link_reset" },
	{ 0xe4ee66e4, "sst_ipc_tx_message_wait" },
	{ 0x9c1ac96b, "intel_nhlt_get_dmic_geo" },
	{ 0xdc6e97a5, "snd_hdac_bus_get_response" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeb1d4f43, "snd_hdac_ext_stream_start" },
	{ 0xb5426df7, "snd_soc_acpi_intel_kbl_machines" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x1d783f36, "snd_hdac_ext_stream_free_all" },
	{ 0x99fcb55, "snd_hdac_bus_update_rirb" },
	{ 0xfac27b0e, "sst_dsp_shim_write_unlocked" },
	{ 0x997fc26, "snd_hdac_ext_bus_ppcap_enable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6b848659, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x978cf201, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xf88b9837, "snd_pcm_hw_constraint_minmax" },
	{ 0xb55ade8d, "snd_hdac_codec_modalias" },
	{ 0x3cd92e5, "snd_hdac_bus_stop_chip" },
	{ 0xacb82af2, "pci_request_regions" },
	{ 0x8a68f404, "snd_hdac_ext_bus_link_power_up" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf21765c0, "snd_hdac_ext_bus_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf714d7b3, "snd_intel_dsp_driver_probe" },
	{ 0x25e62c23, "snd_hdac_stream_set_lpib" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x95c5fd6e, "snd_sgbuf_get_addr" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xd7946e9d, "snd_sgbuf_get_chunk_size" },
	{ 0xac73ef35, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd2503bbd, "snd_hdac_ext_bus_device_remove" },
	{ 0xfc3dd65, "snd_hdac_ext_bus_ppcap_int_enable" },
	{ 0x4b02adf4, "snd_pcm_set_sync" },
	{ 0x8e5f29d9, "pci_unregister_driver" },
	{ 0xcff7bcdb, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x66eff97e, "platform_device_add_data" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x727b979a, "snd_hdac_stream_timecounter_init" },
	{ 0x5bf02a4e, "snd_hdac_ext_link_free_all" },
	{ 0xa27eb612, "sst_ipc_tx_message_nowait" },
	{ 0xe4b9d9d3, "pci_read_config_dword" },
	{ 0x43401448, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7376e5b9, "devm_snd_soc_register_component" },
	{ 0x4df33b73, "snd_hdac_bus_free_stream_pages" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0x659dc4c6, "snd_hdac_dsp_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd7538c3b, "snd_hdac_ext_bus_link_power_up_all" },
	{ 0x4d8598f4, "snd_hdac_ext_bus_exit" },
	{ 0x953192e0, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x29366a19, "put_device" },
	{ 0x9dc94ae, "sysfs_remove_file_ns" },
	{ 0x5c7d3789, "snd_hdac_ext_stream_decouple" },
	{ 0xfe916dc6, "hex_dump_to_buffer" },
	{ 0x5aba607d, "snd_hdac_ext_stream_clear" },
	{ 0xe88d78dd, "snd_hdac_device_register" },
	{ 0xba5a6f84, "snd_hdac_stream_spbcap_enable" },
	{ 0xf6cc6a5, "sst_ipc_tx_message_nopm" },
	{ 0xd962bb86, "snd_hdac_i915_init" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x649e4fef, "snd_hdac_bus_init_chip" },
	{ 0x8070a8ce, "snd_hdac_stream_stop" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf3c25621, "intel_nhlt_get_endpoint_blob" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xc06a5c83, "snd_hdac_stream_cleanup" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x8e7ee13c, "sst_dsp_shim_read_unlocked" },
	{ 0xc9dde8a6, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x94b7a01e, "simple_open" },
	{ 0x336f81a3, "snd_soc_acpi_intel_bxt_machines" },
	{ 0x4ec61ba, "snd_hdac_bus_exit_link_reset" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x62861586, "platform_device_unregister" },
	{ 0x5dd07e0c, "sst_ipc_fini" },
	{ 0x624616e0, "snd_hdac_ext_stream_assign" },
	{ 0x5020e3af, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfe0f4404, "snd_hdac_ext_stream_init_all" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0xfeb8a37e, "sst_dsp_shim_update_bits_unlocked" },
	{ 0xb08e5372, "sst_dsp_shim_update_bits_forced" },
	{ 0x18eec178, "platform_device_add" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x860dfa37, "platform_device_alloc" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf9ead4f0, "sst_ipc_init" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe53d43e4, "snd_soc_acpi_intel_glk_machines" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3a762fb, "snd_soc_tplg_component_load" },
	{ 0x5c585ff6, "sst_dsp_shim_read" },
	{ 0x61304f69, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcac32476, "snd_hdac_bus_stop_cmd_io" },
	{ 0xb1f414e5, "snd_hdac_stream_sync" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd3e42d1a, "pci_restore_state" },
	{ 0x39bf48d2, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x26e3aa46, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x9b664113, "snd_hdac_display_power" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x16e86983, "sst_shim32_read" },
	{ 0xf44df084, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbba184a6, "sst_dsp_mailbox_init" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x665a0f59, "sst_ipc_tx_msg_reply_complete" },
	{ 0x78ca4c07, "snd_soc_tplg_component_remove" },
	{ 0x6b534e9, "snd_hdac_bus_init_cmd_io" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x3f36f6c3, "dma_set_coherent_mask" },
	{ 0xca708c7, "snd_pcm_hw_constraint_integer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x27355b34, "sst_dsp_shim_update_bits" },
	{ 0x4bfa27fc, "snd_hdac_acomp_exit" },
	{ 0xbe051091, "debugfs_create_file" },
	{ 0x8259b195, "snd_hdac_bus_parse_capabilities" },
	{ 0x62c89604, "platform_device_register_full" },
	{ 0xa67a3311, "sst_dsp_outbox_write" },
	{ 0x7fa6e9bc, "pm_runtime_allow" },
	{ 0x2480aad4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x8caf9305, "uuid_is_valid" },
	{ 0x89341c26, "snd_hdac_stream_setup" },
	{ 0x1b8b5153, "sst_dsp_inbox_read" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x81ccfff, "snd_hdac_stream_set_params" },
	{ 0xcfad2c64, "pci_release_regions" },
	{ 0xf470f1a1, "snd_soc_acpi_intel_cnl_machines" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x80a65c20, "snd_hdac_bus_handle_stream_irq" },
	{ 0xc4d95354, "snd_hdac_ext_bus_get_ml_capabilities" },
	{ 0x58fe67ff, "pci_write_config_byte" },
	{ 0xd16faae6, "snd_hdac_stream_drsm_enable" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9978b5ca, "snd_soc_acpi_intel_skl_machines" },
	{ 0x9bbdd63f, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0xaa64fc6a, "snd_soc_set_runtime_hwparams" },
	{ 0x8bb3a734, "snd_hdac_get_stream" },
	{ 0xf612167d, "pci_disable_device" },
	{ 0xebc70c04, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0xc5332435, "pci_match_id" },
	{ 0x7bc4968b, "snd_hdac_stream_sync_trigger" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x6b6a997c, "snd_hdac_ext_bus_link_put" },
	{ 0xfaee2a58, "snd_hda_codec_device_init" },
	{ 0xead08f0b, "dma_set_mask" },
	{ 0x64324b7e, "snd_hdac_set_codec_wakeup" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x52768bb9, "snd_hdac_stream_reset" },
	{ 0x4ae43d3, "sst_dsp_shim_write" },
	{ 0xefcc3252, "snd_pcm_period_elapsed" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xae20c1c1, "__pm_runtime_suspend" },
	{ 0x88afb4bb, "snd_hdac_bus_alloc_stream_pages" },
	{ 0x31cb8dc9, "snd_soc_tplg_widget_bind_event" },
	{ 0xae92cfc4, "pci_read_config_byte" },
	{ 0x3bed2dbe, "snd_hdac_dsp_trigger" },
	{ 0x754d539c, "strlen" },
	{ 0xe9c6de99, "sst_shim32_write" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0x8dadf8b8, "intel_nhlt_init" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x4b3b3478, "snd_hdac_stop_streams_and_chip" },
	{ 0x7234739, "snd_hdac_dsp_cleanup" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa44e2914, "snd_hdac_ext_stream_reset" },
	{ 0xcd742f30, "snd_hdac_stop_streams" },
	{ 0x6747db7, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xff654416, "snd_hdac_stream_start" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x276e3a7a, "pci_write_config_dword" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb5e266fc, "snd_soc_dapm_kcontrol_widget" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc37a9ed7, "snd_hdac_stream_set_dpibr" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x49472d9b, "snd_soc_acpi_intel_hda_machines" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core,snd-soc-sst-dsp,snd-pcm,snd-hda-core,snd-soc-sst-ipc,snd-intel-dspcfg,snd-soc-acpi-intel-match,snd-soc-hdac-hda,snd-soc-core,snd-soc-acpi,snd-hda-codec");

MODULE_ALIAS("pci:v00008086d00009D70sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005A98sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D71sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00003198sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "79AC3EEF8E6F3965F4E73CF");
