#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x7ba6d287, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0xce65d712, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0xa02ffbe8, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xaecd22ff, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x993f6faf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x492ca851, "crypto_skcipher_encrypt" },
	{ 0x4c21b5f0, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdd4fa910, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xc71ff68e, "crypto_register_aead" },
	{ 0x33134a56, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x139a496e, "crypto_register_aeads" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x37329330, "crypto_aead_setauthsize" },
	{ 0x59c27cd1, "crypto_aead_decrypt" },
	{ 0x192ff6b5, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a4abbb3, "crypto_unregister_aeads" },
	{ 0xb9c42228, "cryptd_skcipher_child" },
	{ 0x36f246a9, "crypto_skcipher_decrypt" },
	{ 0xcf72594c, "cryptd_alloc_skcipher" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x22a512e3, "crypto_aead_setkey" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2a62ca20, "crypto_register_skcipher" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8494c05b, "crypto_aead_encrypt" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x155aa037, "cryptd_aead_queued" },
	{ 0x5a921311, "strncmp" },
	{ 0x3b48105f, "crypto_unregister_skcipher" },
	{ 0xb613e7a1, "crypto_register_skciphers" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2d601916, "cryptd_skcipher_queued" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xb3d8e5c1, "cryptd_free_aead" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7c427f75, "crypto_unregister_skciphers" },
	{ 0x308395a4, "cryptd_free_skcipher" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "A67013E40B3002D74046BB4");
