#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipmi_addr_src_to_str, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_register, "", "");
KSYMTAB_FUNC(ipmi_smi_watcher_unregister, "", "");
KSYMTAB_FUNC(ipmi_validate_addr, "", "");
KSYMTAB_FUNC(ipmi_addr_length, "", "");
KSYMTAB_FUNC(ipmi_create_user, "", "");
KSYMTAB_FUNC(ipmi_get_smi_info, "", "");
KSYMTAB_FUNC(ipmi_destroy_user, "", "");
KSYMTAB_FUNC(ipmi_get_version, "", "");
KSYMTAB_FUNC(ipmi_set_my_address, "", "");
KSYMTAB_FUNC(ipmi_get_my_address, "", "");
KSYMTAB_FUNC(ipmi_set_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_my_LUN, "", "");
KSYMTAB_FUNC(ipmi_get_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_maintenance_mode, "", "");
KSYMTAB_FUNC(ipmi_set_gets_events, "", "");
KSYMTAB_FUNC(ipmi_register_for_cmd, "", "");
KSYMTAB_FUNC(ipmi_unregister_for_cmd, "", "");
KSYMTAB_FUNC(ipmb_checksum, "", "");
KSYMTAB_FUNC(ipmi_request_settime, "", "");
KSYMTAB_FUNC(ipmi_request_supply_msgs, "", "");
KSYMTAB_FUNC(ipmi_poll_interface, "", "");
KSYMTAB_FUNC(ipmi_add_smi, "", "");
KSYMTAB_FUNC(ipmi_unregister_smi, "", "");
KSYMTAB_FUNC(ipmi_smi_msg_received, "", "");
KSYMTAB_FUNC(ipmi_smi_watchdog_pretimeout, "", "");
KSYMTAB_FUNC(ipmi_alloc_smi_msg, "", "");
KSYMTAB_FUNC(ipmi_free_recv_msg, "", "");

SYMBOL_CRC(ipmi_addr_src_to_str, 0x67369b42, "");
SYMBOL_CRC(ipmi_smi_watcher_register, 0x77a0e36e, "");
SYMBOL_CRC(ipmi_smi_watcher_unregister, 0x4f4f424a, "");
SYMBOL_CRC(ipmi_validate_addr, 0xe4f4665b, "");
SYMBOL_CRC(ipmi_addr_length, 0x804f922a, "");
SYMBOL_CRC(ipmi_create_user, 0xf2d12173, "");
SYMBOL_CRC(ipmi_get_smi_info, 0x4b09aeac, "");
SYMBOL_CRC(ipmi_destroy_user, 0xf388b18b, "");
SYMBOL_CRC(ipmi_get_version, 0x89a5279a, "");
SYMBOL_CRC(ipmi_set_my_address, 0xfaaa4831, "");
SYMBOL_CRC(ipmi_get_my_address, 0xec1c2a90, "");
SYMBOL_CRC(ipmi_set_my_LUN, 0x03bc993e, "");
SYMBOL_CRC(ipmi_get_my_LUN, 0x74778a80, "");
SYMBOL_CRC(ipmi_get_maintenance_mode, 0xfe0f2369, "");
SYMBOL_CRC(ipmi_set_maintenance_mode, 0x12dd1e77, "");
SYMBOL_CRC(ipmi_set_gets_events, 0x50f65edf, "");
SYMBOL_CRC(ipmi_register_for_cmd, 0x0705dd14, "");
SYMBOL_CRC(ipmi_unregister_for_cmd, 0xd54a5050, "");
SYMBOL_CRC(ipmb_checksum, 0xe98c507d, "");
SYMBOL_CRC(ipmi_request_settime, 0x4c2054d7, "");
SYMBOL_CRC(ipmi_request_supply_msgs, 0x2d323436, "");
SYMBOL_CRC(ipmi_poll_interface, 0xf5531bea, "");
SYMBOL_CRC(ipmi_add_smi, 0x675e3384, "");
SYMBOL_CRC(ipmi_unregister_smi, 0xe4330a39, "");
SYMBOL_CRC(ipmi_smi_msg_received, 0xcdbc1264, "");
SYMBOL_CRC(ipmi_smi_watchdog_pretimeout, 0x230094ac, "");
SYMBOL_CRC(ipmi_alloc_smi_msg, 0x9247bf21, "");
SYMBOL_CRC(ipmi_free_recv_msg, 0xee75d25f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x340c41e9, "init_srcu_struct" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xac6647ad, "driver_register" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xc5864e57, "sysfs_remove_link" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4dcde3ec, "driver_find_device" },
	{ 0x29366a19, "put_device" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x4a5b41a7, "sysfs_create_link" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7cb3a3cb, "platform_device_register" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3164f46f, "synchronize_srcu" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7cfedaed, "module_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x11f15c1b, "device_remove_file" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xfb578fc5, "memset" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x754d539c, "strlen" },
	{ 0x9166fada, "strncpy" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15e5d730, "device_create_file" },
	{ 0x993abdf3, "platform_bus_type" },
	{ 0x460a1388, "param_ops_uint" },
	{ 0xd49cd935, "param_ops_ulong" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x77bc13a0, "strim" },
	{ 0x81188c30, "match_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x37a0cba, "kfree" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xf56359f8, "__srcu_read_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x63f5e4fc, "__srcu_read_unlock" },
	{ 0x506300cd, "cleanup_srcu_struct" },
	{ 0x999e8297, "vfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x62861586, "platform_device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7ceeac9, "panic_notifier_list" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x56a1cf26, "driver_unregister" },
	{ 0x122c3a7e, "_printk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "14F6B8B64BEC13DD9D653B5");
