#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(skx_adxl_get, "_gpl", "");
KSYMTAB_FUNC(skx_adxl_put, "_gpl", "");
KSYMTAB_FUNC(skx_set_mem_cfg, "_gpl", "");
KSYMTAB_FUNC(skx_set_decode, "_gpl", "");
KSYMTAB_FUNC(skx_get_src_id, "_gpl", "");
KSYMTAB_FUNC(skx_get_node_id, "_gpl", "");
KSYMTAB_FUNC(skx_get_all_bus_mappings, "_gpl", "");
KSYMTAB_FUNC(skx_get_hi_lo, "_gpl", "");
KSYMTAB_FUNC(skx_get_dimm_info, "_gpl", "");
KSYMTAB_FUNC(skx_get_nvdimm_info, "_gpl", "");
KSYMTAB_FUNC(skx_register_mci, "_gpl", "");
KSYMTAB_FUNC(skx_mce_check_error, "_gpl", "");
KSYMTAB_FUNC(skx_remove, "_gpl", "");

SYMBOL_CRC(skx_adxl_get, 0xb7159a78, "_gpl");
SYMBOL_CRC(skx_adxl_put, 0xb56d6e8e, "_gpl");
SYMBOL_CRC(skx_set_mem_cfg, 0xef7d697c, "_gpl");
SYMBOL_CRC(skx_set_decode, 0x0dbd8812, "_gpl");
SYMBOL_CRC(skx_get_src_id, 0x05bd5814, "_gpl");
SYMBOL_CRC(skx_get_node_id, 0xfa28003a, "_gpl");
SYMBOL_CRC(skx_get_all_bus_mappings, 0xc9f15e13, "_gpl");
SYMBOL_CRC(skx_get_hi_lo, 0x49d74e63, "_gpl");
SYMBOL_CRC(skx_get_dimm_info, 0xc6291265, "_gpl");
SYMBOL_CRC(skx_get_nvdimm_info, 0x7735b787, "_gpl");
SYMBOL_CRC(skx_register_mci, 0xe5b821ee, "_gpl");
SYMBOL_CRC(skx_mce_check_error, 0x4f47aa40, "_gpl");
SYMBOL_CRC(skx_remove, 0x43cad075, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfd72d1a4, "pci_dev_put" },
	{ 0x2afbe66c, "edac_mc_del_mc" },
	{ 0x8c3979c8, "pci_get_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x791748c8, "adxl_decode" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x499bbf57, "nfit_get_smbios_id" },
	{ 0xe4b9d9d3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x18868fa1, "edac_mc_alloc" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x870723ef, "edac_mc_free" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbfb9f97f, "edac_mc_handle_error" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe57e28d9, "pfn_to_online_page" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x95ef1ccc, "dmi_memdev_size" },
	{ 0x1038b96f, "adxl_get_component_names" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xdb1aaf9b, "arch_is_platform_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x55b103b4, "edac_mc_add_mc_with_groups" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "45F5785B5E8BF6F200D20C2");
