#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_fixup, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_are_equal, "", "");
KSYMTAB_FUNC(drm_edid_block_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_do_get_edid, "_gpl", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_width, "", "");
KSYMTAB_FUNC(drm_framebuffer_plane_height, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_replace_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_debug, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(___drm_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_gpuva_manager_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_manager_destroy, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_gem_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_compat_ioctl, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");
KSYMTAB_FUNC(__drm_set_edid_firmware_path, "", "");
KSYMTAB_FUNC(__drm_get_edid_firmware_path, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_add, "", "");
KSYMTAB_FUNC(drm_privacy_screen_lookup_remove, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get, "", "");
KSYMTAB_FUNC(drm_privacy_screen_put, "", "");
KSYMTAB_FUNC(drm_privacy_screen_set_sw_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_get_state, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister_notifier, "", "");
KSYMTAB_FUNC(drm_privacy_screen_register, "", "");
KSYMTAB_FUNC(drm_privacy_screen_unregister, "", "");
KSYMTAB_FUNC(drm_privacy_screen_call_notifier_chain, "", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xcd047948, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0x108c75dd, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0xbfb321b8, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x49e0fcee, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xdfeb5d48, "");
SYMBOL_CRC(drm_atomic_state_init, 0x71de93b0, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x8a384b3b, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0x0d90a55e, "");
SYMBOL_CRC(drm_atomic_state_clear, 0x0d6c3d1e, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0x41e8de0a, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0xcb0626b3, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x35241cba, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0xa59d3dff, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0xeed5a6a7, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x9e1d6341, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0x1f6c2156, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x9253889a, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0x1322ca8d, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0x08182ec8, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0x024a86da, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0x0741acfb, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0xf80b032b, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x19a79cdb, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xea14bf3b, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0xa7a5acc1, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0x76958ffe, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0xb7f0536e, "");
SYMBOL_CRC(drm_atomic_check_only, 0x53299462, "");
SYMBOL_CRC(drm_atomic_commit, 0x30d6ac71, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x8f844f4c, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0x72af5c69, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xe784a4fa, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x3ea1b81c, "");
SYMBOL_CRC(drm_state_dump, 0x05915e3d, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xa0511c4a, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x24ec8abf, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0xf695cc8f, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0x0a3612e8, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x7da817e3, "");
SYMBOL_CRC(drm_is_current_master, 0x5fe1c591, "");
SYMBOL_CRC(drm_master_get, 0x83338198, "");
SYMBOL_CRC(drm_file_get_master, 0x3ca655f4, "");
SYMBOL_CRC(drm_master_put, 0xe7439586, "");
SYMBOL_CRC(drm_master_internal_acquire, 0xd07db176, "");
SYMBOL_CRC(drm_master_internal_release, 0xafc5932b, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xcf89878f, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x2f7f0c0a, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xe42d36f8, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0x8b28b6c9, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xcdd4105c, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x0f72a749, "");
SYMBOL_CRC(drm_bridge_add, 0xa642e671, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x277cb156, "");
SYMBOL_CRC(drm_bridge_remove, 0x6ae09dc3, "");
SYMBOL_CRC(drm_bridge_attach, 0x3a5c5c58, "");
SYMBOL_CRC(drm_bridge_chain_mode_fixup, 0x712a0930, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x27f7ac94, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0xf0ca5eeb, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0x0453208a, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x1158d5ed, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x57d5b354, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0x7f39f5bc, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0x7804b888, "");
SYMBOL_CRC(drm_bridge_detect, 0x152b1067, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0xc0a6cac2, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xf300f828, "_gpl");
SYMBOL_CRC(drm_bridge_get_edid, 0x2335bb3e, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0x3ee5c29f, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0xea37071e, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0x340dccee, "_gpl");
SYMBOL_CRC(drm_clflush_pages, 0x9fa56095, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0xa912e824, "");
SYMBOL_CRC(drm_client_register, 0xf65e49b3, "");
SYMBOL_CRC(drm_client_release, 0xe2ea7cd0, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0x0961bad7, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x935bd5ab, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0x856310c8, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0xda98f6d4, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x7c0111d9, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0x16ed223e, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xd5d455c6, "");
SYMBOL_CRC(drm_client_rotation, 0x4a5886d9, "");
SYMBOL_CRC(drm_client_modeset_check, 0xd9b34a0e, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0xb22d671a, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x3403192a, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xc257c55c, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0x7c7cbf42, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0x7303dc59, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0xa5650e23, "");
SYMBOL_CRC(drm_color_lut_check, 0xf1d9d9fd, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0xf8e2ac74, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0xa0249349, "");
SYMBOL_CRC(drmm_connector_init, 0xbd638efe, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0xbd7f0ded, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xa27c1ea5, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0xb4c65117, "");
SYMBOL_CRC(drm_connector_cleanup, 0x19ba653b, "");
SYMBOL_CRC(drm_connector_register, 0x39760641, "");
SYMBOL_CRC(drm_connector_unregister, 0xd391868a, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0xeff70e43, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xdfabdcd6, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x7a3f2693, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0x7c0d9cad, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0x66b226a0, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xd9216f2b, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0x3113dc5e, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xe2a93582, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xb36627f8, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0x622b1fdd, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x9070436d, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x467680bc, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0xf861f592, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0x0d46cfb9, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0x52f9d14a, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x110b316a, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0x5d2ffe70, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x49c863d0, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x825ecb8a, "");
SYMBOL_CRC(drm_connector_set_path_property, 0xb411d760, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x4d3ae184, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0x5dbedb90, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x459dc406, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0xcaed4b00, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0x6451e381, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xaeb41405, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x41660a84, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0xc5526880, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0x31f2c36d, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x8a8707eb, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0x4cf3cb36, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x1d3b5027, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x13e465ac, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x901ff42d, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xe80500e8, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0xe7806938, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0x2dd0d6a8, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0xef04d137, "");
SYMBOL_CRC(drm_crtc_from_index, 0xf47194fe, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0xc1ab779f, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0x15dbd006, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0x2fd1ff71, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x99ba5747, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x572e7428, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0xc60372d6, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x43b7dd63, "");
SYMBOL_CRC(drm_put_dev, 0xc05e323e, "");
SYMBOL_CRC(drm_dev_enter, 0x5e4c8f30, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0x4d137a50, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0xc0b3e1bf, "");
SYMBOL_CRC(drm_dev_alloc, 0x88dc5c69, "");
SYMBOL_CRC(drm_dev_get, 0x96c984bb, "");
SYMBOL_CRC(drm_dev_put, 0xfe37f708, "");
SYMBOL_CRC(drm_dev_register, 0xed8f8f71, "");
SYMBOL_CRC(drm_dev_unregister, 0x8a2b5dd0, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_are_equal, 0x24993e50, "");
SYMBOL_CRC(drm_edid_block_valid, 0xd13f9985, "");
SYMBOL_CRC(drm_edid_is_valid, 0x8d72789e, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0xb4239e6c, "");
SYMBOL_CRC(drm_do_get_edid, 0xba4f54c8, "_gpl");
SYMBOL_CRC(drm_edid_raw, 0x4489a5e9, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x24c90128, "");
SYMBOL_CRC(drm_get_edid, 0xfc2e9d30, "");
SYMBOL_CRC(drm_edid_read_custom, 0x49b381e5, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x2a2c28ee, "");
SYMBOL_CRC(drm_edid_read, 0x989865d7, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0x89ca1c40, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x1e9dcafd, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0xd362de79, "");
SYMBOL_CRC(drm_edid_duplicate, 0x7edf470b, "");
SYMBOL_CRC(drm_mode_find_dmt, 0x26d30c4e, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0xf3484cad, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x7c545285, "");
SYMBOL_CRC(drm_edid_to_sad, 0x6ac01ea8, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x3cdc37e9, "");
SYMBOL_CRC(drm_av_sync_delay, 0x981e4aab, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0x38690d99, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xa248afde, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xc79267d1, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x9c87a396, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0x91915a84, "");
SYMBOL_CRC(drm_add_edid_modes, 0x2c8756bf, "");
SYMBOL_CRC(drm_add_modes_noedid, 0xa41d25d1, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x99eeba7a, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0xc340456c, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0x372fdf80, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x55ec37af, "");
SYMBOL_CRC(drm_encoder_init, 0xbc2ea82a, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x127bce05, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x527979fb, "");
SYMBOL_CRC(drmm_encoder_init, 0x2fa86102, "");
SYMBOL_CRC(drm_open, 0xc739ae15, "");
SYMBOL_CRC(drm_release, 0xc7a0a97f, "");
SYMBOL_CRC(drm_release_noglobal, 0xb7027d86, "");
SYMBOL_CRC(drm_read, 0x999b0060, "");
SYMBOL_CRC(drm_poll, 0x3c0d44ce, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x913b1357, "");
SYMBOL_CRC(drm_event_reserve_init, 0x5ba67625, "");
SYMBOL_CRC(drm_event_cancel_free, 0x0eab5c1e, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x94c2bb22, "");
SYMBOL_CRC(drm_send_event_locked, 0x584e4a88, "");
SYMBOL_CRC(drm_send_event, 0x5337abb0, "");
SYMBOL_CRC(drm_print_memory_stats, 0x16b809c8, "");
SYMBOL_CRC(drm_show_memory_stats, 0x647c7754, "");
SYMBOL_CRC(drm_show_fdinfo, 0xe292845e, "");
SYMBOL_CRC(mock_drm_getfile, 0x8fa7c203, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0xc286874f, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x1c00299a, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x217c40af, "");
SYMBOL_CRC(drm_framebuffer_init, 0xbc1a9955, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xce9afc05, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0x07cbba22, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0xc39cf7a9, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x776eb943, "");
SYMBOL_CRC(drm_framebuffer_plane_width, 0xbdf7194e, "");
SYMBOL_CRC(drm_framebuffer_plane_height, 0x40bbdbe2, "");
SYMBOL_CRC(drm_gem_object_init, 0x560777e9, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x1c4f4f2e, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0xf1e08944, "");
SYMBOL_CRC(drm_gem_handle_delete, 0xe595ebae, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x80d7c4d0, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x2b3f2f29, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x71e92ef5, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x77ce2610, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0xfb4dc3a4, "");
SYMBOL_CRC(drm_gem_get_pages, 0x95569fb7, "");
SYMBOL_CRC(drm_gem_put_pages, 0xea308b43, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x06fa0c39, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xf4b8404e, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0xf3281767, "");
SYMBOL_CRC(drm_gem_object_release, 0xf7bf6e00, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0x38b304b0, "");
SYMBOL_CRC(drm_gem_vm_close, 0x0dc7a6d2, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x76800072, "");
SYMBOL_CRC(drm_gem_mmap, 0x2348521d, "");
SYMBOL_CRC(drm_gem_vmap, 0x27f5db2d, "");
SYMBOL_CRC(drm_gem_vunmap, 0x764e5c13, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x6327eb67, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x398abcec, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0x6acd649b, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x97bec571, "");
SYMBOL_CRC(drm_gem_lru_init, 0xa956955b, "");
SYMBOL_CRC(drm_gem_lru_remove, 0xd50371a3, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x4e3cb53d, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0x110488a1, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x38d4f94d, "");
SYMBOL_CRC(drm_gem_evict, 0xab1df94a, "");
SYMBOL_CRC(drm_noop, 0xe18287a9, "");
SYMBOL_CRC(drm_invalid_op, 0xd9ce263f, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x10ec37d0, "");
SYMBOL_CRC(drm_ioctl, 0xf1a61aeb, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0x90976112, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0xa6b2fbcb, "");
SYMBOL_CRC(drmm_kmalloc, 0xf016528b, "");
SYMBOL_CRC(drmm_kstrdup, 0x06843318, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xd4eca6d4, "");
SYMBOL_CRC(__drmm_mutex_release, 0x12f2f238, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_replace_node, 0x59056243, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x0f7acb66, "");
SYMBOL_CRC(drm_mode_config_reset, 0xf3d2b7d8, "");
SYMBOL_CRC(drmm_mode_config_init, 0x110c5226, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xda25a2e1, "");
SYMBOL_CRC(drm_mode_object_find, 0xf8b61912, "");
SYMBOL_CRC(drm_mode_object_put, 0xd9aa20be, "");
SYMBOL_CRC(drm_mode_object_get, 0x00c04738, "");
SYMBOL_CRC(drm_object_attach_property, 0xba6bcfbe, "");
SYMBOL_CRC(drm_object_property_set_value, 0xc44f9c0b, "");
SYMBOL_CRC(drm_object_property_get_value, 0xf3ff1133, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x97bcaabf, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0xa8554d48, "");
SYMBOL_CRC(drm_mode_destroy, 0x44d20d0c, "");
SYMBOL_CRC(drm_mode_probed_add, 0xd1ed99c4, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x800c2aa2, "");
SYMBOL_CRC(drm_cvt_mode, 0x5278a16e, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0x34651a27, "");
SYMBOL_CRC(drm_gtf_mode, 0x992a2546, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xeb7b935c, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0xc6f07ebf, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0xfe85d1bb, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0xeeb5c097, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0xd0632d0b, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0xd206d0d9, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0x626b0b1e, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe3ac15d5, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xdd3c6afa, "");
SYMBOL_CRC(drm_mode_is_420, 0xdb320a08, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xc3e4c753, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x4814b6d5, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xce8e2e6e, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x62d857e2, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0xd0bc31ef, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0xdc6fa9d0, "");
SYMBOL_CRC(drm_modeset_backoff, 0x834d2431, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x7980849c, "");
SYMBOL_CRC(drm_modeset_lock, 0x77e4cfdc, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x18dfe9cd, "");
SYMBOL_CRC(drm_modeset_unlock, 0x6033cd5b, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x6c4f4c66, "");
SYMBOL_CRC(drm_universal_plane_init, 0x5c8db9f8, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0xbf41c74b, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0x029df7a4, "");
SYMBOL_CRC(drm_plane_cleanup, 0xcc094098, "");
SYMBOL_CRC(drm_plane_from_index, 0xee725c0c, "");
SYMBOL_CRC(drm_plane_force_disable, 0xc9135a5c, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x14a39d8a, "");
SYMBOL_CRC(drm_any_plane_has_format, 0xf2d59e48, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0x3e4ff1bc, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0xe08b89dc, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0xb833d458, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xd22fe3e2, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x6f682d7c, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x79d447d6, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x0f196f4e, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0xf18118c8, "");
SYMBOL_CRC(drm_gem_map_attach, 0x8265d6cb, "");
SYMBOL_CRC(drm_gem_map_detach, 0x48c1d005, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x215922e4, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x25b0719f, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x8ad4263b, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x02457997, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0xecd4863c, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0x9f68b242, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0xc4867ce7, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0x4841941d, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0x092d6284, "");
SYMBOL_CRC(drm_gem_prime_import, 0x153ddc2d, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x95c63794, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x837880c5, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0x3b0e5e9c, "");
SYMBOL_CRC(__drm_printfn_coredump, 0xea00fe81, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x513072fe, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0xfeb953b1, "");
SYMBOL_CRC(__drm_printfn_info, 0xe317082a, "");
SYMBOL_CRC(__drm_printfn_debug, 0xf824c7db, "");
SYMBOL_CRC(__drm_printfn_err, 0x3f405489, "");
SYMBOL_CRC(drm_puts, 0x521ad6d0, "");
SYMBOL_CRC(drm_printf, 0x28779e52, "");
SYMBOL_CRC(drm_print_bits, 0x32a0cc37, "");
SYMBOL_CRC(drm_dev_printk, 0x496591cf, "");
SYMBOL_CRC(__drm_dev_dbg, 0x0464b019, "");
SYMBOL_CRC(___drm_dbg, 0x7e3277f8, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xb0ba09b4, "");
SYMBOL_CRC(drm_property_create, 0xba4d5f3f, "");
SYMBOL_CRC(drm_property_create_enum, 0xe144b680, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x5c71f878, "");
SYMBOL_CRC(drm_property_create_range, 0x26d7917c, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xe55b381a, "");
SYMBOL_CRC(drm_property_create_object, 0xdfeb4883, "");
SYMBOL_CRC(drm_property_create_bool, 0x5e0fc80a, "");
SYMBOL_CRC(drm_property_add_enum, 0x20030644, "");
SYMBOL_CRC(drm_property_destroy, 0xd5d36f63, "");
SYMBOL_CRC(drm_property_create_blob, 0x544e06c4, "");
SYMBOL_CRC(drm_property_blob_put, 0xe1deb75e, "");
SYMBOL_CRC(drm_property_blob_get, 0x488c9b6d, "");
SYMBOL_CRC(drm_property_lookup_blob, 0x05c070d7, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xb209a058, "");
SYMBOL_CRC(drm_property_replace_blob, 0x7e41a13b, "");
SYMBOL_CRC(drm_syncobj_find, 0x8e57634d, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x83a101c2, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x085a5e13, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0x95cb823e, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0x70aea3eb, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x28c31f20, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0x0288b821, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x37927d8a, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xcf09e708, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x86727f2c, "");
SYMBOL_CRC(drm_class_device_register, 0x1f35ec25, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xa15ab300, "_gpl");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0xfcab7c17, "");
SYMBOL_CRC(drm_vblank_init, 0x838330cb, "");
SYMBOL_CRC(drm_dev_has_vblank, 0x6bf95eb4, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xf30064fa, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0x7eaaa731, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0xc058278c, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xbd57a2a7, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0xc3e032b6, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x464cb544, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x72ee1166, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x2cc2373e, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x2e31fd6e, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x90e2d17c, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x7997c89e, "");
SYMBOL_CRC(drm_wait_one_vblank, 0xcf2cb133, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xfb954107, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0xd7d0201c, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x704e0c40, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0xc7c66852, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0x5ce4146b, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0x9f735337, "");
SYMBOL_CRC(drm_handle_vblank, 0xdf149f45, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x9c0b9a59, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x59ce2295, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x9db6af3e, "");
SYMBOL_CRC(drm_vblank_work_flush, 0x33fdd850, "");
SYMBOL_CRC(drm_vblank_work_init, 0x4cf9d148, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x3c22a4d8, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0x07fb449a, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0xc7910e38, "");
SYMBOL_CRC(drm_vma_offset_add, 0xe8a0e334, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x4831da6e, "");
SYMBOL_CRC(drm_vma_node_allow, 0xc7d04fc5, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x820ac5c0, "");
SYMBOL_CRC(drm_vma_node_revoke, 0x7b2e2166, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x24cf437a, "");
SYMBOL_CRC(drm_gpuva_manager_init, 0x87d06882, "_gpl");
SYMBOL_CRC(drm_gpuva_manager_destroy, 0xd0d4dcba, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x1879aea3, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xe0a8f48e, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x3099360c, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x4c7ebdef, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x8ca7e461, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x6ec7ccbd, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x3feaa26e, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x96776c26, "_gpl");
SYMBOL_CRC(drm_gpuva_interval_empty, 0xa521c35b, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x684ec089, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x5c119c8a, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xd3c43b15, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map, 0x28ac270d, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap, 0x2035b0ba, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_map_ops_create, 0x7634e712, "_gpl");
SYMBOL_CRC(drm_gpuva_sm_unmap_ops_create, 0xfc2efbc5, "_gpl");
SYMBOL_CRC(drm_gpuva_prefetch_ops_create, 0x905cff4b, "_gpl");
SYMBOL_CRC(drm_gpuva_gem_unmap_ops_create, 0x3a960848, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x676ac6ea, "_gpl");
SYMBOL_CRC(drm_writeback_connector_init, 0x60eedd3b, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x696b83f8, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x659a10c4, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x0b3b7d2d, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0xe3989732, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x6d17f363, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0xc1cd3896, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_compat_ioctl, 0x5055c80a, "");
SYMBOL_CRC(drm_panel_init, 0xd5c241a1, "");
SYMBOL_CRC(drm_panel_add, 0x5d2adedd, "");
SYMBOL_CRC(drm_panel_remove, 0xa23cef52, "");
SYMBOL_CRC(drm_panel_prepare, 0xfcf5e2a8, "");
SYMBOL_CRC(drm_panel_unprepare, 0xb2363099, "");
SYMBOL_CRC(drm_panel_enable, 0xcc61ad84, "");
SYMBOL_CRC(drm_panel_disable, 0xaa47e7b9, "");
SYMBOL_CRC(drm_panel_get_modes, 0x7b83893a, "");
SYMBOL_CRC(drm_is_panel_follower, 0xcc7e2ba2, "");
SYMBOL_CRC(drm_panel_add_follower, 0xf1e88c30, "");
SYMBOL_CRC(drm_panel_remove_follower, 0xb785951d, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0xcfaa9c70, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x1e2fec34, "");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0x31f5c37b, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xb7d48515, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0xea59f1fc, "");
SYMBOL_CRC(drm_debugfs_add_file, 0xa4967ba5, "");
SYMBOL_CRC(drm_debugfs_add_files, 0xb7d1a4b3, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x4905bab3, "_gpl");
SYMBOL_CRC(__drm_set_edid_firmware_path, 0x31b8a5e3, "");
SYMBOL_CRC(__drm_get_edid_firmware_path, 0x03c63897, "");
SYMBOL_CRC(drm_privacy_screen_lookup_add, 0x2f476172, "");
SYMBOL_CRC(drm_privacy_screen_lookup_remove, 0x0eb7f5eb, "");
SYMBOL_CRC(drm_privacy_screen_get, 0xe65e8523, "");
SYMBOL_CRC(drm_privacy_screen_put, 0xb72162a3, "");
SYMBOL_CRC(drm_privacy_screen_set_sw_state, 0x7ddf05e0, "");
SYMBOL_CRC(drm_privacy_screen_get_state, 0x91289dec, "");
SYMBOL_CRC(drm_privacy_screen_register_notifier, 0x67e197e9, "");
SYMBOL_CRC(drm_privacy_screen_unregister_notifier, 0xadf058ec, "");
SYMBOL_CRC(drm_privacy_screen_register, 0xbbd5eef0, "");
SYMBOL_CRC(drm_privacy_screen_unregister, 0xa250934f, "");
SYMBOL_CRC(drm_privacy_screen_call_notifier_chain, 0x5c89bb32, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0x30cf9c32, "anon_inode_getfile" },
	{ 0xfb4e656f, "ww_mutex_lock_interruptible" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3e7d4b38, "alloc_anon_inode" },
	{ 0xf825848, "show_class_attr_string" },
	{ 0x11837947, "kthread_cancel_work_sync" },
	{ 0x804ee67, "is_acpi_device_node" },
	{ 0xd3135067, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x45b0b078, "kthread_flush_work" },
	{ 0x79c4b31b, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xd49cd935, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1a59fb69, "shmem_read_folio_gfp" },
	{ 0x81fc99b2, "__folio_batch_release" },
	{ 0xe2df9c59, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7ce7e2f9, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0x4fe443eb, "dma_resv_init" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xd30c9936, "dma_resv_wait_timeout" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfe9cd3be, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x28a86407, "kthread_flush_worker" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6b848659, "request_firmware" },
	{ 0x38d31968, "class_destroy" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5e55582b, "ww_mutex_unlock" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x71a91d68, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x87b572b6, "fd_install" },
	{ 0x689067dd, "dma_fence_chain_ops" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30cd1c1c, "component_del" },
	{ 0x932d5df0, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aec28dd, "dump_mm" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x6107f8f1, "iput" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xdb27872e, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xf0122423, "dma_buf_unmap_attachment_unlocked" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x3164f46f, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x17275e7b, "get_device" },
	{ 0x8e9c12a4, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbc83dbed, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xed5f91b3, "wake_up_process" },
	{ 0xa495dbcf, "dev_driver_string" },
	{ 0xba782048, "dma_buf_map_attachment_unlocked" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x2dcf76a8, "vga_switcheroo_unlock_ddc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xa7191c75, "ww_mutex_trylock" },
	{ 0xcf9ea802, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x76338989, "devm_of_find_backlight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x78117054, "dma_max_mapping_size" },
	{ 0x29366a19, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x139fb489, "dma_buf_export" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x24765d5e, "kthread_queue_work" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0xa3d73554, "_dev_info" },
	{ 0xb4b4f629, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x7cfedaed, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4a5b41a7, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x98555a05, "dma_fence_chain_walk" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa2554729, "__task_pid_nr_ns" },
	{ 0xc13fa72b, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x45807998, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x3da092b8, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0x7f5ec956, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xcd9dc721, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xc5864e57, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x34274e53, "pid_task" },
	{ 0x1b3b220b, "vga_switcheroo_lock_ddc" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf56359f8, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xf9a2e1dd, "noop_llseek" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x44b09d73, "folio_mark_accessed" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x40a5e00a, "dma_resv_fini" },
	{ 0xe85b9af, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc8ec0f87, "dma_buf_get" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbd57b1ae, "aperture_remove_conflicting_pci_devices" },
	{ 0x12e940b4, "ww_mutex_lock" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x31b2ff20, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x726e278c, "dma_buf_fd" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x74271529, "device_register" },
	{ 0xbf9f660a, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xaadea841, "sg_alloc_table_from_pages_segment" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0xdd678cdf, "unregister_acpi_bus_type" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8610abb4, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x99a89a90, "devm_aperture_acquire_for_platform_device" },
	{ 0x44cfbebd, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x8323540, "check_move_unevictable_folios" },
	{ 0x560d1c93, "bpf_trace_run3" },
	{ 0x2a9633c6, "seq_read" },
	{ 0xeb7f6046, "acpi_get_devices" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xbe051091, "debugfs_create_file" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x74b85c27, "dma_map_sgtable" },
	{ 0xed2179bb, "kthread_destroy_worker" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe436e90c, "__dma_fence_unwrap_merge" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa7287931, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe1c501bd, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x3508f1fe, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x993abdf3, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x63f5e4fc, "__srcu_read_unlock" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf6356c62, "i2c_transfer" },
	{ 0xba00daa2, "dma_fence_allocate_private_stub" },
	{ 0x3177601b, "dma_buf_detach" },
	{ 0x3daae96c, "dma_fence_signal_timestamp" },
	{ 0x13b2f76c, "dma_fence_chain_init" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xcc1e2f6e, "seq_puts" },
	{ 0x4cc2a43a, "single_release" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x8a4db92a, "pid_vnr" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0xdb891229, "sched_set_fifo" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x14d4f8a, "simple_release_fs" },
	{ 0x5513501e, "dma_unmap_sg_attrs" },
	{ 0xc8c62aa8, "kill_anon_super" },
	{ 0x406727ab, "from_kuid_munged" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x12181ed9, "__devm_add_action" },
	{ 0x81188c30, "match_string" },
	{ 0xa24836d, "component_add" },
	{ 0x7ed84a2, "dma_resv_test_signaled" },
	{ 0x9c15285f, "fwnode_handle_put" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xc8fc4dcb, "iomem_resource" },
	{ 0xbb5dd4a, "dma_fence_chain_find_seqno" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0x9ca64a01, "_dev_printk" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x374514c6, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xcc039a91, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdafb4dc1, "__dev_fwnode" },
	{ 0x986499eb, "pci_bus_type" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x1bff8a98, "class_remove_file_ns" },
	{ 0x75554c11, "simple_pin_fs" },
	{ 0x7d043a5e, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "backlight,i2c-core");


MODULE_INFO(srcversion, "811C796D7B8FE8F65BA9487");
