#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xb7d2a1f3, "");
SYMBOL_CRC(drm_gem_vram_put, 0x7f9e5e31, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x043e7cce, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xaf76db1d, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x3b7a9458, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x7e2c1dc8, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x566d7840, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xe918e70c, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xb0575896, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x5d006682, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x95357799, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x768779cd, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x7b68c897, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xee26e5de, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x7a1c994b, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xd6d9c252, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x360945fa, "ttm_range_man_init_nocheck" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfb4e656f, "ww_mutex_lock_interruptible" },
	{ 0xe96fdbf7, "ttm_resource_manager_debug" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5e55582b, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc679c52, "ttm_range_man_fini_nocheck" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x560777e9, "drm_gem_object_init" },
	{ 0xfeb953b1, "__drm_printfn_seq_file" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xda0ee84c, "ttm_bo_pin" },
	{ 0xa495dbcf, "dev_driver_string" },
	{ 0x17d02c7a, "drm_gem_ttm_mmap" },
	{ 0xa6b2fbcb, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x909492f6, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xf7bf6e00, "drm_gem_object_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x779d0c4c, "ttm_tt_init" },
	{ 0x2b3f2f29, "drm_gem_handle_create" },
	{ 0xe4d068a0, "drm_gem_fb_get_obj" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa50a71cf, "ttm_bo_unpin" },
	{ 0x513072fe, "__drm_puts_seq_file" },
	{ 0xb7d1a4b3, "drm_debugfs_add_files" },
	{ 0x1be45cf, "ttm_bo_init_validate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x6bf28683, "ttm_device_init" },
	{ 0xeec48bad, "ttm_bo_validate" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xcd2260c1, "ttm_bo_move_to_lru_tail" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x15589b95, "ttm_bo_vmap" },
	{ 0x5cf83724, "ttm_bo_put" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xf8678092, "ttm_resource_free" },
	{ 0x96073959, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x98d42342, "ttm_tt_fini" },
	{ 0x2d52a98, "ttm_device_fini" },
	{ 0x8ea9ab97, "drm_gem_plane_helper_prepare_fb" },
	{ 0xfb9ddd4b, "ttm_bo_eviction_valuable" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x501570da, "drm_gem_ttm_print_info" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "7AE0AE9C03F5998B04013AB");
