#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x3c0dc129, "");
SYMBOL_CRC(mmc_request_done, 0x4a2a6ea4, "");
SYMBOL_CRC(mmc_start_request, 0x21c6cd32, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x32863946, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x4900077e, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x17fed370, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xa363e609, "");
SYMBOL_CRC(mmc_cqe_recovery, 0x9f87acc3, "");
SYMBOL_CRC(mmc_is_req_done, 0x8d99aa02, "");
SYMBOL_CRC(mmc_wait_for_req, 0x69aa42ad, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x5f23acc6, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x78030189, "");
SYMBOL_CRC(__mmc_claim_host, 0xfe9ccfdd, "");
SYMBOL_CRC(mmc_release_host, 0x6b24f94b, "");
SYMBOL_CRC(mmc_get_card, 0x2794cd9d, "");
SYMBOL_CRC(mmc_put_card, 0x2829748d, "");
SYMBOL_CRC(mmc_detect_change, 0x51448cd7, "");
SYMBOL_CRC(mmc_erase, 0x40c3f2b5, "");
SYMBOL_CRC(mmc_can_erase, 0x9e7491c8, "");
SYMBOL_CRC(mmc_can_trim, 0x18baaa38, "");
SYMBOL_CRC(mmc_can_discard, 0x14c04f64, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x8fa9f397, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0xed28ae45, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xeed5c0a1, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x74dd1afb, "");
SYMBOL_CRC(mmc_set_blocklen, 0xa6fc86a3, "");
SYMBOL_CRC(mmc_hw_reset, 0x36892b50, "");
SYMBOL_CRC(mmc_sw_reset, 0x7c31bbcd, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x546058ee, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x16ac4675, "");
SYMBOL_CRC(mmc_register_driver, 0xb4d2f7a0, "");
SYMBOL_CRC(mmc_unregister_driver, 0x14554a21, "");
SYMBOL_CRC(mmc_retune_pause, 0x299d8199, "");
SYMBOL_CRC(mmc_retune_unpause, 0x6b9fe9e2, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x80b0ec5d, "");
SYMBOL_CRC(mmc_retune_release, 0xcdff5abb, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0xca42a610, "");
SYMBOL_CRC(mmc_of_parse, 0x607b0577, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x6e62b45d, "");
SYMBOL_CRC(mmc_alloc_host, 0x4922b6c5, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0xbd8b6465, "");
SYMBOL_CRC(mmc_add_host, 0x6a5bf3b7, "");
SYMBOL_CRC(mmc_remove_host, 0xed9057c3, "");
SYMBOL_CRC(mmc_free_host, 0x37cc7f73, "");
SYMBOL_CRC(__mmc_send_status, 0x5a95d9e0, "_gpl");
SYMBOL_CRC(mmc_send_status, 0x278ee583, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0xa11ff1fa, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x891450b1, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x9b22ede9, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x3d726ddb, "_gpl");
SYMBOL_CRC(mmc_switch, 0x1f66291e, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0xa27ac7c0, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x74cbebf2, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x76db7709, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xa04fc7c8, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0xfcaea9df, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x3668d943, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xa10139d5, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x5b88d90f, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0xe35d57c9, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x90182fa8, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xa345ea05, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x20f66f5b, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x7a1dd05f, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x70c91ec1, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x7f020dad, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x736b59e6, "_gpl");
SYMBOL_CRC(sdio_readb, 0x346fcc2d, "_gpl");
SYMBOL_CRC(sdio_writeb, 0xb9baf5b6, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x8c8ed131, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x76b9e614, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x3940a0ba, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x18f342a5, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x4adb7e10, "_gpl");
SYMBOL_CRC(sdio_readw, 0x2089a715, "_gpl");
SYMBOL_CRC(sdio_writew, 0x55e4505b, "_gpl");
SYMBOL_CRC(sdio_readl, 0xdfbd586a, "_gpl");
SYMBOL_CRC(sdio_writel, 0x831a80cb, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x729ac51a, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x3d1a1973, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x68441036, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x5923637b, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xc9e62995, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xd750f74e, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x73dceeb8, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xb0e46dba, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0xc0d9bb48, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xd0b36997, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x8bdbc6cc, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0xf0f47ebc, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0xc907ccc5, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0xf7f1dad6, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0x2e10438d, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0xb51c8db6, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x43a18708, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0xd461d30e, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x2be6c6f6, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0xdef3532b, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0x8bacae7c, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x13cdce91, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0xc01b775d, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x8c4a93f6, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0xf86c8e09, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x99525647, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0xc9cdddb3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x67b8344b, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x78098eae, "regulator_enable" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x2f201680, "device_property_present" },
	{ 0x2f36f264, "wakeup_source_register" },
	{ 0x804ee67, "is_acpi_device_node" },
	{ 0x9a450f33, "simple_attr_open" },
	{ 0xb47b5a04, "devm_request_threaded_irq" },
	{ 0x99d62aec, "debugfs_attr_write" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe2df9c59, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x3cc0862e, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x71a91d68, "device_initialize" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0xc858a2ce, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xdb27872e, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x9340f8eb, "gpiod_toggle_active_low" },
	{ 0x4bcdf9da, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbafa42c, "bpf_trace_run2" },
	{ 0xbca88703, "gpiod_get_value" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xb7de3432, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x17275e7b, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0x529657, "sched_set_fifo_low" },
	{ 0x83fdec71, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e4d9283, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xed5f91b3, "wake_up_process" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x85ffbe43, "pm_generic_runtime_resume" },
	{ 0x8506734, "pm_generic_resume" },
	{ 0x4bd3cd3d, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6ca78bbb, "__pm_runtime_set_status" },
	{ 0x91446f34, "pm_wakeup_ws_event" },
	{ 0xcffbb6cb, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x796dfd89, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x29366a19, "put_device" },
	{ 0x4e669d87, "pm_runtime_enable" },
	{ 0x1c9f5fa3, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x5b8bd7e2, "gpiod_set_debounce" },
	{ 0x3371b158, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf189aaf8, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x3f65e1be, "pm_generic_suspend" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x56ec1f9e, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0x6afe73b6, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x8107fbaf, "debugfs_create_file_unsafe" },
	{ 0xcd9dc721, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xb0fadf1b, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbbaa40ae, "wakeup_source_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x67b0fddd, "__devres_alloc_node" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x56a1cf26, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6fca5fc7, "devm_gpiod_get_index" },
	{ 0xc55b71c8, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc68044e8, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbf9f660a, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x1a1aad77, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa87f7809, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x77344cec, "regulator_is_supported_voltage" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xddb41733, "kthread_create_on_node" },
	{ 0xe2302d3a, "devm_kasprintf" },
	{ 0x2a9633c6, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa6a566e3, "gpiod_cansleep" },
	{ 0xbe051091, "debugfs_create_file" },
	{ 0xb54920f0, "gpiod_is_active_low" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x2480aad4, "__pm_runtime_resume" },
	{ 0x5d2baf2a, "debugfs_create_x32" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4cc2a43a, "single_release" },
	{ 0x158ef13c, "regulator_disable" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xae20c1c1, "__pm_runtime_suspend" },
	{ 0x4da3282a, "set_primary_fwnode" },
	{ 0x76474396, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x374514c6, "single_open" },
	{ 0x64f1a3ee, "gpiod_set_consumer_name" },
	{ 0x9c45a083, "__pm_runtime_disable" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0xbc2f4f69, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xac6647ad, "driver_register" },
	{ 0xd1575c1e, "class_register" },
	{ 0xda34ee0f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xdafb4dc1, "__dev_fwnode" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x5cf384e, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C6028FDCD38507479FF762");
