#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0x84a09290, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x5b97a366, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x7d2031a2, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x25fd2127, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0xab7957d1, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xec1485b6, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x69564504, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xced3678e, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x48d7495f, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x860a0788, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xd18b50fa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x187a9626, "usb_driver_release_interface" },
	{ 0xd1016ed9, "usb_altnum_to_altsetting" },
	{ 0xe85ac573, "__dynamic_netdev_dbg" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xe33519b4, "usb_register_driver" },
	{ 0x2d733b28, "usb_deregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4bada96, "usbnet_link_change" },
	{ 0x24a98350, "usbnet_update_max_qlen" },
	{ 0xa3d73554, "_dev_info" },
	{ 0xcd19ca7b, "usbnet_write_cmd" },
	{ 0xbaaf4dee, "usbnet_unlink_rx_urbs" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xf6f4aa4f, "netif_tx_lock" },
	{ 0xb2a2f522, "usbnet_start_xmit" },
	{ 0xc38f1081, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x869475a0, "__netdev_alloc_skb" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0xc9e2e961, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3860440a, "hrtimer_active" },
	{ 0xe4f93ed, "hrtimer_start_range_ns" },
	{ 0xf7fb0948, "usbnet_read_cmd" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xefeea17a, "cdc_parse_cdc_header" },
	{ 0xb8fc99c1, "usb_ifnum_to_if" },
	{ 0xff7f103a, "usb_driver_claim_interface" },
	{ 0xf70c987c, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x97ff3ed7, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb44273a3, "usbnet_manage_power" },
	{ 0x5a7cafe7, "usbnet_cdc_update_filter" },
	{ 0x53264cf6, "usbnet_open" },
	{ 0xce477488, "usbnet_stop" },
	{ 0x7ac3da09, "usbnet_set_rx_mode" },
	{ 0x3727bfd2, "eth_mac_addr" },
	{ 0xc949008c, "eth_validate_addr" },
	{ 0xb494ee39, "usbnet_tx_timeout" },
	{ 0x928e8ab9, "dev_get_tstats64" },
	{ 0x7270a99a, "usbnet_get_drvinfo" },
	{ 0x30f18817, "usbnet_get_msglevel" },
	{ 0xf2f1900b, "usbnet_set_msglevel" },
	{ 0x7091b8d5, "usbnet_nway_reset" },
	{ 0xd9cd0337, "usbnet_get_link" },
	{ 0x666ce5f8, "ethtool_op_get_ts_info" },
	{ 0x783b380e, "usbnet_get_link_ksettings_internal" },
	{ 0xab64fcc6, "usbnet_probe" },
	{ 0x20a20e4e, "usbnet_disconnect" },
	{ 0x60120795, "usbnet_suspend" },
	{ 0x45c5df4, "usbnet_resume" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x526a1a09, "dev_kfree_skb_any_reason" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "usbnet,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");
