#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x30ae8a4a, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xe6c30664, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x71faf7a1, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x2e6987d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x3ab828a, "__skb_checksum_complete" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xee02c560, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3d738cc, "skb_copy_bits" },
	{ 0x47c4a761, "__nlmsg_put" },
	{ 0x2039c548, "netdev_adjacent_change_commit" },
	{ 0x3727bfd2, "eth_mac_addr" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x80710107, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x731efdf6, "ip6_dst_hoplimit" },
	{ 0x832d654f, "param_ops_ushort" },
	{ 0xec0434b0, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0x9fca2e39, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3687575f, "dst_cache_set_ip4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x84bb342d, "udp_tunnel6_xmit_skb" },
	{ 0xa3a65b3d, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x3f004a0d, "netif_inherit_tso_max" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xc949008c, "eth_validate_addr" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0x6f022426, "gro_cells_init" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3d5dc267, "rtnl_create_link" },
	{ 0x4efdbd45, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfadd8eb3, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb9fd7482, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7e3267ec, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2e68cd6, "udp_tunnel_drop_rx_port" },
	{ 0x1ef5f9ea, "pskb_expand_head" },
	{ 0xbc44c2d7, "netdev_upper_dev_link" },
	{ 0xc8706d58, "register_pernet_subsys" },
	{ 0x9de23ce8, "dev_addr_mod" },
	{ 0xfe6d9ffe, "netdev_core_stats_alloc" },
	{ 0x16ca0a5b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb16ce7a3, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0x7e83b862, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xab2cf469, "eth_gro_complete" },
	{ 0xf96b7b9c, "rtnl_set_sk_err" },
	{ 0x78b24d09, "eth_gro_receive" },
	{ 0x5928d354, "rtnl_configure_link" },
	{ 0xa12f3244, "skb_tunnel_check_pmtu" },
	{ 0x76a1c112, "peernet2id" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x4b179a6d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xe6e6368, "__dev_get_by_index" },
	{ 0x71c024b5, "rtnl_link_unregister" },
	{ 0x3b6916fa, "__skb_get_hash" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x537aac4e, "ipv6_stub" },
	{ 0xb2863578, "skb_pull" },
	{ 0xbf8186be, "gro_find_complete_by_type" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x7f6b1989, "dev_get_by_index_rcu" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x223af750, "gro_cells_receive" },
	{ 0x418a2b06, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x3e15ade7, "netdev_upper_dev_unlink" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf4e6f556, "__rtnl_register_many" },
	{ 0x6750b4a, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf2768560, "ip_mc_join_group" },
	{ 0xaac38a46, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x65fecd54, "lock_sock_nested" },
	{ 0x8a501259, "ethtool_op_get_link" },
	{ 0x72889d6a, "nexthop_find_by_id" },
	{ 0xf4a6d849, "arp_create" },
	{ 0x69bda464, "__ethtool_get_link_ksettings" },
	{ 0xcfa323f9, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3fd88855, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xdd8bdb21, "rhashtable_free_and_destroy" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xe2535516, "netdev_adjacent_change_abort" },
	{ 0x1a585785, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc59d3283, "__iptunnel_pull_header" },
	{ 0xe7149090, "__pskb_pull_tail" },
	{ 0x928e8ab9, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x3da8c950, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x31d7a3e9, "setup_udp_tunnel_sock" },
	{ 0xfa6ec0a5, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe6898cae, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe85ac573, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd861ec7d, "skb_scrub_packet" },
	{ 0xbf37612c, "nexthop_select_path" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2427d70d, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4734cb06, "dst_cache_get_ip6" },
	{ 0xfadf5a9a, "neigh_destroy" },
	{ 0x61b76f82, "dst_cache_get_ip4" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0xe60ee760, "udp_tun_rx_dst" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd27c212b, "dst_cache_set_ip6" },
	{ 0xc5d0c36b, "rtnl_notify" },
	{ 0x63a2c1f9, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3c052e09, "__netif_rx" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x245c2edf, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x47e3279d, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb2275f59, "dst_release" },
	{ 0x4f8bb8b5, "unregister_nexthop_notifier" },
	{ 0x886439c, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xdf21f52d, "udp_tunnel_notify_del_rx_port" },
	{ 0xfc4a4533, "register_nexthop_notifier" },
	{ 0x7a1f1b9c, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x78b456d9, "__rtnl_unregister_many" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x782bb880, "gro_find_receive_by_type" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x62d5df62, "netdev_info" },
	{ 0xa3a8aa93, "neigh_lookup" },
	{ 0x6fd95666, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x725f69e9, "register_netdevice" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "A27C777E8AB621B4606F933");
