#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x4f4e1bf9, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x766cd22f, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x96dca69c, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0xf24ad540, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0x2f2380ad, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x9a9f4105, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0xf55d7615, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x7ddb0e5d, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0xf2c3c2c0, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xc0933c11, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x42f60cf6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x1cd1cafa, "brcmu_pktq_mlen" },
	{ 0x4a4a2551, "cfg80211_sched_scan_results" },
	{ 0x73dceeb8, "sdio_retune_hold_now" },
	{ 0x20f66f5b, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x511a40a1, "usb_alloc_urb" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x70c91ec1, "sdio_disable_func" },
	{ 0x2e3c08a3, "cfg80211_mgmt_tx_status_ext" },
	{ 0x1f83809a, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xeddd6ae8, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7f020dad, "sdio_set_block_size" },
	{ 0x804ee67, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xad58bfcc, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xe64b4f32, "pci_enable_device" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0xff3f0090, "brcmu_pkt_buf_free_skb" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xc9e62995, "sdio_retune_crc_disable" },
	{ 0x201103b1, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1f7204f9, "firmware_request_nowarn" },
	{ 0xd2aa2e56, "platform_driver_unregister" },
	{ 0xa345ea05, "sdio_claim_host" },
	{ 0xc7ccc3c7, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x76b9e614, "sdio_memcpy_fromio" },
	{ 0xec0434b0, "consume_skb" },
	{ 0xe35d57c9, "sdio_register_driver" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x4d75771e, "unregister_netdev" },
	{ 0xf2ad0cd, "cfg80211_remain_on_channel_expired" },
	{ 0x57c6f65c, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc3c6a40, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xd118ff0c, "dma_unmap_page_attrs" },
	{ 0x6b848659, "request_firmware" },
	{ 0xe33519b4, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x978cf201, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x79c92f9, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xb1431651, "cfg80211_port_authorized" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf7c253b1, "brcmu_pktq_init" },
	{ 0xd610cd18, "brcmu_pktq_penq_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3940a0ba, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcf5f3d49, "cfg80211_new_sta" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0x92c40044, "cfg80211_disconnected" },
	{ 0x7e3267ec, "ether_setup" },
	{ 0x8e5f29d9, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ef5f9ea, "pskb_expand_head" },
	{ 0xed5f91b3, "wake_up_process" },
	{ 0xa495dbcf, "dev_driver_string" },
	{ 0x9de23ce8, "dev_addr_mod" },
	{ 0x729ac51a, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x16ca0a5b, "eth_type_trans" },
	{ 0xe4b9d9d3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd3d8195, "dma_map_page_attrs" },
	{ 0x696d10cd, "alloc_netdev_mqs" },
	{ 0xd4101f4a, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x68c84e97, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7e4650b5, "cfg80211_classify8021d" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8bdbc6cc, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x56f87974, "cfg80211_crit_proto_stopped" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xcca0fc13, "wiphy_register" },
	{ 0xcc005b34, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x44a187e7, "cfg80211_put_bss" },
	{ 0x6054aa79, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x10b6a182, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x51e7df75, "skb_queue_tail" },
	{ 0x7523f5e3, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xef5ef286, "cfg80211_check_combinations" },
	{ 0x5923637b, "sdio_set_host_pm_flags" },
	{ 0x3d1a1973, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x90182fa8, "sdio_unregister_driver" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x18f342a5, "sdio_readsb" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf951ea48, "usb_match_id" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x63b46386, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x1305cdd3, "device_wakeup_enable" },
	{ 0x81a3e6ef, "cfg80211_ibss_joined" },
	{ 0x87cf6368, "request_firmware_nowait" },
	{ 0x94b7a01e, "simple_open" },
	{ 0xb2863578, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xcbddc2ae, "cfg80211_michael_mic_failure" },
	{ 0xe8da6519, "wiphy_apply_custom_regulatory" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a2b06, "skb_push" },
	{ 0xd750f74e, "sdio_retune_crc_enable" },
	{ 0x6413c56d, "brcmu_pktq_flush" },
	{ 0x43d6bce4, "brcmu_pktq_peek_tail" },
	{ 0x3831e859, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x41f291e4, "cfg80211_del_sta_sinfo" },
	{ 0xdfbd586a, "sdio_readl" },
	{ 0x78030189, "mmc_set_data_timeout" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x6e14e1b9, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xc393713e, "wiphy_unregister" },
	{ 0x6750b4a, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc68044e8, "kthread_stop" },
	{ 0x38071213, "eth_platform_get_mac_address" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2d733b28, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6ce143f8, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x980b14e4, "brcmu_pktq_pdeq_match" },
	{ 0x79cd7ec0, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x831a80cb, "sdio_writel" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf44df084, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69aa42ad, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe7149090, "__pskb_pull_tail" },
	{ 0x3da8c950, "netif_rx" },
	{ 0x869475a0, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x8610abb4, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe6898cae, "skb_trim" },
	{ 0xd160d672, "skb_unlink" },
	{ 0x68441036, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xddb41733, "kthread_create_on_node" },
	{ 0xe2302d3a, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x202324b4, "pm_runtime_forbid" },
	{ 0xbe051091, "debugfs_create_file" },
	{ 0x88df1d6a, "brcmu_pktq_mdeq" },
	{ 0x5923a9ba, "cfg80211_unregister_wdev" },
	{ 0xa95e33f8, "pci_pme_capable" },
	{ 0x32bb9c4a, "brcmu_pktq_penq" },
	{ 0xdc83da8a, "dma_free_attrs" },
	{ 0x7fa6e9bc, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0x705aedde, "__platform_driver_probe" },
	{ 0x6b56369d, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x858226d3, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4944dca3, "brcmu_pktq_pdeq_tail" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x19c98e09, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xe9cf68dc, "usb_kill_urb" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd9364252, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x1f94b6a9, "netif_carrier_on" },
	{ 0x22cd4324, "brcmu_pkt_buf_get_skb" },
	{ 0x36892b50, "mmc_hw_reset" },
	{ 0xb0e46dba, "sdio_retune_release" },
	{ 0xd0b36997, "sdio_claim_irq" },
	{ 0x13c0a560, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf612167d, "pci_disable_device" },
	{ 0xc5332435, "pci_match_id" },
	{ 0x7a1dd05f, "sdio_enable_func" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf6feb668, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x7e3004b8, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf5f7dae5, "cfg80211_inform_bss_data" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0x37b897a9, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x526a1a09, "dev_kfree_skb_any_reason" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x63baf7c2, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xc42550af, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xf4f05781, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x276e3a7a, "pci_write_config_dword" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa1ae41e5, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x346fcc2d, "sdio_readb" },
	{ 0xb9baf5b6, "sdio_writeb" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "88DB5E45BA7CC598E884E32");
