#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x8e5f29d9, "pci_unregister_driver" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x66252555, "rt2800mmio_toggle_irq" },
	{ 0x127bb91f, "rt2800_mcu_request" },
	{ 0x807b526, "rt2800mmio_enable_radio" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1064b275, "rt2x00pci_remove" },
	{ 0xcb62b9f7, "rt2x00pci_pm_ops" },
	{ 0x9eaa453c, "rt2800mmio_queue_init" },
	{ 0x7cde1c85, "rt2800_rt2x00debug" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0xc5434f12, "rt2800mmio_probe_hw" },
	{ 0x38eb82e6, "rt2800_check_firmware" },
	{ 0x6902839a, "rt2800_load_firmware" },
	{ 0x603f4fc4, "rt2x00mmio_initialize" },
	{ 0x2369ce2b, "rt2x00mmio_uninitialize" },
	{ 0xb24f7f34, "rt2800mmio_get_entry_state" },
	{ 0x9f8b78be, "rt2800mmio_clear_entry" },
	{ 0x8b2bf4bd, "rt2800_rfkill_poll" },
	{ 0x4e41227e, "rt2800_link_stats" },
	{ 0xd7f459de, "rt2800_reset_tuner" },
	{ 0x695e0f55, "rt2800_link_tuner" },
	{ 0xe17848d2, "rt2800_gain_calibration" },
	{ 0xa3d9a7a4, "rt2800_vco_calibration" },
	{ 0x94c49f86, "rt2800_watchdog" },
	{ 0x44a91468, "rt2800mmio_start_queue" },
	{ 0x71d650a5, "rt2800mmio_kick_queue" },
	{ 0xd2305ecb, "rt2800mmio_stop_queue" },
	{ 0xe191327f, "rt2800mmio_flush_queue" },
	{ 0x20d0ae6, "rt2800mmio_write_tx_desc" },
	{ 0x300e02fc, "rt2800_write_tx_data" },
	{ 0xf0b95a95, "rt2800_write_beacon" },
	{ 0x61c4b63e, "rt2800_clear_beacon" },
	{ 0xa599c83c, "rt2800mmio_fill_rxdone" },
	{ 0x745fcb5c, "rt2800_config_shared_key" },
	{ 0xd256c1d, "rt2800_config_pairwise_key" },
	{ 0x3e502ea6, "rt2800_config_filter" },
	{ 0x9b5dc983, "rt2800_config_intf" },
	{ 0x6500db5c, "rt2800_config_erp" },
	{ 0xecc217cd, "rt2800_config_ant" },
	{ 0x6753de62, "rt2800_config" },
	{ 0x5a12ef32, "rt2800_pre_reset_hw" },
	{ 0xfc329677, "rt2x00mmio_regbusy_read" },
	{ 0xb86f13df, "rt2800mmio_init_registers" },
	{ 0xc494b580, "rt2800mmio_get_txwi" },
	{ 0xcb05e193, "rt2800mmio_get_dma_done" },
	{ 0x6754e9fb, "rt2x00mac_tx" },
	{ 0xfcbb3fc0, "rt2x00mac_start" },
	{ 0xd49b255b, "rt2x00mac_stop" },
	{ 0xa02a289b, "rt2x00mac_add_interface" },
	{ 0xc187b78, "rt2x00mac_remove_interface" },
	{ 0xc4ca51ab, "rt2x00mac_config" },
	{ 0x17c3e1c4, "rt2x00mac_bss_info_changed" },
	{ 0x1bb8b8ec, "rt2x00mac_configure_filter" },
	{ 0x419efb6d, "rt2x00mac_set_key" },
	{ 0xb963091a, "rt2x00mac_sw_scan_start" },
	{ 0xbf9d4970, "rt2x00mac_sw_scan_complete" },
	{ 0xec0cc96, "rt2x00mac_get_stats" },
	{ 0xfa664b33, "rt2800_get_key_seq" },
	{ 0xe63f3c47, "rt2800_set_rts_threshold" },
	{ 0x695bf271, "rt2800_sta_add" },
	{ 0x78001d63, "rt2800_sta_remove" },
	{ 0x603444ec, "rt2800_conf_tx" },
	{ 0x63cc2d71, "rt2800_get_tsf" },
	{ 0x79cdb8e8, "rt2800_ampdu_action" },
	{ 0xffaa4509, "rt2800_get_survey" },
	{ 0xdff499a8, "rt2x00mac_rfkill_poll" },
	{ 0x2de77714, "rt2x00mac_flush" },
	{ 0x73410d34, "rt2x00mac_get_ringparam" },
	{ 0xf283f343, "rt2x00mac_tx_frames_pending" },
	{ 0x689001ac, "rt2x00mac_reconfig_complete" },
	{ 0xbf8c952c, "ieee80211_handle_wake_tx_queue" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x978cf201, "__pci_register_driver" },
	{ 0x4c2584f6, "rt2x00pci_probe" },
	{ 0x135f6e73, "rt2800_efuse_detect" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xfad36f47, "rt2800_read_eeprom_efuse" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "rt2800mmio,rt2800lib,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");
