#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00debug_dump_frame, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0x2258da1a, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x0593c499, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xee610fd1, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x0cc9fb83, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0x55fa6c06, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x26178c68, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xdd77cde8, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0xb0b06dcb, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0x107e11c2, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0x946ed7b0, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xdaf49f84, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x0cf6e5ba, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x462c0145, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x28014d8f, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x6754e9fb, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xfcbb3fc0, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xd49b255b, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x689001ac, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xa02a289b, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x0c187b78, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0xc4ca51ab, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x1bb8b8ec, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x9f32d34c, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x419efb6d, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0xb963091a, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xbf9d4970, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x0ec0cc96, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x17c3e1c4, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x01e90ba2, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0xdff499a8, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x2de77714, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x08148309, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0x11fd30c3, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x73410d34, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xf283f343, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x3d509e17, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xe55ae8f9, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xa800edf9, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x37d75b2f, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xfc5b0584, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x86a8cdd1, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x0d90541f, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x8237642d, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x8d2b1bf6, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x859bc984, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x4dc33f34, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0xf3bf0bba, "_gpl");
SYMBOL_CRC(rt2x00debug_dump_frame, 0x6cce8600, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe4c79820, "ieee80211_iterate_interfaces" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xec0434b0, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x57c6f65c, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd118ff0c, "dma_unmap_page_attrs" },
	{ 0x6b848659, "request_firmware" },
	{ 0x9fd37f8f, "led_classdev_suspend" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8f49645e, "hrtimer_init" },
	{ 0x3ec4d5cf, "ieee80211_tx_status_ext" },
	{ 0x64fa6fd6, "debugfs_create_blob" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xe8ca76b1, "led_classdev_unregister" },
	{ 0xb1e39543, "ieee80211_register_hw" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6487b1d7, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc6effbe0, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4ed57064, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x83df4eab, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x904334be, "skb_queue_purge_reason" },
	{ 0xa495dbcf, "dev_driver_string" },
	{ 0x959c8ae8, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd3d8195, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x51e7df75, "skb_queue_tail" },
	{ 0x7cfedaed, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xaff53cb2, "ieee80211_queue_delayed_work" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x94b7a01e, "simple_open" },
	{ 0x58c2428, "ieee80211_ctstoself_get" },
	{ 0xb2863578, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a2b06, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9c153469, "ieee80211_free_txskb" },
	{ 0x615888d7, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x39bf48d2, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x16023896, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9c40d8e7, "ieee80211_tx_status" },
	{ 0x55c342f4, "ieee80211_stop_queue" },
	{ 0x869475a0, "__netdev_alloc_skb" },
	{ 0x470649bd, "ieee80211_stop_queues" },
	{ 0xe6898cae, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9ce7c96, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf411a13c, "wiphy_rfkill_start_polling" },
	{ 0xbe051091, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x800eb3b0, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x82f488df, "led_classdev_resume" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x1967b93c, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c3e5b43, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xef3b2866, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x82fbd1df, "hrtimer_cancel" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x4b0cd5bb, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x526a1a09, "dev_kfree_skb_any_reason" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0x76a9ba31, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xaa71bd6, "ieee80211_rx_napi" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "85E3D6DC14C47ED1A12AEAF");
