#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x7ed29ede, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x504d86e4, "nvme_remove_admin_tag_set" },
	{ 0x750f1b6c, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xbad20506, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xcf713036, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xdd8af66e, "nvmf_free_options" },
	{ 0x63d4a726, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf0e3b91, "blk_mq_complete_request_remote" },
	{ 0xd118ff0c, "dma_unmap_page_attrs" },
	{ 0x66504438, "nvme_setup_cmd" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x27b810bf, "nvme_start_ctrl" },
	{ 0x445a5ee1, "dma_sync_single_for_device" },
	{ 0x779ee37d, "nvme_alloc_admin_tag_set" },
	{ 0xdeae0f7, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa5f8fc23, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf85119a6, "nvme_delete_ctrl" },
	{ 0x17275e7b, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xaaf37f69, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa495dbcf, "dev_driver_string" },
	{ 0x3289c000, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd3d8195, "dma_map_page_attrs" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x79901a13, "nvme_remove_io_tag_set" },
	{ 0xe25d82a6, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x68e61a5, "nvme_mpath_start_request" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x5dcc2efa, "nvmf_unregister_transport" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x29366a19, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x120286e1, "nvme_change_ctrl_state" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x3039b8c2, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xaf41d746, "nvme_alloc_io_tag_set" },
	{ 0x28de4b7b, "nvme_fail_nonready_command" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xc13fa72b, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6bc1abf7, "device_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe25f2104, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7032242d, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2759512c, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc55b71c8, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x2de6c14e, "nvmf_connect_admin_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7057f68b, "nvme_enable_ctrl" },
	{ 0xc016b758, "nvme_unquiesce_admin_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x351a6d63, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x16a8657, "nvme_unquiesce_io_queues" },
	{ 0x1f81dd0, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x71ddc6e9, "nvmf_reg_write32" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xc27f53ee, "nvmf_should_reconnect" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbe04255, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6caf3567, "device_destroy" },
	{ 0xe870e62, "__blk_should_fake_timeout" },
	{ 0x59fcb5cf, "nvme_set_queue_count" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x900d15da, "nvmf_register_transport" },
	{ 0x258249a1, "blk_mq_start_request" },
	{ 0x5659e0c4, "nvme_quiesce_io_queues" },
	{ 0xfe727c3d, "blk_mq_tagset_busy_iter" },
	{ 0xe63efed8, "nvme_stop_ctrl" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5513501e, "dma_unmap_sg_attrs" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xd73a2098, "nvme_init_ctrl_finish" },
	{ 0x6f948d88, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x3eabfddf, "nvme_quiesce_admin_queue" },
	{ 0xd1575c1e, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa295dd32, "__nvme_check_ready" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0xb44fb84, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "nvme-fabrics");


MODULE_INFO(srcversion, "AF49368A004EE29D17F7D53");
