#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_local_unipro_ver, "", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dealloc_host, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xcc751093, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x9fe0e83b, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0xdf86efa4, "");
SYMBOL_CRC(ufshcd_hold, 0x5c767863, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x59eb9841, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xfd84acd1, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x7699242e, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xabf87346, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x6b185ccb, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xd3299cb6, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xaad36511, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xcf92d330, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x529e7b49, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x8e5f3c2c, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x04703530, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x5f0a603d, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x8840d80e, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0xe5d3e9d8, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x72f958d3, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xc04b380f, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x9ac71d82, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x7f1fcd48, "");
SYMBOL_CRC(ufshcd_system_resume, 0x6b2d8595, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xfb29f9fa, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xe358e986, "");
SYMBOL_CRC(ufshcd_remove, 0x2cced2e7, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xaa441b6d, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x41d61fa8, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x6506d544, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x91473ce8, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0x82d61e54, "");
SYMBOL_CRC(ufshcd_init, 0x2cb35b69, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xdd9b863d, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x84281e70, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xe88defca, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x7e835013, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x3bc23e93, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x0a77863d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0xa6c10ad9, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x371bac6d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x816fa0ed, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x48b73f93, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf542f1a8, "scsi_dma_map" },
	{ 0xbf1acdf8, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x78098eae, "regulator_enable" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x9a450f33, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x79c4b31b, "bpf_trace_run4" },
	{ 0xb47b5a04, "devm_request_threaded_irq" },
	{ 0x99d62aec, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x83c8f5ca, "scsi_autopm_put_device" },
	{ 0xd9f4e30b, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x713b8e28, "dmam_alloc_attrs" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0x888dc4c, "scsi_remove_host" },
	{ 0x850ee574, "bpf_trace_run6" },
	{ 0x6a7e55bd, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0xd65e805f, "blk_pm_runtime_init" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0xae3c8c5d, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x155cabb5, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xcf2a6966, "up" },
	{ 0xdb76cebc, "sysfs_create_groups" },
	{ 0xb637ed71, "dev_pm_opp_add" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb021d896, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0xdb27872e, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbafa42c, "bpf_trace_run2" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3972a4ba, "__scsi_iterate_devices" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x17275e7b, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9dcff634, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf9baf850, "blk_mq_alloc_tag_set" },
	{ 0xfd93c7bc, "scsi_device_set_state" },
	{ 0x2e58a29b, "devfreq_add_device" },
	{ 0xa495dbcf, "dev_driver_string" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6ca78bbb, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x25cac455, "scsi_register_driver" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x56817c6e, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x29366a19, "put_device" },
	{ 0x8e63fb0a, "blk_mq_unquiesce_tagset" },
	{ 0x2e3915c9, "blk_mq_free_request" },
	{ 0x1c9f5fa3, "device_property_read_u32_array" },
	{ 0x675affab, "devm_regulator_get" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x939c9dec, "scsi_device_put" },
	{ 0x15e5d730, "device_create_file" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xca985287, "blk_mq_quiesce_tagset" },
	{ 0x56ec1f9e, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb14bf909, "regulator_set_load" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc9dde8a6, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0x9189ae6b, "blk_queue_update_dma_alignment" },
	{ 0x45245ea8, "devfreq_remove_device" },
	{ 0x530dfdb9, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xb0fadf1b, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6626afca, "down" },
	{ 0x27167438, "bpf_trace_run5" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1b7831c, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb78b047c, "sdev_prefix_printk" },
	{ 0x1a4dad05, "scsi_scan_host" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x6567b1b4, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xa9a3d097, "blk_mq_alloc_request" },
	{ 0x56a1cf26, "driver_unregister" },
	{ 0x1a5b8468, "blk_queue_update_dma_pad" },
	{ 0xb4080016, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6ff09525, "blk_put_queue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x7f11aa4b, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x1a1aad77, "regulator_count_voltages" },
	{ 0x32871987, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x16023896, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x49397f69, "blk_mq_init_queue" },
	{ 0xc853c464, "blk_mq_unique_tag" },
	{ 0x66d51e19, "bpf_trace_run10" },
	{ 0x20bee261, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8a38b323, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f36f6c3, "dma_set_coherent_mask" },
	{ 0xa02d86bf, "scsi_print_command" },
	{ 0x2a9633c6, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x202324b4, "pm_runtime_forbid" },
	{ 0xbe051091, "debugfs_create_file" },
	{ 0x6e0e4a41, "param_set_uint_minmax" },
	{ 0x7fa6e9bc, "pm_runtime_allow" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x2480aad4, "__pm_runtime_resume" },
	{ 0x63cbce6c, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0x40d82553, "blk_mq_destroy_queue" },
	{ 0x4fe082d5, "scsi_execute_cmd" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xfe727c3d, "blk_mq_tagset_busy_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xeeed9be7, "scsi_done" },
	{ 0x4cc2a43a, "single_release" },
	{ 0x735ad204, "scsi_unblock_requests" },
	{ 0xead08f0b, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x158ef13c, "regulator_disable" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd9c1e780, "dev_err_probe" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xd80dce0c, "scsi_remove_device" },
	{ 0x4a5a303a, "scsi_block_requests" },
	{ 0x26797a50, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x374514c6, "single_open" },
	{ 0x3093062, "scsi_host_alloc" },
	{ 0x35e1c415, "__scsi_add_device" },
	{ 0x8b2e0e5, "devfreq_resume_device" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x361ae95b, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x634ad583, "scsi_change_queue_depth" },
	{ 0xda34ee0f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x11f15c1b, "device_remove_file" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "07FAC40CEBED1237BE862FD");
