#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0xfb18ebc9, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x097f8136, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0xfb3ed596, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xd5b55e4d, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0x4f6b6082, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x94e29066, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x77570466, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x2013c535, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x6461b596, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0xc60bbfca, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x4cf37ff8, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xa6807678, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x75400adb, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x4ca65ff4, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xd41e49e8, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xbe6916fd, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x3f8ce72c, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x603c5156, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xa115c427, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe11c47ce, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x84c930d2, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9d615321, "pci_read_vpd" },
	{ 0x55cddd9d, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a706d27, "pci_request_selected_regions" },
	{ 0x55e4746c, "pci_release_selected_regions" },
	{ 0x2dbb48d0, "pci_user_write_config_byte" },
	{ 0xe64b4f32, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x6348a1bf, "pci_bus_max_busnr" },
	{ 0xb91fb754, "pci_check_and_mask_intx" },
	{ 0x3ef5febc, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x5927dfbb, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xb5ff375, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xfd72d1a4, "pci_dev_put" },
	{ 0x56a7c527, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x7ebae609, "vfio_virqfd_disable" },
	{ 0x6e893b62, "vfio_iommufd_get_dev_id" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x4b024479, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x73e69831, "fget" },
	{ 0x92b00a44, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x99f847b7, "pci_user_read_config_dword" },
	{ 0xaf190847, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aec28dd, "dump_mm" },
	{ 0xab2424cd, "pci_user_read_config_word" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x5c241bc, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x65049532, "pci_probe_reset_slot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x7b95a3a6, "zap_vma_ptes" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1ed071bf, "pci_set_power_state" },
	{ 0xa85b5fba, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x74db6c89, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x56554b80, "__tracepoint_mmap_lock_released" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4b9d9d3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x953192e0, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3365b2da, "pci_user_write_config_word" },
	{ 0x92e95687, "vfio_iommufd_device_ictx" },
	{ 0x11b86d77, "bus_register_notifier" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x19150a7e, "vfio_file_is_group" },
	{ 0x53a5b559, "pci_msix_can_alloc_dyn" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xb8fb367d, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x854a8e72, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x76d5b737, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x7f5ec956, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xdf435394, "pci_write_vpd" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x9a46abd0, "vfio_virqfd_enable" },
	{ 0xdc8b62cd, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc540649b, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xbd57b1ae, "aperture_remove_conflicting_pci_devices" },
	{ 0x7e797dc9, "vfio_unregister_group_dev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x71bdf33e, "pci_map_rom" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc16ce688, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf3731872, "pci_iounmap" },
	{ 0xd3e42d1a, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x15ff2b98, "pcie_get_mps" },
	{ 0xe2ca487b, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0xb2fc9a4, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xa3049244, "__mmap_lock_do_trace_start_locking" },
	{ 0x1d4d13a9, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xd41bf30b, "_dev_notice" },
	{ 0x202324b4, "pm_runtime_forbid" },
	{ 0x7fa6e9bc, "pm_runtime_allow" },
	{ 0x33a3daf4, "pci_reset_bus" },
	{ 0xbff8077d, "mmput" },
	{ 0x2480aad4, "__pm_runtime_resume" },
	{ 0x7dfa51d0, "vfio_register_group_dev" },
	{ 0x9c0dfdb2, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdbcb50dd, "pci_user_read_config_byte" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x97b9102a, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x9a2a09ea, "__tracepoint_mmap_lock_start_locking" },
	{ 0xb674e1c0, "pci_get_class" },
	{ 0x829123bd, "pci_user_write_config_dword" },
	{ 0x979e4db2, "pcie_capability_read_dword" },
	{ 0x967fc5b0, "__mmap_lock_do_trace_released" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc85e56a3, "pci_load_and_free_saved_state" },
	{ 0xab68cc60, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0xf612167d, "pci_disable_device" },
	{ 0xc5332435, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xd258f81d, "pci_check_and_unmask_intx" },
	{ 0xb7e5d87c, "pcie_set_readrq" },
	{ 0x36416660, "pci_walk_bus" },
	{ 0xfd9dd201, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xbbda3e16, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xae92cfc4, "pci_read_config_byte" },
	{ 0x1366fe77, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xa903fb63, "vga_set_legacy_decoding" },
	{ 0xab222b95, "pci_dev_unlock" },
	{ 0xedb5ec27, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdab40ea5, "pci_free_irq_vectors" },
	{ 0x8e529937, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xda34ee0f, "__pm_runtime_idle" },
	{ 0x608bbd41, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x986499eb, "pci_bus_type" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "2E7DF53C1FD7245CDE457C9");
