#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x0634afa5, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x02268dd5, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x447b5164, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x295b1e00, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x14bca1ad, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xe7a5428b, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x75f65675, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x0839e2f8, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xdef7425e, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x18366e16, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x6eeb0fc2, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x651c9508, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x90c566a3, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x904b5c27, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x55ba81a0, "");
SYMBOL_CRC(nf_nat_follow_master, 0x4a7476b0, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xbeefaaea, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xd613079a, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x8d61a6b7, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x13bd84c9, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x1ab3ca04, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x9b8f2330, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdeb2065, "nf_ct_ext_add" },
	{ 0x58758445, "__do_once_done" },
	{ 0x514ba69, "nf_conntrack_find_get" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8f3b13fc, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3fd2b79c, "nf_ip6_checksum" },
	{ 0x3d738cc, "skb_copy_bits" },
	{ 0x48ce3855, "nf_hook_entries_insert_raw" },
	{ 0x595330a7, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xde437a2b, "nf_ct_seqadj_set" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9f9e0a4f, "nf_ct_helper_expectfn_unregister" },
	{ 0xec909760, "__xfrm_decode_session" },
	{ 0x85675e0c, "__nf_ct_ext_find" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x72233be9, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x3e821a9c, "ip6_route_me_harder" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ef5f9ea, "pskb_expand_head" },
	{ 0xc8706d58, "register_pernet_subsys" },
	{ 0x8e2aef2c, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8bd6f31f, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xdf0ad866, "ipv6_skip_exthdr" },
	{ 0x2a2f0c58, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x7cfedaed, "module_put" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe223e3b6, "ipv6_dev_get_saddr" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x24b04ba3, "nf_ct_expect_related_report" },
	{ 0x97926661, "nf_conntrack_alter_reply" },
	{ 0x41aa321f, "ip_route_me_harder" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x83bc22f0, "nf_hook_entries_delete_raw" },
	{ 0xf1560b68, "skb_ensure_writable" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcbf3bbb7, "nf_unregister_net_hooks" },
	{ 0x39935d39, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x3fd88855, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x6eb77063, "skb_checksum" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x71f31b07, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xae4c2012, "nf_ip_checksum" },
	{ 0xb1f76f4, "register_btf_kfunc_id_set" },
	{ 0xdf2418a2, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x40ffd977, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe58ed68a, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1e29a60, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9325dc6e, "inet_proto_csum_replace4" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb2275f59, "dst_release" },
	{ 0xcbb73a25, "nf_ct_l4proto_find" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x4edb7930, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x364b8e33, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "E9A79191FDE7BC0117A1462");
