#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_valid_disable_subchannel_bitmap, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x424b2efa, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xd4101f4a, "");
SYMBOL_CRC(wiphy_register, 0xcca0fc13, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xf411a13c, "");
SYMBOL_CRC(wiphy_unregister, 0xc393713e, "");
SYMBOL_CRC(wiphy_free, 0xc42550af, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xa9ce7c96, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x5923a9ba, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x3e975e0d, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0xbc3c6a40, "");
SYMBOL_CRC(wiphy_work_queue, 0x3a9d3676, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0xa458d9ea, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x928d94e1, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x484691c4, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x28b6b822, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x457bb488, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0x5bd57c1b, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0xc3fb97ca, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x4abed7d4, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x0cc95bc2, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x7523f5e3, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x4ed57064, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x8b4ab80b, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x40e718ee, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0x4c1db26a, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x6c2651cf, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x7e4650b5, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x429c0c31, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0x3643b80f, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0x3e5f0405, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xef5ef286, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x99c49c23, "");
SYMBOL_CRC(cfg80211_get_station, 0x6882c48f, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x39b40334, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0xf0d0fa33, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xcd0f8040, "");
SYMBOL_CRC(get_wiphy_regdom, 0x99b86a43, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x1ce2497f, "");
SYMBOL_CRC(freq_reg_info, 0xad9b0316, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0xe8da6519, "");
SYMBOL_CRC(regulatory_hint, 0xa26df467, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0x4188aba6, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xdb8d3caf, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x77c77497, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_scan_done, 0x201103b1, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0x4a4a2551, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xf3ed00ad, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xc7ccc3c7, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x4b43ae68, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(cfg80211_get_bss, 0x2cff16cc, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0xf5f7dae5, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x7f2cf87a, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x2a3bf401, "");
SYMBOL_CRC(cfg80211_put_bss, 0x44a187e7, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xd2b673e8, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x128931f2, "");
SYMBOL_CRC(nl80211_send_chandef, 0x76ce604a, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x9034ba66, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x129510f3, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x20f5a85d, "");
SYMBOL_CRC(cfg80211_nan_match, 0x9ff71d6a, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0x0543941b, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xcc005b34, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x79cd7ec0, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x29d7538d, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xaca6e4cc, "");
SYMBOL_CRC(cfg80211_links_removed, 0xc6ccd3ec, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x46fdebda, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x169a2d2b, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x68c84e97, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x0f2ad0cd, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x567b0662, "");
SYMBOL_CRC(cfg80211_new_sta, 0xcf5f3d49, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x41f291e4, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x95d86d19, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xf31fe4c3, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0xde4646ec, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0x91800ec7, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x2e3c08a3, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x80cc3253, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0xf4f05781, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x5da7f9d0, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xcba43fc9, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x729d0cd4, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x0464c246, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x3fe29a4c, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x6a6dfa69, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x4d515f0c, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0x0322577f, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xbc6b78a4, "");
SYMBOL_CRC(cfg80211_probe_status, 0xa64f80a0, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x5ccadf07, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x13c0a560, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x3609b61e, "");
SYMBOL_CRC(cfg80211_ft_event, 0xcacb97e9, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x56f87974, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0xe21a3309, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x2b585648, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0xf0c14b0d, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x10708f87, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0xfdda8385, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0x900016c9, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xa862c1f4, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0xcbddc2ae, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x6b56369d, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x9a2ee1ee, "");
SYMBOL_CRC(cfg80211_cac_event, 0x9baeef96, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x37eb4595, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x81a3e6ef, "");
SYMBOL_CRC(cfg80211_connect_done, 0x63baf7c2, "");
SYMBOL_CRC(cfg80211_roamed, 0x6054aa79, "");
SYMBOL_CRC(cfg80211_port_authorized, 0xb1431651, "");
SYMBOL_CRC(cfg80211_disconnected, 0x92c40044, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x06ca71fd, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0xc4b4fc27, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xd97eaad4, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x453a6268, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x81f32564, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xd9de1753, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x6e7ad0af, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x22498685, "");
SYMBOL_CRC(wdev_chandef, 0xc8e5d8a8, "");
SYMBOL_CRC(cfg80211_valid_disable_subchannel_bitmap, 0x1b82a85a, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x2b8a5601, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xebc6e4cb, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xd333ff12, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x344989, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x76bc28cd, "verify_pkcs7_signature" },
	{ 0x79c4b31b, "bpf_trace_run4" },
	{ 0x3d738cc, "skb_copy_bits" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xfdae5cb9, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xe2df9c59, "dev_set_name" },
	{ 0xec0434b0, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x40a62432, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x36fa32bb, "nla_reserve" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x7ce7e2f9, "dump_page" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0xe81dcfb8, "nla_put_64bit" },
	{ 0x850ee574, "bpf_trace_run6" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6b848659, "request_firmware" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x71a91d68, "device_initialize" },
	{ 0x285f0611, "skb_add_rx_frag" },
	{ 0x2c7cc31f, "genlmsg_put" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xbafa42c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x59a148c3, "genlmsg_multicast_allns" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfadd8eb3, "unregister_netdevice_queue" },
	{ 0x97e10105, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1d9ff1c0, "keyring_alloc" },
	{ 0x25b039c8, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbaf111f2, "device_rename" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x16ca0a5b, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x619c287b, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x29366a19, "put_device" },
	{ 0xf201efbf, "netlink_broadcast" },
	{ 0xf8fd30ee, "net_ns_type_operations" },
	{ 0xc5f6ebc6, "__alloc_skb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4a5b41a7, "sysfs_create_link" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe86dcaa2, "inet_csk_get_port" },
	{ 0xde31500c, "key_put" },
	{ 0xc13fa72b, "kobject_uevent_env" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe6e6368, "__dev_get_by_index" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x33e89b6, "init_net" },
	{ 0x87cf6368, "request_firmware_nowait" },
	{ 0xb2863578, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xcd9dc721, "device_add" },
	{ 0xc5864e57, "sysfs_remove_link" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb9b1d182, "init_uts_ns" },
	{ 0x62861586, "platform_device_unregister" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x8f113419, "netlink_unicast" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x775a6149, "dev_get_by_index" },
	{ 0x27167438, "bpf_trace_run5" },
	{ 0x8e5e58d8, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x1425ddaa, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x418a2b06, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd9051b60, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe82eed5d, "nla_put" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xcd279169, "nla_find" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc55b71c8, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe27811f4, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xea2eca29, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf2b22fcb, "bpf_trace_run1" },
	{ 0xbf9f660a, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x4f337c2, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe7149090, "__pskb_pull_tail" },
	{ 0x3da8c950, "netif_rx" },
	{ 0x869475a0, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe6898cae, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x560d1c93, "bpf_trace_run3" },
	{ 0xe58ed68a, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xcd68c56d, "get_net_ns_by_pid" },
	{ 0xe44c39e3, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x62c89604, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x10bcb528, "x509_load_certificate_list" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7d945b1b, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xff2618ea, "genl_unregister_family" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x7f647b95, "bpf_trace_run7" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x145b9f69, "debugfs_create_dir" },
	{ 0x5a61c3c7, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5b319320, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x15d0f4f9, "register_pernet_device" },
	{ 0x48478423, "get_net_ns_by_fd" },
	{ 0xd1575c1e, "class_register" },
	{ 0xe61eed3c, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x725f69e9, "register_netdevice" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "9C78A75388FF136686172CE");
