#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_vx_check_reg_bit, "", "");
KSYMTAB_FUNC(snd_vx_load_boot_image, "", "");
KSYMTAB_FUNC(snd_vx_threaded_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_irq_handler, "", "");
KSYMTAB_FUNC(snd_vx_dsp_boot, "", "");
KSYMTAB_FUNC(snd_vx_dsp_load, "", "");
KSYMTAB_FUNC(snd_vx_suspend, "", "");
KSYMTAB_FUNC(snd_vx_resume, "", "");
KSYMTAB_FUNC(snd_vx_create, "", "");
KSYMTAB_FUNC(snd_vx_setup_firmware, "", "");
KSYMTAB_FUNC(snd_vx_free_firmware, "", "");

SYMBOL_CRC(snd_vx_check_reg_bit, 0x04ad1a7d, "");
SYMBOL_CRC(snd_vx_load_boot_image, 0x3164128d, "");
SYMBOL_CRC(snd_vx_threaded_irq_handler, 0x226138b0, "");
SYMBOL_CRC(snd_vx_irq_handler, 0xf1f04d23, "");
SYMBOL_CRC(snd_vx_dsp_boot, 0xff0b7dbf, "");
SYMBOL_CRC(snd_vx_dsp_load, 0x3ea272ad, "");
SYMBOL_CRC(snd_vx_suspend, 0x41297e22, "");
SYMBOL_CRC(snd_vx_resume, 0x06c2ef40, "");
SYMBOL_CRC(snd_vx_create, 0x5c9797bb, "");
SYMBOL_CRC(snd_vx_setup_firmware, 0xb37c83eb, "");
SYMBOL_CRC(snd_vx_free_firmware, 0xd4a8a50a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x74887372, "snd_ctl_add" },
	{ 0x62d6a9d2, "snd_pcm_new" },
	{ 0xcabc7619, "snd_card_register" },
	{ 0x6b848659, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x25bde2d9, "snd_card_rw_proc_new" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3796bdcc, "snd_pcm_format_little_endian" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3301d2, "snd_ctl_new1" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x67b0fddd, "__devres_alloc_node" },
	{ 0x7568a7b1, "snd_ctl_boolean_stereo_info" },
	{ 0xb4d07b56, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x26e3aa46, "snd_pcm_set_managed_buffer_all" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xefcc3252, "snd_pcm_period_elapsed" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x9e8bfd7, "snd_pcm_hw_constraint_step" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm");


MODULE_INFO(srcversion, "6114A225541791D3BFCBEDD");
