#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(hda_cs_dsp_fw_ids, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_add_controls, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_control_remove, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_write_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");
KSYMTAB_FUNC(hda_cs_dsp_read_ctl, "_gpl", "SND_HDA_CS_DSP_CONTROLS");

SYMBOL_CRC(hda_cs_dsp_fw_ids, 0x2b707546, "_gpl");
SYMBOL_CRC(hda_cs_dsp_add_controls, 0x9281bff0, "_gpl");
SYMBOL_CRC(hda_cs_dsp_control_remove, 0x1c3b59e6, "_gpl");
SYMBOL_CRC(hda_cs_dsp_write_ctl, 0x9f43f519, "_gpl");
SYMBOL_CRC(hda_cs_dsp_read_ctl, 0x79fd354d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74887372, "snd_ctl_add" },
	{ 0xfe77c73f, "cs_dsp_coeff_read_ctrl" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4fb9328, "cs_dsp_coeff_write_ctrl" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0x32bdcac0, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3301d2, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x153e1b7b, "cs_dsp_get_ctl" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x13b89745, "snd_ctl_notify" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x7fbc8f34, "kmalloc_trace" },
	{ 0x88136dbb, "kmalloc_caches" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp");


MODULE_INFO(srcversion, "011CDAD3702A87321D7682F");
