#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0xe1a7853a, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x09f97bd1, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0xc713f250, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b3b4355, "acpi_dev_get_first_match_dev" },
	{ 0x67b8344b, "gpiod_get_value_cansleep" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf1d499e1, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5ad56d9a, "regcache_cache_only" },
	{ 0x804ee67, "is_acpi_device_node" },
	{ 0xf62ff2b, "gpiod_put" },
	{ 0x72badddc, "regcache_sync" },
	{ 0xdadbb0d8, "regmap_write" },
	{ 0xb47b5a04, "devm_request_threaded_irq" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0x1f7204f9, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x74887372, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe45c0e7, "gpiod_count" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x1ce7041b, "cs_dsp_stop" },
	{ 0x6a7e55bd, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3de699b, "cs35l41_register_errata_patch" },
	{ 0x56c25248, "gpiod_set_value_cansleep" },
	{ 0x1c3b59e6, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0x2d29d04c, "gpiod_get_index" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x30cd1c1c, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2ff43eaa, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9844eb31, "cs35l41_init_boost" },
	{ 0xb4526a81, "cs35l41_enter_hibernate" },
	{ 0x17275e7b, "get_device" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79fd354d, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6ca78bbb, "__pm_runtime_set_status" },
	{ 0xc3301d2, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29366a19, "put_device" },
	{ 0x4e669d87, "pm_runtime_enable" },
	{ 0x2840272d, "fwnode_gpiod_get_index" },
	{ 0x1c9f5fa3, "device_property_read_u32_array" },
	{ 0xa3d73554, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xee6d8cf8, "snd_ctl_boolean_mono_info" },
	{ 0xfddeb056, "efi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfe5ab012, "cs_dsp_halo_init" },
	{ 0x9f5cac5b, "cs_dsp_power_down" },
	{ 0x6567b1b4, "device_link_remove" },
	{ 0x157be5fd, "cs35l41_test_key_unlock" },
	{ 0x9281bff0, "hda_cs_dsp_add_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x66cece7b, "cs35l41_test_key_lock" },
	{ 0xd1b0b6fe, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x347d8def, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d64ed81, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9f43f519, "hda_cs_dsp_write_ctl" },
	{ 0x930fa254, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe2302d3a, "devm_kasprintf" },
	{ 0xe95c0639, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc9c48cd1, "cs35l41_exit_hibernate" },
	{ 0x999e8297, "vfree" },
	{ 0x971e46c5, "regmap_read" },
	{ 0x3d3b0f99, "cs_dsp_run" },
	{ 0x2480aad4, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd3250c9a, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0x64372a5, "cs35l41_write_fs_errata" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe091bd3a, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x60f528f3, "cs35l41_configure_cs_dsp" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xf04c32a8, "_dev_crit" },
	{ 0x3b23586a, "regmap_update_bits_base" },
	{ 0xd9c1e780, "dev_err_probe" },
	{ 0xc1b8a50e, "regmap_multi_reg_write" },
	{ 0xae20c1c1, "__pm_runtime_suspend" },
	{ 0xa24836d, "component_add" },
	{ 0x26eccb9c, "__pm_runtime_use_autosuspend" },
	{ 0xc56fc1bb, "cs35l41_set_channels" },
	{ 0x9c45a083, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x361ae95b, "device_link_add" },
	{ 0xff78484d, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "9F93B1E0EB53F24E32B1247");
