#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(oxygen_read8, "", "");
KSYMTAB_FUNC(oxygen_read16, "", "");
KSYMTAB_FUNC(oxygen_read32, "", "");
KSYMTAB_FUNC(oxygen_write8, "", "");
KSYMTAB_FUNC(oxygen_write16, "", "");
KSYMTAB_FUNC(oxygen_write32, "", "");
KSYMTAB_FUNC(oxygen_write8_masked, "", "");
KSYMTAB_FUNC(oxygen_write16_masked, "", "");
KSYMTAB_FUNC(oxygen_write32_masked, "", "");
KSYMTAB_FUNC(oxygen_write_ac97, "", "");
KSYMTAB_FUNC(oxygen_read_ac97, "", "");
KSYMTAB_FUNC(oxygen_write_ac97_masked, "", "");
KSYMTAB_FUNC(oxygen_write_spi, "", "");
KSYMTAB_FUNC(oxygen_write_i2c, "", "");
KSYMTAB_FUNC(oxygen_reset_uart, "", "");
KSYMTAB_FUNC(oxygen_write_uart, "", "");
KSYMTAB_FUNC(oxygen_pci_probe, "", "");
KSYMTAB_DATA(oxygen_pci_pm, "", "");
KSYMTAB_FUNC(oxygen_pci_shutdown, "", "");
KSYMTAB_FUNC(oxygen_update_dac_routing, "", "");

SYMBOL_CRC(oxygen_read8, 0x7beed24c, "");
SYMBOL_CRC(oxygen_read16, 0x9fff4a8e, "");
SYMBOL_CRC(oxygen_read32, 0x2e0c0135, "");
SYMBOL_CRC(oxygen_write8, 0x214e5d21, "");
SYMBOL_CRC(oxygen_write16, 0x6726d823, "");
SYMBOL_CRC(oxygen_write32, 0xa214b045, "");
SYMBOL_CRC(oxygen_write8_masked, 0x44356b84, "");
SYMBOL_CRC(oxygen_write16_masked, 0xb596af06, "");
SYMBOL_CRC(oxygen_write32_masked, 0x09b7168b, "");
SYMBOL_CRC(oxygen_write_ac97, 0x26e44fbe, "");
SYMBOL_CRC(oxygen_read_ac97, 0x58d22190, "");
SYMBOL_CRC(oxygen_write_ac97_masked, 0x15df9b5e, "");
SYMBOL_CRC(oxygen_write_spi, 0x8c2e18cf, "");
SYMBOL_CRC(oxygen_write_i2c, 0x3cb6d1ce, "");
SYMBOL_CRC(oxygen_reset_uart, 0xe62d7ba9, "");
SYMBOL_CRC(oxygen_write_uart, 0xac3357b2, "");
SYMBOL_CRC(oxygen_pci_probe, 0x48acda13, "");
SYMBOL_CRC(oxygen_pci_pm, 0x7a345001, "");
SYMBOL_CRC(oxygen_pci_shutdown, 0xe334a04a, "");
SYMBOL_CRC(oxygen_update_dac_routing, 0xc24754fd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb47b5a04, "devm_request_threaded_irq" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x74887372, "snd_ctl_add" },
	{ 0x62d6a9d2, "snd_pcm_new" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xcabc7619, "snd_card_register" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xacb82af2, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb7de720d, "snd_card_free_on_error" },
	{ 0x25bde2d9, "snd_card_rw_proc_new" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4b02adf4, "snd_pcm_set_sync" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe4b9d9d3, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc3301d2, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x39a5f135, "snd_component_add" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xee6d8cf8, "snd_ctl_boolean_mono_info" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x13b89745, "snd_ctl_notify" },
	{ 0xb4d07b56, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xda44a118, "snd_pcm_set_managed_buffer" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x26e3aa46, "snd_pcm_set_managed_buffer_all" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc0fec227, "snd_mpu401_uart_interrupt" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf44df084, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x32f4e5b5, "snd_devm_card_new" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8a99c4b, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xd9a0d252, "snd_mpu401_uart_new" },
	{ 0xc5332435, "pci_match_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1a4b48ac, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xefcc3252, "snd_pcm_period_elapsed" },
	{ 0x81188c30, "match_string" },
	{ 0x9e8bfd7, "snd_pcm_hw_constraint_step" },
	{ 0xc4ca682, "pcim_enable_device" },
	{ 0xedb5ec27, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x276e3a7a, "pci_write_config_dword" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-pcm,snd-mpu401-uart");


MODULE_INFO(srcversion, "7F1C9A83DA5732EA6CB6EEA");
