#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(pcm512x_regmap, "_gpl", "");
KSYMTAB_FUNC(pcm512x_probe, "_gpl", "");
KSYMTAB_FUNC(pcm512x_remove, "_gpl", "");
KSYMTAB_DATA(pcm512x_pm_ops, "_gpl", "");

SYMBOL_CRC(pcm512x_regmap, 0x7ab951a5, "_gpl");
SYMBOL_CRC(pcm512x_probe, 0x7cc72211, "_gpl");
SYMBOL_CRC(pcm512x_remove, 0x170417ff, "_gpl");
SYMBOL_CRC(pcm512x_pm_ops, 0x808f0dda, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5ad56d9a, "regcache_cache_only" },
	{ 0x72badddc, "regcache_sync" },
	{ 0xdadbb0d8, "regmap_write" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x58da5e2a, "snd_soc_put_enum_double" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x2ff43eaa, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0x9dcff634, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6ca78bbb, "__pm_runtime_set_status" },
	{ 0x7376e5b9, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x30cdff1f, "devm_regulator_register_notifier" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e669d87, "pm_runtime_enable" },
	{ 0x9bde19a3, "regulator_bulk_disable" },
	{ 0xae2caf42, "snd_soc_get_enum_double" },
	{ 0xf6cdfa10, "snd_pcm_hw_rule_add" },
	{ 0xa3d73554, "_dev_info" },
	{ 0x708eaf67, "snd_soc_info_volsw" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7568a7b1, "snd_ctl_boolean_stereo_info" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x32ae4c6a, "snd_pcm_hw_constraint_list" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9aa2b54e, "snd_soc_info_enum_double" },
	{ 0x6e16a5c1, "regulator_bulk_enable" },
	{ 0x81712ef1, "devm_regulator_bulk_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x6c232231, "snd_soc_get_volsw" },
	{ 0x971e46c5, "regmap_read" },
	{ 0xb50acc0f, "snd_soc_put_volsw" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x503bd137, "snd_interval_ranges" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x3b23586a, "regmap_update_bits_base" },
	{ 0xe155670a, "snd_pcm_hw_constraint_ratnums" },
	{ 0xea124bd1, "gcd" },
	{ 0x9c45a083, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0xda34ee0f, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm,snd");


MODULE_INFO(srcversion, "62B793A84D0C70D75533279");
