#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sst_shim32_write, "_gpl", "");
KSYMTAB_FUNC(sst_shim32_read, "_gpl", "");
KSYMTAB_FUNC(sst_shim32_write64, "_gpl", "");
KSYMTAB_FUNC(sst_shim32_read64, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_write, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_read, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_write_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_read_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits_forced_unlocked, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_shim_update_bits_forced, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_register_poll, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_mailbox_init, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_outbox_write, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_outbox_read, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_inbox_write, "_gpl", "");
KSYMTAB_FUNC(sst_dsp_inbox_read, "_gpl", "");

SYMBOL_CRC(sst_shim32_write, 0xe9c6de99, "_gpl");
SYMBOL_CRC(sst_shim32_read, 0x16e86983, "_gpl");
SYMBOL_CRC(sst_shim32_write64, 0x87cdf7d2, "_gpl");
SYMBOL_CRC(sst_shim32_read64, 0xd72a34c2, "_gpl");
SYMBOL_CRC(sst_dsp_shim_write, 0x04ae43d3, "_gpl");
SYMBOL_CRC(sst_dsp_shim_read, 0x5c585ff6, "_gpl");
SYMBOL_CRC(sst_dsp_shim_write_unlocked, 0xfac27b0e, "_gpl");
SYMBOL_CRC(sst_dsp_shim_read_unlocked, 0x8e7ee13c, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits_unlocked, 0xfeb8a37e, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits_forced_unlocked, 0xa2c4ffe7, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits, 0x27355b34, "_gpl");
SYMBOL_CRC(sst_dsp_shim_update_bits_forced, 0xb08e5372, "_gpl");
SYMBOL_CRC(sst_dsp_register_poll, 0x05a4e244, "_gpl");
SYMBOL_CRC(sst_dsp_mailbox_init, 0xbba184a6, "_gpl");
SYMBOL_CRC(sst_dsp_outbox_write, 0xa67a3311, "_gpl");
SYMBOL_CRC(sst_dsp_outbox_read, 0x69d989e3, "_gpl");
SYMBOL_CRC(sst_dsp_inbox_write, 0x6d69d245, "_gpl");
SYMBOL_CRC(sst_dsp_inbox_read, 0x1b8b5153, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbafa42c, "bpf_trace_run2" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf2b22fcb, "bpf_trace_run1" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EEDC6DE427CB90779ED0038");
