#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(hda_ops_free, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_skl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_skl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(skl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_apl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_apl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(apl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(cnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_tgl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_tgl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tgl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(tglh_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(ehl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(adls_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_icl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_icl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(icl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_mtl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_mtl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(mtl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(arl_s_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(sof_lnl_ops, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_FUNC(sof_lnl_ops_init, "", "SND_SOC_SOF_INTEL_HDA_COMMON");
KSYMTAB_DATA(lnl_chip_info, "", "SND_SOC_SOF_INTEL_HDA_COMMON");

SYMBOL_CRC(hda_pci_intel_probe, 0x6c3f0f95, "");
SYMBOL_CRC(hda_ops_free, 0xf1fb48a1, "");
SYMBOL_CRC(sof_skl_ops, 0x33608deb, "");
SYMBOL_CRC(sof_skl_ops_init, 0x38745f8e, "");
SYMBOL_CRC(skl_chip_info, 0x7c21acf5, "");
SYMBOL_CRC(sof_apl_ops, 0xb72dd839, "");
SYMBOL_CRC(sof_apl_ops_init, 0x2567f47c, "");
SYMBOL_CRC(apl_chip_info, 0x56e5a7cc, "");
SYMBOL_CRC(sof_cnl_ops, 0xfed32284, "");
SYMBOL_CRC(sof_cnl_ops_init, 0xef0764a5, "");
SYMBOL_CRC(cnl_chip_info, 0xa0695590, "");
SYMBOL_CRC(jsl_chip_info, 0xfd146c74, "");
SYMBOL_CRC(sof_tgl_ops, 0x210f4536, "");
SYMBOL_CRC(sof_tgl_ops_init, 0x758ad4d6, "");
SYMBOL_CRC(tgl_chip_info, 0x7d80554f, "");
SYMBOL_CRC(tglh_chip_info, 0x25aee18a, "");
SYMBOL_CRC(ehl_chip_info, 0xa14d5d60, "");
SYMBOL_CRC(adls_chip_info, 0x53a0ac67, "");
SYMBOL_CRC(sof_icl_ops, 0x32fe45df, "");
SYMBOL_CRC(sof_icl_ops_init, 0x650f40d2, "");
SYMBOL_CRC(icl_chip_info, 0x6c7173ee, "");
SYMBOL_CRC(sof_mtl_ops, 0x079d2f8e, "");
SYMBOL_CRC(sof_mtl_ops_init, 0xde201097, "");
SYMBOL_CRC(mtl_chip_info, 0x1d14e7c6, "");
SYMBOL_CRC(arl_s_chip_info, 0x838ecd88, "");
SYMBOL_CRC(sof_lnl_ops, 0x0899ec90, "");
SYMBOL_CRC(sof_lnl_ops_init, 0xe0307e64, "");
SYMBOL_CRC(lnl_chip_info, 0x0e43c64c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf7faff0e, "hda_codec_jack_check" },
	{ 0xc209d7ac, "hda_bus_ml_suspend" },
	{ 0x622c03b9, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe11c47ce, "pci_save_state" },
	{ 0x17cc9b22, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd9f0309a, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x76b692ee, "hda_codec_i915_display_power" },
	{ 0x804ee67, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x79c4b31b, "bpf_trace_run4" },
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x8c63ce28, "snd_dma_alloc_dir_pages" },
	{ 0x59dcf8be, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7a844f62, "snd_hdac_bus_send_cmd" },
	{ 0xf063e8c1, "hda_bus_ml_resume" },
	{ 0x5927dfbb, "pci_alloc_irq_vectors" },
	{ 0x9c1ac96b, "intel_nhlt_get_dmic_geo" },
	{ 0xdc6e97a5, "snd_hdac_bus_get_response" },
	{ 0xeb1d4f43, "snd_hdac_ext_stream_start" },
	{ 0x955c7d65, "trace_raw_output_prep" },
	{ 0x1e8f5d35, "hdac_bus_eml_sdw_get_hlink" },
	{ 0x8f6d586b, "hda_codec_set_codec_wakeup" },
	{ 0x328cd67d, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8c10d9c5, "hda_bus_ml_init" },
	{ 0xa286bb0f, "hda_codec_probe_bus" },
	{ 0xee6a74be, "snd_hdac_ext_stream_decouple_locked" },
	{ 0xf05ca607, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xedc03953, "iounmap" },
	{ 0xf88b9837, "snd_pcm_hw_constraint_minmax" },
	{ 0x71926da4, "sdw_intel_exit" },
	{ 0x4a6d8fb3, "hda_codec_check_for_state_change" },
	{ 0x1d629364, "hda_codec_jack_wake_enable" },
	{ 0x1e616b0d, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xa9a10a71, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf21765c0, "snd_hdac_ext_bus_init" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1ef0e033, "hda_bus_ml_free" },
	{ 0x4d076a4f, "pcpu_hot" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x3fea007b, "sof_ipc4_set_pipeline_state" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbafa42c, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf714d7b3, "snd_intel_dsp_driver_probe" },
	{ 0x74db6c89, "pci_irq_vector" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x95c5fd6e, "snd_sgbuf_get_addr" },
	{ 0xa5e83550, "__dynamic_dev_dbg" },
	{ 0xd7946e9d, "snd_sgbuf_get_chunk_size" },
	{ 0xac73ef35, "pci_ioremap_bar" },
	{ 0x264a2680, "hdac_bus_eml_check_interrupt" },
	{ 0x94fb18b6, "sof_pci_probe" },
	{ 0xcff7bcdb, "snd_soc_hdac_hda_get_ops" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x62523c6c, "hda_codec_i915_exit" },
	{ 0x5176d906, "trace_event_buffer_commit" },
	{ 0x43401448, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5a233f6, "hda_codec_resume_cmd_io" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4d8598f4, "snd_hdac_ext_bus_exit" },
	{ 0xe1df87eb, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x5aba607d, "snd_hdac_ext_stream_clear" },
	{ 0x1c74aeba, "snd_sof_dsp_only_d0i3_compatible_stream_active" },
	{ 0xa3d73554, "_dev_info" },
	{ 0xb7af7207, "sdw_intel_startup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa5477a5e, "snd_hdac_ext_bus_link_power" },
	{ 0x34d43e91, "snd_sof_dsp_dbg_dump" },
	{ 0x6fac0c1b, "sdw_intel_process_wakeen_event" },
	{ 0xb4d3c527, "sof_mailbox_write" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5c07cb49, "snd_hdac_calc_stream_format" },
	{ 0x1c99ed73, "sof_mailbox_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x72c4340d, "perf_trace_run_bpf_submit" },
	{ 0x3b9a66db, "hda_bus_ml_put_all" },
	{ 0xc9dde8a6, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xf918dbad, "_dev_err" },
	{ 0xfbcebb24, "snd_sof_dsp_update_bits_forced" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x62861586, "platform_device_unregister" },
	{ 0x5020e3af, "snd_hdac_ext_stream_release" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6150e5c5, "hdac_bus_eml_sdw_map_stream_ch" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x71da61ca, "sof_client_dev_register" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x122bf08f, "trace_event_reg" },
	{ 0x73075325, "hda_codec_device_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x998caf9, "snd_soc_dpcm_get_substream" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xfb5b740e, "snd_sof_dsp_update_bits_unlocked" },
	{ 0x17dc8c1a, "sof_print_oops_and_stack" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5ce5a981, "hda_bus_ml_reset_losidv" },
	{ 0x61304f69, "snd_hdac_ext_stream_setup" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0xf6451f02, "snd_sof_ipc_get_reply" },
	{ 0x1001caf9, "snd_sof_dsp_update_bits" },
	{ 0xf44c7da7, "hdac_bus_eml_enable_interrupt" },
	{ 0xdb2186c3, "hdac_bus_eml_enable_offload" },
	{ 0xd3e42d1a, "pci_restore_state" },
	{ 0xdc161c82, "snd_sof_pci_update_bits" },
	{ 0xadb3c347, "hdac_bus_eml_ssp_get_hlink" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xf1b47298, "hdac_bus_eml_dmic_get_hlink" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xaf46a8f4, "_dev_warn" },
	{ 0x9b664113, "snd_hdac_display_power" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xa3514f5, "sdw_intel_lnl_hw_ops" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf44df084, "pci_set_master" },
	{ 0x4f337c2, "param_ops_charp" },
	{ 0xccaa4903, "snd_pcm_hw_constraint_mask64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f36f6c3, "dma_set_coherent_mask" },
	{ 0xe2302d3a, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xca708c7, "snd_pcm_hw_constraint_integer" },
	{ 0x560d1c93, "bpf_trace_run3" },
	{ 0xd7a91d1d, "hda_codec_rirb_status_clear" },
	{ 0x3f59b93a, "hda_codec_suspend_cmd_io" },
	{ 0x8bce5234, "snd_sof_ipc_reply" },
	{ 0x84b27d30, "hda_codec_init_cmd_io" },
	{ 0xf472e0d5, "hda_codec_stop_cmd_io" },
	{ 0x4c14dbb6, "hda_codec_detect_mask" },
	{ 0x62c89604, "platform_device_register_full" },
	{ 0x1e3de0d0, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x3278f5a8, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6f1946b6, "sof_machine_unregister" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x32736977, "sof_ipc_tx_message" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x1553b9e0, "sdw_intel_probe" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xd9665c4b, "snd_sof_load_firmware_raw" },
	{ 0x6b3e12dc, "snd_sof_dsp_panic" },
	{ 0x9bbdd63f, "snd_hdac_ext_bus_get_hlink_by_name" },
	{ 0x4fc2c747, "snd_sof_suspend" },
	{ 0xebc70c04, "snd_hdac_ext_bus_link_set_stream_id" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xead08f0b, "dma_set_mask" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9e8bfd7, "snd_pcm_hw_constraint_step" },
	{ 0x754d539c, "strlen" },
	{ 0xaf6c103d, "param_ops_int" },
	{ 0x8dadf8b8, "intel_nhlt_init" },
	{ 0x9ca64a01, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7e9cfc19, "sof_client_dev_unregister" },
	{ 0x99cde033, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x8849ddda, "hda_codec_i915_init" },
	{ 0xdab40ea5, "pci_free_irq_vectors" },
	{ 0x34335c5e, "hda_codec_check_rirb_status" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa44e2914, "snd_hdac_ext_stream_reset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x5adabdb9, "hdac_bus_eml_get_count" },
	{ 0x6747db7, "snd_hdac_ext_bus_link_clear_stream_id" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9ad14022, "sof_io_write" },
	{ 0xaf498fbc, "sof_machine_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7556d7f2, "snd_sof_pcm_period_elapsed" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd8ee8940, "hdac_bus_eml_get_mutex" },
	{ 0x49472d9b, "snd_soc_acpi_intel_hda_machines" },
	{ 0x94dca87e, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda,snd-sof-intel-hda-mlink,snd-soc-acpi,snd-sof,soundwire-intel,snd-pcm,snd-hda-core,snd-intel-dspcfg,snd-hda-ext-core,snd-sof-xtensa-dsp,snd-sof-pci,snd-soc-hdac-hda,snd-soc-core,snd-intel-sdw-acpi,snd-soc-acpi-intel-match");


MODULE_INFO(srcversion, "5956AB3BB86AA21F1626CFD");
